/*A new mode is added under modeParam MOBDESKTOP
 * Author Mrityunjay
 */
function Configuration() {

};
Configuration.prototype.autoLogin = false;
Configuration.prototype.autoSync = false;
Configuration.prototype.autoSyncCount = 0;
Configuration.prototype.autoSyncData = [];
Configuration.prototype.adapter = {
	loginAdapter: "HttpEVDAdapter",
	EAIAdapter: "HttpEAIAdapter",
	EAITraiAdapter: "HttpEAITraiAdapter",
	packageAdapater: "HttpPackageAdapter",
	EAIHeavyRefreshAdapter: "EAIHeavyRefreshAdapter",
	packageAdapterEligiblePacks: "HttpPckgEligiblePacksAdapter",
	dashBoardAdapter: "HtttpDashBoardAdapter",
	HttpPackageDropAdapter: "HttpPackageDropAdapter",
	transactionAdapter: "HttpEVDServiceAdapter",
	SqlDemoAccountAdapter: "SqlDemoAccountAdapter",
	SqlDealerStockAdapter: "SqlDealerStockAdapter",
	mqPackageAdapter: "HttpMQPackAdapter",
	SqlODSRechargeReversal: "SqlODSRechargeReversal",
	SQLMiddlewareAdapter: "SQLMiddlewareAdapter",
	HTTPOffersAdapter: "HTTPOffersAdapter",
	HttpOtpAdapter: "HttpOtpAdapter_Ldp",
	HttpEAIBOTAdapter: "HttpEAIBOTAdapter_Ldp",
	SQLGeoLocationAdapter: "SQLGeoLocationAdapter",
	/*httpEVDservice  adapter was missing from this common ui */
	HttpEVDServiceAdapter: "HttpEVDServiceAdapter",
	HttpRechargeNotification: "HttpRechargeNotification",
	SqlEVDAdapter: "SqlEVDAdapter",
	// Mumbai CR
	HttpActivationStatusPackInfoAdapter: "HttpActivationStatusPackInfoAdapter",
	HttpETSKAdapter: "HttpETSKAdapter",
	FosDealerCreation: "FosDealerCreation",
	HttpLeadSquaredAdapter: "HttpLeadSquaredAdapter",
	ViewDealerAdapter: "ViewDealerAdapter"
	// Mumbai CR End

};

Configuration.prototype.procedure = {
	EVDLogin: "doEVDLogin",
	ADLogin: "doADLogin",
	forgotPwd: "getForgotPassword",
	changePwd: "getChangePassword",
	evdTransfer: "doEVDTransfer",
	recharge: "doRecharge",
	validateSubscriber: "validateSubscriber",
	accountInfo: "getAccountInformation",
	activationStatus: "getActivationStatus",
	inventory: "captureTSKInventory",
	compititor: "captureCompetitorData",
	tskPINValidate: "TSKPinValidateAdapter",
	/*tskPINValidate :"TSKPinValidateAdapterPrimaryAndSecondary",*/
	accountCreationAndTSKRegistration: "doAccountCreationAndTSKRegistration",  //aa
	pickPackAndWorkOrderCreationPrimary: "doPickPackAndWorkOrderCreationPrimary",
	secPINValidate: "TSKPinValidateAdapterSecondary",
	multiTVReg: "doPickPackAndWorkOrderCreationSecondary",
	logout: "logout",
	heavyRefresh: "doHeavyRefresh",
	earnMoreProc: "getSubscriberInfo",
	getBalance: "getCustomerBalance",
	getBalanceNew: "doBalanceEnquiry",
	doPackageAddAccountService: "getAccountService",
	getEligiblePacks: "getEligiblePacks",
	confirmPackage: "addAddonPack",
	checkCompatibility: "checkCompatibility",
	getAddOnPackages: "getAddOnPackages",
//	retrieveMultiTvBoxType: "retrieveMultiTvBoxType",
	getDashBoardData: "getDashBoardData",
	getSubscribedPackDrop: "getSubscribedPackDrop",
	dropPack: "dropPack",
	fetchDetails: "retrieveTransactionsDetails",
	getTataskyURLs: "getTataskyURLs",
	validateDealer: "getDealerId",//Demo Acc Atul
	getADUserRole: "getADUserRole",//Demo Acc Atul
	doDemoAccountCreationAndTSKRegistration: "doDemoAccountCreationAndTSKRegistration",//Demo Acc Atul
	getdetails: "getdetails",
	rechargeNotification: "rechargeNotification",
	addPacks: "addPacks",
	gettskstockData: "gettskstockData",
	getevdstockData: "getevdstockData",
	getTskasmData: "getTskasmData",
	getDealerDashBoardData: "getDealerDashBoardData",
	getDealerDashBoardData1: "getDealerDashBoardData1",
	getDealerDashBoardData2: "getDealerDashBoardData2",
	doBalanceEnquiryForDealerStock: "doBalanceEnquiryForDealerStock",
	retrieveTransactionDetails: "retrieveTransactionDetails",
	confirmRechargeReversal: "confirmRechargeReversal",// recharage reversal
	retrieveUPPOffers: "retrieveUPPOffers",
	createFRWorkOrder: "createFRWorkOrder", // for Nature of Request select box for FR workorder
	retrieveMainCategory: "retrieveMainCategory",
	fetchRechargeOffers: "fetchRechargeOffers", // Recharge Offer	
	retrieveAccountDetails: "retrieveAccountDetails",
	getSPMOpenOffers: "getSPMOpenOffers",
	generateOTP: "generateOTP",
	getOfferPacks: "getOfferPacks",
	validateOTPandAddPack: "validateOTPandAddPack",
	validateOTP: "validateOTP",
	getRechargeOffers: "getRechargeOffers",
	getHelplineNumbers: "getHelplineNumbers",
	checkDealerEligibilityForDemo: "checkDealerEligibilityForDemo",
	TSKPinValidateForDemo: "TSKPinValidateForDemo",
	fetchLastFiveRechargesOfSub: "fetchLastFiveRechargesOfSub",
	queryWorkOrder: "queryWorkOrder",
	createSRWorkOrder: "createSRWorkOrder",
	retrieveSubIdForDealer: "retrieveSubIdForDealer",
	/*below fuction was missing from common ui code*/
	checkLocation: "checkLocation",
	validateDealer1: "getDealerId1",//newgeokarthi
	getADUserRole1: "getADUserRole1",//newgeokarthi
	checkLocationrecharge: "checkLocationrecharge",//newgeokarthi
	checkLocationaccountinfo: "checkLocationaccountinfo",//newgeokarthi
	checkLocationdashboard: "checkLocationdashboard",//newgeokarthi
	checkLocationprimaryaccount: "checkLocationprimaryaccount",//newgeokarthi
	checkLocationpackageadd: "checkLocationpackageadd",//newgeokarthi
	checkLocationpackageinformation: "checkLocationpackageinformation",//newgeokarthi
	getReginalCount: "getReginalCount",
	getPosmBalanceNew: "doPosmBalanceEnquiry",//POSM
	getPosmdealerid: "getPosmdealerid",//POSM
	getPosmdealerid1: "getPosmdealerid1",//fosGEt dealer id
	dealerbalancerequest: "dealerbalancerequest",//dealer balance transfer request
	getdealertrackrequest: "getdealertrackrequest",//dealer track request
	fetchdealeridtrackrequest: "fetchdealeridtrackrequest", //fetch dealer details
	fosgetraiserequestdetails: "fosgetraiserequestdetails",//fos raise request
	getfostrackrequest: "getfostrackrequest",//fos track request
	fosgetdealeridfortrackrequest: "fosgetdealeridfortrackrequest",
	distributortrackrequest: "distributortrackrequest",
	distributortrackrequestdetails: "distributortrackrequestdetails",
	asmasitrackrequest: "asmasitrackrequest",
	asmasitrackrequestdetails: "asmasitrackrequestdetails",
	fosapproverequest: "fosapproverequest",
	fosrejectandreasonrequest: "fosrejectandreasonrequest",
	getfosrejectionreasonfromproperty: "getfosrejectionreasonfromproperty",
	getHDChannels: "getHDChannels",
	AddPackMakeMyHD: "AddPackMakeMyHD",
	multiTvPackAddition: "multiTvPackAddition",
	//added by karthi for trai
	retrieveAccountDetailstrai: "retrieveAccountDetails",
	getReginalCounttrai: "getReginalCount",
	checkLocationprimaryaccounttrai: "checkLocationprimaryaccount",
	getAddOnPackagestrai: "getAddOnPackages",
	accountCreationAndTSKRegistrationtrai: "doAccountCreationAndTSKRegistrationTrai",
	pickPackAndWorkOrderCreationPrimarytrai: "doPickPackAndWorkOrderCreationPrimary",
	tskPINValidatetrai: "TSKPinValidateAdapter",
	doGetRentalPack: "doGetRentalPack",
	doGetRentalPackNew: "doGetRentalPackNew",
	dogetTataskyPacksproperty: "dogetTataskyPacksproperty",
	dogetBroadCastPacksproperty: "dogetBroadCastPacksproperty",
	dogetPopularPacksproperty: "dogetPopularPacksproperty",
	dogetAlacartePacksproperty: "dogetAlacartePacksproperty",
	dogetTataskyPacks: "dogetTataskyPacks",
	dogetBroadcastPacks: "dogetBroadcastPacks",
	dogetPopularPacks: "dogetPopularPacks",
	dogetAlacartePacks: "dogetAlacartePacks",
	//binge
	dogetBingePacks: "dogetBingePacks",
	//etsk
	dogetPopularPacksETSK: "dogetPopularPacksETSK",
	dogetTataskyPacksETSK: "dogetTataskyPacksETSK",
	dogetBroadcastPacksETSK: "dogetBroadcastPacksETSK",
	dogetAlacartePacksETSK: "dogetAlacartePacksETSK",
	dogetBingePacksETSK: "dogetBingePacksETSK",
	//end etsk
	docheckRentalPackFlag: "docheckRentalPackFlag",
	docheckRentalPackFlagPrice: "docheckRentalPackFlagPrice",
	getPackagesURLsTrai: "getPackagesURLsTrai",
	getPackagesChannelDetailsPopularTrai: "getPackagesChannelDetailsPopularTrai",
	getPackagesChannelDetailsTataskyTrai: "getPackagesChannelDetailsTataskyTrai",
	getPackagesChannelDetailsBroadcastTrai: "getPackagesChannelDetailsBroadcastTrai",
	getPackagesChannelDetailsAlacarteTrai: "getPackagesChannelDetailsAlacarteTrai",
	getPackagesChannelDetailsSelectedPacksTrai: "getPackagesChannelDetailsSelectedPacksTrai",
	//end
	packSelectorAccountInformation: "packSelectorAccountInformation",
	/*doPackageAddAccountServiceTrai:"getAccountServiceTrai",//trai starts
	getEligiblePacksTrai:"getEligiblePacksTrai",
	confirmPackageTrai:"addAddonPackTrai",
	checkCompatibilityTrai:"checkCompatibilityTrai",
	getAddOnPackagesTrai:"getAddOnPackagesTrai",*/
	PickPackAndGetSlotPrimary: "PickPackAndGetSlotPrimary",//OCS
	confirmslotPrimary: "confirmslotPrimary",//OCS
	PickPackAndGetSlotSecondary: "PickPackAndGetSlotSecondary",//OCS
	confirmSlotandWorkOrder: "doConfirmSlotSecondaryandWorkOrder",//OCS
	frgetslot: "doFRgetslot",//OCS
	//createFROcsWorkOrder:"doConfirmSlotandFRWorkOrder",//OCS
	createFROcsWorkOrder: "createFRWorkOrderOCS", //OCS pin error
	doAccountCreationAndTSKRegistrationOCS: "doAccountCreationAndTSKRegistrationOCS",
	TSKPinValidateAdapterSecondaryOCS: "TSKPinValidateAdapterSecondaryOCS",
	tskPINValidateOcs: "TSKPinValidateAdapterOCS",
	validateOTPMigrate: "validateOTPMigrate",
	generateOTPMigrate: "generateOTPMigrate",

	//added for ocs with primary and secondary
	//added by karthi
	tskPINValidatetest: "TSKPinValidateAdapterPrimaryAndSecondary",
	doAccountCreationAndTSKRegistrationOCSWithPrimaryAndSecondaryCombination: "doAccountCreationAndTSKRegistrationOCSWithPrimaryAndSecondaryCombination",
	TSKPinValidateAdapterSecondarySlot1: "TSKPinValidateAdapterSecondarySlot1",
	TSKPinValidateAdapterSecondarySlot2: "TSKPinValidateAdapterSecondarySlot2",
	TSKPinValidateAdapterSecondarySlot3: "TSKPinValidateAdapterSecondarySlot3",
	primaryandsecondaryoffercoderetrivels: "primaryandsecondaryoffercoderetrivels",
	primaryandsecondaryoffercoderetrivelsNew: "primaryandsecondaryoffercoderetrivelsNew",
	doPickPackAndWorkOrderCreationPrimaryAndSecondary: "doPickPackAndWorkOrderCreationPrimaryAndSecondary",
	retrieveAccountDetailsprimarysecondaryrepush: "retrieveAccountDetailsprimarysecondaryrepush",
	PickPackAndGetSlotPrimaryAndSecondary: "PickPackAndGetSlotPrimaryAndSecondary",
	// Mumbai CR
	getActivationStatusPacInfo: "getActivationStatusPacInfo",
	getAccountInfoActStatus: "getAccountInformation",
	// Mumbai CR End
	//bcp
	getBCPActivationStatus: "getBCPActivationStatus",
	//bcp end
	//deepak
	queryWorkOrderMob: "queryWorkOrderMob",

	//end
	//end
	retrieveWODetailsActivationStatus: "retrieveWODetailsActivationStatus",

	retrieveOtherDetailsActivationStatus: "retrieveOtherDetailsActivationStatus",

	validatePinCode: "validatePinCode",
	doAccountCreationETSK: "doAccountCreationETSK",
	doGetRentlPackETSK: "doGetRentlPackETSK",
	doRechargeETSKPickPackConfirmSlotWOrkOrder: "doRechargeETSKPickPackConfirmSlotWOrkOrder",
	etskGetSlot: "etskGetSlot",
	etskGetRepushStatus: "etskGetRepushStatus",
	etskRepushConfirm: "etskRepushConfirm",
	//create dealer
	fosDetails: "fosDetails",
	validateDealerDetails: "validateDealerDetails",
	validateTownCode: "validateTownCode",
	validateForOutletType: "validateForOutletType",
	getLeadInformation: "getLeadInformation",
	viewDistributorList: "viewDistributorList",
	viewFOSListByDist: "viewFOSListByDist",
	createDealersAccount: "createDealersAccount",
	dealersForFOS: "dealersForFOS",
	//create dealer end
	
	//lead
	leadsAcceptCase: "leadsAcceptCase",
	leadsRejectCase: "leadsRejectCase",
	//lead end
	//end
	//tsk refund
	doTSKRefund:"doTSKRefund",
	getPOSMData:"getPOSMData",
	doRaiseReqRCVTSKPOSM:"doRaiseReqRCVTSKPOSM",
	doGetPOSMOrderDetails:"doGetPOSMOrderDetails",
	doGetPOSMAssetDetails:"doGetPOSMAssetDetails",

	/*Partner Quote procedure code Starts*/
	getTskTypesFromProp:"getTskTypesFromProp",
	retrieveBasePackDtlsWithoutSubId:"retrieveBasePackDtlsWithoutSubId",
	getAllCategoryPacks:"getAllCategoryPacks",
	generateOTPWithOutSubId:"generateOTPWithOutSubId",
	validateOTPWithoutSubId:"validateOTPWithoutSubId",
	doGetRentalPackNewPartnerQuote:"doGetRentalPackNewPartnerQuote",
	sendSMS:"sendSMS",
	getSecMultiTVDtls:"getSecMultiTVDtls",
	retrieveMultiTvBoxType: "retrieveMultiTvBoxType",
	insertRentalPackNewPartnerQuote:"insertRentalPackNewPartnerQuote",
	insertRentalPackNewPartnerQuoteSecIns:"insertRentalPackNewPartnerQuoteSecIns",
	/**ends */
};


Configuration.prototype.modeParam = {
	evd: "MOBWEB",
	eai: "MOBDATA",
	sms: "",
	hma: "HMA",
	dsktp: "MOBDESKTOP"
};

Configuration.prototype.appMode = "GPRS";
Configuration.prototype.modules = {
	//deepak
	queryWorkOrderMob: "queryWorkOrderMob",
	evdLogin: "EVDLogin",
	evd: "EVDTransfer",
	adLogin: "ADLogin",
	recharge: "Recharge",
	validateSub: "validateSub",
	accountInfo: "accountInfo",
	activationStatus: "activationStatus",
	inventory: "inventory",
	compititor: "compititor",
	changePassword: "ChangePwd",
	forgotPassword: "ForgotPwd",
	accountSetup1: "accountSetup1",
	accountSetup2: "accountSetup2",
	accountSetup3: "accountSetup3",
	TSKSec1: "TSKSec1",
	secReg: "secRegistration",
	logout: "logout",
	earnMoreModule: "earnMoreModule",

	balance: "customerBalance",
	packagescreen1: "packageScreen1",
	packageLandingEligiblePacks: "packageLandingEligiblePacks",
	packageCompatible: "packageCompatible",
	packageConfirm: "packageConfirm",
	addOnPackage: "addOnPackage",
	heavyRefresh: "HeavyRefresh",
	secBoxType: "BoxTypeSec",
	dashBoard: "dashBoard",
	packageDrop: "packageDrop",
	packageDropConfirm: "packageDropConfirm",
	history: "history",
	tataskyURLs: "tataskyURLs",
	demoAcc: "demoAcc", //Demo Acc Atul
	ValidUserDemoAcc: "ValidUserDemoAcc",//Demo Acc Atul
	demoAccSetup2: "demoAccSetup2",//Demo Acc Atul
	ValidUserGeoLoc1: "ValidUserGeoLoc1",//new geo karthi
	geoLocFOSThenDealer: "geoLocFOSThenDealer",//new geo karthi
	getGeoLocationrecharge: "getGeoLocationrecharge",//new geo karthi
	getGeoLocationaccountinfo: "getGeoLocationaccountinfo",//new geo karthi
	getGeoLocationdashboard: "getGeoLocationdashboard",//new geo karthi
	getGeoLocationprimaryaccount: "getGeoLocationprimaryaccount",//new geo karthi
	getGeoLocationpackageadd: "getGeoLocationpackageadd",//new geo karthi
	getGeoLocationpackageinformation: "getGeoLocationpackageinformation",//new geo karthi
	rechargeNotification: "rechargeNotification",
	TSRechargeNotificationdoRecharge: "TSRechargeNotificationdoRecharge",
	dealerstock: "dealerstock",//Tousif
	dashBoardB: "dashBoardB",
	rechargeReversal: "rechargeReversal", // recharge reversal
	rechargeReversalConfirm: "rechargeReversalConfirm", //recharge reversal confirm
	uppOffers: "uppOffers",
	FRworkorderCategory: "FRworkorderCategory",// Nature of Request for FR workorder
	FRcomplainsend: "FRcomplainsend",
	rechargeOffers: "rechargeOffers", // Recharge Offer	
	frworkordereModule: "frworkordereModule", // frworkorder
	pendingRegistration: "pendingRegistration",
	faqlinkURLs: "faqlinkURLs",
	rechargrConfirmBtn: "rechargrConfirmBtn",
	targetOffers: "targetOffers",
	sendOtp: "sendOtp",
	validateOtpAddPack: "validateOtpAddPack",
	getPackageDetails: "getPackageDetails",
	rechargeOffers: "rechargeOffers",
	rchrgOffersRecharge: "rchrgOffersRecharge",
	helplineNumbers: "helplineNumbers",
	dealerDemo: "dealerDemo",
	dealerCodeValidation: "dealerCodeValidation",
	tskpinValidateDemo: "tskpinValidateDemo",
	dealerCodeReValidation: "dealerCodeReValidation",
	lastFiveRechargeDetails: "lastFiveRechargeDetails",
	TracktheRequest: "TracktheRequest",
	SRcomplainsend: "SRcomplainsend",
	DemoBoxdetails: "DemoBoxdetails",

	/*below module was missing from common ui code desktop*/
	retriveDetails: "retrieveDetails",
	getGeoLocation: "getGeoLocation", //geoLocation
	ValidUserGeoLoc: "ValidUserGeoLoc", //geoLocation
	geoLocADThenDealer: "geoLocADThenDealer", //geoLocation
	regionalPackCount: "regionalPackCount",
	makeMyHdAdapterCall: "makeMyHdAdapterCall",
	Posmbalancenew: "Posmbalancenew",///new posm karthi
	Posmgetdealerid: "Posmgetdealerid",//POSM
	dealerbalancerequestservice: "dealerbalancerequestservice",//dealer balance transfer request
	getdealertrackrequestservice: "getdealertrackrequestservice",//dealer track request
	fetchdealeridtrackrequestservice: "fetchdealeridtrackrequestservice",//fetch dealer details
	fosgetraiserequestdetailservice: "fosgetraiserequestdetailservice",//fos raiserequest
	getfostrackrequestservice: "getfostrackrequestservice",//fos trackrequest
	getPosmdealeridservice: "getPosmdealeridservice",//fos get dealer id
	fosgetdealeridfortrackrequestservice: "fosgetdealeridfortrackrequestservice",
	distributortrackrequestservice: "distributortrackrequestservice",
	distributortrackrequestdatadetailsservice: "distributortrackrequestdatadetailsservice",
	asmasitrackrequestservice: "asmasitrackrequestservice",
	asmasitrackrequestdetailsservice: "asmasitrackrequestdetailsservice",
	fosapproverequestservice: "fosapproverequestservice",
	fosrejectandreasonrequestservice: "fosrejectandreasonrequestservice",
	getfosrejectionreasonfrompropertyservice: "getfosrejectionreasonfrompropertyservice",
	validateOtpAddPackMakeMyHD: "validateOtpAddPackMakeMyHD",
	validateOtpAddPackLDP: "validateOtpAddPackLDP",
	validateAddPackLDPMultiTv: "validateAddPackLDPMultiTv",
	sendOtpLDP: "sendOtpLDP",
	//trai changes
	packagescreen1Trai: "packageScreen1Trai",
	packageLandingEligiblePacksTrai: "packageLandingEligiblePacksTrai",
	packageCompatibleTrai: "packageCompatibleTrai",
	packageConfirmTrai: "packageConfirmTrai",
	addOnPackageTrai: "addOnPackageTrai",
	packageDropTrai: "packageDropTrai",
	packageDropConfirmTrai: "packageDropConfirmTrai",
	packSelectorGetAccountInfo: "packSelectorGetAccountInfo",

	//added by karthi for trai
	accountSetup1trai: "accountSetup1trai",
	accountSetup2trai: "accountSetup2trai",
	accountSetup3trai: "accountSetup3trai",
	addOnPackagetrai: "addOnPackagetrai",
	getGeoLocationprimaryaccounttrai: "getGeoLocationprimaryaccounttrai",
	pendingRegistrationtrai: "pendingRegistrationtrai",
	regionalPackCounttrai: "regionalPackCounttrai",
	doGetRentalPackservice: "doGetRentalPackservice",
	dogetTataskyPackspropertyservice: "dogetTataskyPackspropertyservice",
	dogetBroadCastPackspropertyservice: "dogetBroadCastPackspropertyservice",
	dogetPopularPackspropertyservice: "dogetPopularPackspropertyservice",
	dogetAlacartePackspropertyservice: "dogetAlacartePackspropertyservice",
	dogetTataskyPacksservice: "dogetTataskyPacksservice",
	dogetBroadcastPacksservice: "dogetBroadcastPacksservice",
	dogetPopularPacksservice: "dogetPopularPacksservice",
	dogetAlacartePacksservice: "dogetAlacartePacksservice",
	//binge
	dogetBingePacksservice: "dogetBingePacksservice",
	docheckRentalPackFlagservice: "docheckRentalPackFlagservice",
	docheckRentalPackFlagPriceservice: "docheckRentalPackFlagPriceservice",
	getPackagesURLsTraiService: "getPackagesURLsTraiService",
	getPackagesChannelDetailsPopularTraiService: "getPackagesChannelDetailsPopularTraiService",
	getPackagesChannelDetailsTataskyTraiService: "getPackagesChannelDetailsTataskyTraiService",
	getPackagesChannelDetailsBroadcastTraiService: "getPackagesChannelDetailsBroadcastTraiService",
	getPackagesChannelDetailsAlacarteTraiService: "getPackagesChannelDetailsAlacarteTraiService",
	getPackagesChannelDetailsSelectedPacksTraiService: "getPackagesChannelDetailsSelectedPacksTraiService",
	getGeoLocationpackageaddTrai: "getGeoLocationpackageaddTrai",
	validateOtpMigrate: "validateOtpMigrate",
	generateOtpMigrate: "generateOtpMigrate",
	pickPackAndGetslotPrimaryservice: "pickPackAndGetslotPrimaryservice",//Added by Tousif for CR OCS
	confirmslotAndWorkOrderCreationPrimaryservice: "confirmslotAndWorkOrderCreationPrimaryservice",//Added by Tousif for CR OCS
	pickPackAndGetslotSecondaryservice: "pickPackAndGetslotSecondaryservice",//Added by Tousif for CR OCS
	confirmSlotSecondaryandWorkOrderservice: "confirmSlotSecondaryandWorkOrderservice",
	frgetslotservice: "frgetslotservice",//OCS
	FROcsComplainService: "FROcsComplainService",

	//added for ocs with primary and secondary
	//added by karthi
	TSKsSec1: "TSKsSec1",
	TSKsSec2: "TSKsSec2",
	TSKsSec3: "TSKsSec3",
	primaryandsecondaryoffercoderetrivelsservice: "primaryandsecondaryoffercoderetrivelsservice",
	accountSetup3primarysecondaryservice: "accountSetup3primarysecondaryservice",
	pendingRegistrationprimarysecondaryrepushservice: "pendingRegistrationprimarysecondaryrepushservice",
	//bcp
	bcpActivationStatus: "bcpActivationStatus",
	//end
	//end

	// Mumbai CR
	activationStatusRecharges: "activationStatusRecharges",
	activationStatusPackageInfo: "activationStatusPackageInfo",
	accountInfoActivationStatus: "accountInfoActivationStatus",
	workOrderOtherDetailsActivationStatus: "workOrderOtherDetailsActivationStatus",
	workOrderDetailsActivationStatus: "workOrderDetailsActivationStatus",

	validatePinCodeService: "validatePinCodeService",
	doAccountCreationETSKService: "doAccountCreationETSKService",
	dogetPopularPacksetskservice: "dogetPopularPacksetskservice",
	dogetTataskyPacksetskservice: "dogetTataskyPacksetskservice",
	dogetBroadcastPacksetskservice: "dogetBroadcastPacksetskservice",
	dogetAlacartePacksetskservice: "dogetAlacartePacksetskservice",
	dogetBingePacksetskservice: "dogetBingePacksetskservice",
	docheckRentalPackFlagetskservice: "docheckRentalPackFlagetskservice",
	docheckRentalPackFlagPriceetskservice: "docheckRentalPackFlagPriceetskservice",
	doGetRentlPackETSKservice: "doGetRentlPackETSKservice",
	doRechargeETSKPickPackConfirmSlotWOrkOrderservice: "doRechargeETSKPickPackConfirmSlotWOrkOrderservice",
	etskGetSlot: "etskGetSlot",
	etskGetRepushStatus: "etskGetRepushStatus",
	etskRepushConfirm: "etskRepushConfirm",
	// Mumbai CR End
	//Mumbai new create dealer CR
	getFOSInfo: "getFOSInfo",
	createNewDealer: "createNewDealer",
	validateNewDealer: "validateNewDealer",
	checkTownLocality: "checkTownLocality",
	outletType: "outletType",
	submitDealerForm: "submitDealerForm",
	//Mumbai new view dealer CR
	viewDealer: "viewDealer",
	newDealerHistory: "newDealerHistory",
	myLead: "myLead",
	firstLead: "firstLead",
	trackLead: "trackLead",
	LeadInfo: "LeadInfo",
	newCreatedDealer: "newCreatedDealer",
	newCreatedDealerFOS: "newCreatedDealerFOS",
	acceptCaseOfLead: "acceptCaseOfLead",
	rejectCaseOfLead: "rejectCaseOfLead",
	//tsk refund
	tskRefund:"tskRefund",
	posmProducts:"posmProducts",
	posmTSKRCVRaise:"posmTSKRCVRaise",
	posmMaterialsProducts:"posmMaterialsProducts",
	posMaterialsRaise:"posMaterialsRaise",
	posmTSKRCVPOSOrderDetails:"posmTSKRCVPOSOrderDetails",
	posmTSKRCVPOSAssetDetails:"posmTSKRCVPOSAssetDetails",
	posmTSKRCVPOSOrderDetailsDistributor:"posmTSKRCVPOSOrderDetailsDistributor",
	posmTSKRCVPOSAssetDetailsDistributor:"posmTSKRCVPOSAssetDetailsDistributor",
	posmTSKRCVPOSOrderDetailsASIASM:"posmTSKRCVPOSOrderDetailsASIASM",
	posmTSKRCVPOSAssetDetailsASIASM:"posmTSKRCVPOSAssetDetailsASIASM",
	posmTSKRCVPOSOrderDetailsFOS:"posmTSKRCVPOSOrderDetailsFOS",
	posmTSKRCVPOSAssetDetailsFOS:"posmTSKRCVPOSAssetDetailsFOS",
	// newDealerHistoryForFOS: "newDealerHistoryForFOS"
	//Mumbai CR end

	/**Partner Quote module code starts */
	partnerQuoteTSKtype:"partnerQuoteTSKtype",
	partnerQuoteTSKtypeMulti:"partnerQuoteTSKtypeMulti",
	loadBasePackPartnerQuote:"loadBasePackPartnerQuote",
	loadCategoryPacksPartnerQuoteModule:"loadCategoryPacksPartnerQuoteModule",
	priBoxTypePQ:"priBoxTypePQ",

	dogetPopularPacksetskservicePQ: "dogetPopularPacksetskservicePQ",
	dogetTataskyPacksetskservicePQ: "dogetTataskyPacksetskservicePQ",
	dogetBroadcastPacksetskservicePQ: "dogetBroadcastPacksetskservicePQ",
	dogetAlacartePacksetskservicePQ: "dogetAlacartePacksetskservicePQ",
	otpGenerationPartnerQuoteModule:"otpGenerationPartnerQuoteModule",
	otpValidationPartnerQuoteModule:"otpValidationPartnerQuoteModule",
	validateRentalPartnerQuoteModule:"validateRentalPartnerQuoteModule",
	secBoxTypePQ: "BoxTypeSecPQ",
	TSKSec1PQ: "TSKSec1PQ",
	sendSmsPartnerQuoteModule:"sendSmsPartnerQuoteModule",
	TSKSec1PQFirstCallModule:"TSKSec1PQFirstCallModule",
	insertRentalPackNewPartnerQuoteModule:"insertRentalPackNewPartnerQuoteModule",
	insertRentalPackNewPartnerQuoteSecInsModule:"insertRentalPackNewPartnerQuoteSecInsModule",
	insertPartnerQuoteMultiPQMod:"insertPartnerQuoteMultiPQMod",
	insertPartnerQuoteSecInsMultiPQMod:"insertPartnerQuoteSecInsMultiPQMod",
	/**Partner Quote ends */
};

/*The following code(password length) modified by Suresh - CR27309*/
Configuration.prototype.minLenght = {
	password: "4",
	tskSerialNo: "11",
	rechAmt: "3"
};

Configuration.prototype.maxLenght = {
	mobile: "9",
	pin: "3",
	tsk: "9",
	rechAmt: "4",
	Fname: "27",
	Lname: "26",
	tskPin: "15",
	pincode: "5",
	name: "27",
	address: "74",
	landmark: "254",
	tskInvent: "14",
	tskLandinRate: "14",
	compRech: "9",
	rechargeOffersAmt: "5",
	transactionID: "18",
	posmamount: "6",
	age: "2",
	//tsk refund
	tskserialNoTSKRefundMaxLength:"11"
};

Configuration.prototype.gateway = {
	virtualNo: "+919972040000"
};
Configuration.prototype.FRWorderDetails = '';
Configuration.prototype.FRWorderRequest = '';


// Configuration.prototype.Date = {
// 		timeSlots:[{
// 			startTime: '08:00 AM' ,
// 			endTime: '11:00 AM',
// 			value: '08:00:00'	
// 		},
// 		{
// 			startTime: '11:00 AM' ,
// 			endTime: '02:00 PM',
// 			value: '11:00:00'
// 		},
// 		{
// 			startTime: '02:00 PM' ,
// 			endTime: '05:00 PM',
// 			value: '14:00:00'
// 		},
// 		{
// 			startTime: '05:00 PM' ,
// 			endTime: '08:00 PM',
// 			value: '17:00:00'
// 		}]
// };


Configuration.prototype.Date = {
	timeSlots: [{
		startTime: '09:00 AM',
		endTime: '12:00 PM',
		value: '09:00:00'
	},
	{
		startTime: '12:00 PM',
		endTime: '03:00 PM',
		value: '12:00:00'
	},
	{
		startTime: '03:00 PM',
		endTime: '06:00 PM',
		value: '15:00:00'
	}]
};

Configuration.prototype.pendingPAR = {
	subID: "",
	flag: ""

};
