/**
 * This section is dedicated to JSONStore
 **/
var dbself, dbObjInitialized, db,userNameAuth="";
function DatabaseHelper(){
	dbself = this;
};

var dbHelper= new DatabaseHelper();

DatabaseHelper.prototype.TataSkyDB = {};
DatabaseHelper.prototype.userTable = "User";
DatabaseHelper.prototype.compititorTable = "Compititor";

//Optional options object
var options = {};
//Optional username
options.username = 'tataskyDB';
//Optional password
options.password = 'tatasky';
//Optional local key generation flag
options.localKeyGen = true;
//Optional clear flag
options.clear = false;
DatabaseHelper.prototype.initJSONStore = function()
{
	try
	{
		console.log("inside initJSONStore");
		dbself.TataSkyDB[dbself.userTable] = {};
		dbself.TataSkyDB[dbself.userTable].searchFields = {name: "string", password: "string", mode: "string", mobile: "string", circle:"string", timestamp :"string"};
		dbself.TataSkyDB[dbself.compititorTable] = {};
		dbself.TataSkyDB[dbself.compititorTable].searchFields = {provider: "string", dealerID: "string", mobileNo: "string", activationM: "string", rechargeM:"string", TSKstock:"string", highestSP:"string", landingRate:"string"};
		dbObjInitialized = WL.JSONStore.init(dbself.TataSkyDB, options)
		.then(function () {
			console.log("jsonstore initialized");
			dbself.autoLoginCheck();
		})
		.fail(function (errorObject) {
			alert("dbself..."+JSON.stringify(dbself));
			alert("dbself.TataSkyDB..."+JSON.stringify(dbself.TataSkyDB));
			alert("options..."+JSON.stringify(options));
			alert("TataSkyDB..."+JSON.stringify(TataSkyDB));
		});
	}
	catch (ex) 
	{
		showAlert("error", Messages.catchError);
		return;
	}
};
DatabaseHelper.prototype.addUser = function(userName, pass, mobileNo, circleVal, timeVal,  modeVal) 
{
	try
	{
		var data ={name: userName, password: pass, mode: modeVal, mobile: mobileNo, circle: circleVal, timestamp: timeVal};
		var options = {}; 		
		WL.JSONStore.get(dbself.userTable).add(data, options)
		.then(function () {
			console.log("success of add user");
			CommonFunctions.goToHomeScreen();
			obj = new Common();
			// obj.showModules();
		})
		.fail(function (errorObject) {
			console.log(JSON.stringify(errorObject));
		});	
	}
	catch (ex) 
	{
		showAlert("error", Messages.catchError);
		return;
	}
};

DatabaseHelper.prototype.addCompititorData = function(providerVal, dealerIDVal, mobileNoVal, activationMVal, rechargeMVal, TSKstockVal, highestSPVal, landingRateVal) 
{
	try
	{
		var data ={provider: providerVal, dealerID: dealerIDVal, mobileNo: mobileNoVal, activationM: activationMVal, rechargeM:rechargeMVal, TSKstock:TSKstockVal, highestSP:highestSPVal, landingRate:landingRateVal};
		var options = {}; 		
		WL.JSONStore.get(dbself.compititorTable).add(data, options)
		.then(function () {
				showAlert("message", Messages.compititorSuccess,function(e){
					e.stopImmediatePropagation();
					$("#TSCompetitorDataCapturePopup").popup();
					$('#TSCompetitorDataCapturePopup').popup('close');
					$("#compServiceProviderSelect,#compHSBox").val("");
					$("#compServiceProviderSelect,#compHSBox").selectmenu("refresh");
					CommonFunctions.resetFields();
				});
		})
		.fail(function (errorObject) {
		});
	}
	catch (ex)
	{
		showAlert("error", Messages.catchError);
		return;
	}
};

DatabaseHelper.prototype.updateData = function(arrayResults)
{
	try
	{
		var doc = arrayResults;
		var options = {
		    push: true
		};
		WL.JSONStore.get(dbself.userTable)
			.replace(doc, options)
			.then(function (numberOfDocumentsReplaced) {
				CommonFunctions.goToHomeScreen();
				obj = new Common();
				obj.showModules();
			})
			.fail(function (errorObject) {	
			});	
	}
	catch (ex) 
	{
		showAlert("error", Messages.catchError);
		return;
	}
};


DatabaseHelper.prototype.getCompititorData = function()
{
	try
	{
		WL.JSONStore.get(dbself.compititorTable)
		.findAll()
		.then(function (arrayResults) {
			if(arrayResults)
			{		
				configObj.autoSyncData = arrayResults;
				compititorObj.syncData();
			}
		})
		.fail(function (errorObject) {
		});
	}
	catch (ex) 
	{
		showAlert("error", Messages.catchError);
		return;
	}
};

DatabaseHelper.prototype.getData = function(userName, pass, mobileNo, circleVal, timeVal, modeVal)
{	
	try
	{
		WL.JSONStore.get(dbself.userTable)
		.findAll()
		.then(function (arrayResults) {
			if(arrayResults)
			{
				if(arrayResults.length === 0)
				{
					dbself.addUser(userName, pass, mobileNo, circleVal, timeVal, modeVal);
				}
				else if(arrayResults.length >= 1)
				{
					if(modeVal === "GPRS")
					{					
						var password = "", name = "",  flag = false; 					
						for(var i = 0; i < arrayResults.length ; i++)
						{
						    name = arrayResults[i].json.name;
							if(userName === name)
							{					
								password = arrayResults[i].json.password;
								if(password === pass)
								{
									flag = true;
									break;
								}
								else
								{
									// update password
									flag = true;
									arrayResults[i].json.password = pass;								
									dbself.updateData(arrayResults[i]);
									break;
								}
							}
						}
						if(!flag)
						{
							dbself.addUser(userName, pass, mobileNo, circleVal, timeVal, modeVal);
						}
						else
						{
							CommonFunctions.goToHomeScreen();
							obj = new Common();
							obj.showModules();
						}
					}
					else if(modeVal === "SMS")
					{
						var mobile = "", flag = false, circle = "";
						for(var i = 0; i < arrayResults.length ; i++)
						{
							mobile = arrayResults[i].json.mobile;
							if(mobileNo === mobile)
							{
								circle = arrayResults[i].json.circle;
								if(circleVal === circle)
								{
									flag = true;
									break;
								}
								else
								{
									flag = true;
									dbself.updateData(arrayResults[i]);
									break;
								}														
							}
						}
						if(!flag)
						{
							dbself.addUser(userName, pass, mobileNo, circleVal, timeVal, modeVal);
						}
						else
						{
							CommonFunctions.goToHomeScreen();
							obj.showModules();
						}
					}
				}
			}
			else
			{
			}
		})
		.fail(function (errorObject) {
		});
	}
	catch (ex) 
	{
		console.log("getData"+ex);
		showAlert("error", Messages.catchError);
		return;
	}
};

DatabaseHelper.prototype.deleteUser = function(id)
{
	try
	{
		var query = {_id: id};
		var collectionName = dbself.userTable;
		var options = {exact: true}; 
		WL.JSONStore.get(collectionName)
		.remove(query, options)
		.then(function () {		
			configObj.autoLogin = false;
			CommonFunctions.goToLoginScreen();
			if(GPRSmodeClick)
			{	
				GPRSmodeClick = false;
				CommonFunctions.setSMSLoginLayout();
			} 
		})
		.fail(function (errorObject) {
		});
	}
	catch (ex) 
	{
		showAlert("error", Messages.catchError);
		return;
	}
};

DatabaseHelper.prototype.deleteCompititorData = function(id)
{
	try
	{
		var query = {_id: id};
		var collectionName = dbself.compititorTable;
		var options = {exact: true}; 
		WL.JSONStore.get(collectionName)
		.remove(query, options)
		.then(function () {		
			configObj.autoSyncCount = configObj.autoSyncCount+1;
			compititorObj.syncData();
		})
		.fail(function (errorObject) {
		});
	}
	catch (ex) 
	{
		showAlert("error", Messages.catchError);
		return;
	}
};

DatabaseHelper.prototype.autoLoginCheck = function()
{
	try
	{
		loginSelf.keymode ='Login';
		loginObj.keymode=loginSelf.keymode;
		
		WL.JSONStore.get(dbself.userTable)
		.findAll()
		.then(function (arrayResults) {
			console.log(arrayResults);
			if(arrayResults)
			{				
				if(arrayResults.length === 1)
				{				
					configObj = new Configuration();
					configObj.autoLogin = true;		
					if(configObj.appMode === "GPRS")
					{
						//alert(" in autoLoginCheck  -->in autoLoginCheck configObj.appMode === GPRS ");		
						var name = arrayResults[0].json.name;
						loginSelf.userName = name;
						var password = arrayResults[0].json.password;
						loginSelf.password=password;
						 userNameAuth = validationObj.checkFisrtChar(name); 
						if(userNameAuth === "numeric")
				        {
							typeUser="EVD";
							
							var parameters = [name, password, configObj.modeParam.evd] ;
							//alert("in if userNameAuth === numeric and parameters are"+parameters);
							
				        	loginObj.authenticateEVDUser(configObj.adapter.loginAdapter, configObj.procedure.EVDLogin, parameters);	
				        }
						else if(userNameAuth === "alpha")
						{
							typeUser="AD";
							var parameters = [name, password, configObj.modeParam.evd] ;
							//alert("in if userNameAuth === alpha and parameters are"+parameters);
				        	loginObj.authenticateADUser(configObj.adapter.loginAdapter, configObj.procedure.ADLogin, parameters);
						}
					}
					else if(configObj.appMode === "SMS")
					{
					}
				}
				else if(arrayResults.length === 0)
				{
					$("#userName").removeClass("ui-disabled");
					$("#password").removeClass("ui-disabled");
					commonObj.hideBusy();
				}
			}
			else
			{
				$("#userName").removeClass("ui-disabled");
				$("#password").removeClass("ui-disabled");
			}
		})
		.fail(function (errorObject) {
			console.log(errorObject);
			alert(JSON.stringify(errorObject));
		});
	}
	catch (ex) 
	{
		showAlert("error", Messages.catchError);
		return;
	}
};

function isJSONStoreSupported(){
	try {
		if ((device.platform === 'iOS' || device.platform === 'iphone' || device.platform === 'ipad' || device.platform === 'Android') && typeof cordova !== 'undefined' && typeof WL.JSONStore !== 'undefined' ) {
			return true;
		} else {
			return false;
		} 
	} catch(ex){
		console.log("isJSONStoreSupported catch "+JSON.stringify(ex));
	}
}
//Mumbai Android Crashing issue fix Start
DatabaseHelper.prototype.androidAutoLoginCheck = function () {
	console.log("in androidAutoLoginCheck");
	var isMigrated = false;
	cordova.exec(
		function(res){
			console.log("result"+res);
			if(res!=null){
				isMigrated = true;
			} else{
				isMigrated = false;
			}
			checkSharedPreference(isMigrated);
		},
		function(e){
			console.log(JSON.stringify(e));
			$("#userName").removeClass("ui-disabled");
			$("#password").removeClass("ui-disabled");
			commonObj.hideBusy();
			clearData(uname,pswd,isMigrated);

		},"CryptographyUtility", "getMigrateFlag" + "~" + " " + "~" + " " + "~" + " ", [""]);
}

function checkSharedPreference(isMigrated) {
	var uname = "", pswd = "";

	var iv = "";
	cordova.exec(function (winParam) {
		iv = winParam;
		console.log("getkey iv: " + iv);
		if (iv != null) {
			cordova.exec(function (winParam) {
				var androidLoginData = winParam.split("~");
				var username = androidLoginData[0];
				var password = androidLoginData[1];
				var key = androidLoginData[2];

				console.log("winParam: " + winParam);
				//decrypt
				var decrypted = CryptoJS.AES.decrypt(username, key, {
					keySize: 128 / 8,
					iv: iv,
					mode: CryptoJS.mode.CBC,
					padding: CryptoJS.pad.Pkcs7
				});
				decrypted = decrypted.toString(CryptoJS.enc.Utf8);
				var decryptedpass = CryptoJS.AES.decrypt(password, key, {
					keySize: 128 / 8,
					iv: iv,
					mode: CryptoJS.mode.CBC,
					padding: CryptoJS.pad.Pkcs7
				});

				decryptedpass = decryptedpass.toString(CryptoJS.enc.Utf8);

				uname = decrypted;
				pswd = decryptedpass;
					clearData(uname,pswd,isMigrated);

				console.log(" uname: " + uname + " pswd: " + pswd);

			}, function (error) {
				//console.log("failed to insert");
				console.log("decryption error >>>>>>>>> " + error);
				$("#userName").removeClass("ui-disabled");
				$("#password").removeClass("ui-disabled");
				commonObj.hideBusy();
				clearData(uname,pswd,isMigrated);

			}, "CryptographyUtility", "getDetails" + "~" + " " + "~" + " " + "~" + " ", [""]);
		} else{
				$("#userName").removeClass("ui-disabled");
				$("#password").removeClass("ui-disabled");
				commonObj.hideBusy();
				clearData(uname,pswd,isMigrated);

		}
	}, function (error) {
		//console.log("failed to insert");
		console.log("decryption error >>>>>>>>> " + JSON.stringify(error));
		$("#userName").removeClass("ui-disabled");
		$("#password").removeClass("ui-disabled");
		commonObj.hideBusy();
		clearData(uname,pswd,isMigrated);
	}, "CryptographyUtility", "getKey" + "~" + " " + "~" + " " + "~" + " ", [""]);



}

function clearData(uname,pswd,isMigrated) {
	//clear app data start
	if(!isMigrated){
		migratedFlagSet(uname,pswd);
		// cordova.exec(
		// 	function (res) {
		// 		console.log("ClearData success: " + JSON.stringify(res));
		// 		migratedFlagSet(uname,pswd);
	
		// 	},
		// 	function (res) {
		// 		console.log("ClearData failure: " + JSON.stringify(res));
		// 	}, "ClearData", "data", []
		// );

	} else {
		initializePushNotification();
		migAutologin(uname,pswd);
	}
	//clear app data end
}

function migratedFlagSet(uname,pswd) {

	cordova.exec(
		function(migResults){
			console.log("migresults after adding: " + JSON.stringify(migResults));
			migAutologin(uname,pswd);
			initializePushNotification();
		},
		function(e){
			console.log(JSON.stringify(e));
		}, "CryptographyUtility", "storeMigrateFlag" + "~" + " " + "~" + " " + "~" + " ", [""]);
		
}

function migAutologin(uname, pswd) {
	//adding user to jsonstore
	//autologin should happen
	console.log("migAutologin");
	CommonFunctions.goToHomeScreen();
	if (uname !== "" && pswd !== "") {
		//this is migration update case from mfp 6.3 to 8.0 with autologin
		loginSelf.userName = uname;
		loginSelf.password = pswd;
		loginObj.keymode = 'Login';
		userNameAuth = validationObj.checkFisrtChar(uname);
		if (userNameAuth === "numeric") {
			typeUser = "EVD";
			var parameters = [uname, pswd, configObj.modeParam.evd];
			//console.log("in if userNameAuth === numeric and parameters are"+parameters);
			loginObj.authenticateEVDUser(configObj.adapter.loginAdapter, configObj.procedure.EVDLogin, parameters);
		}
		else if (userNameAuth === "alpha") {
			
			typeUser = "AD";
			var parameters = [uname, pswd, configObj.modeParam.evd];
			console.log("in if userNameAuth === alpha and parameters are"+parameters);
			loginObj.authenticateADUser(configObj.adapter.loginAdapter, configObj.procedure.ADLogin, parameters);
		}
	} else {
		//new installtion for updated app or logged out login for update scenario
		
		$("#userName").removeClass("ui-disabled");
		$("#password").removeClass("ui-disabled");
		commonObj.hideBusy();
	}
}
//Mumbai Android Crashing issue fix End

// Mumbai Notification Code for Android
function initializePushNotification() {
    // if (userOS === "Android" || userOS === "iOS") {
		if (userOS === "Android") {
        MFPPush.initialize (
            function(successResponse) {
                console.log("Successfully intialized push notifications");
                MFPPush.registerNotificationsCallback(notificationReceived);
                MFPPush.isPushSupported (
                    function(successResponse) {
                        console.log("Push Supported: " + successResponse);
                        var options = { };
                        MFPPush.registerDevice(
                            options,
                            function(successResponse) {
								console.log("Successfully registered push notifications");
                            },
                            function(failureResponse) {
                                console.log("Failed to register push notifications" + failureResponse);
                            }
                        );
                    },
                    function(failureResponse) {
                        console.log("Failed to get push support status" + failureResponse);
                    }
                );
            },
            function(failureResponse) {
                console.log("Failed to initialize" + failureResponse);
            }
        );
    }
    
    var notificationReceived = function(message) {
		if (userOS === "Android") {
			showAlert("message", message.alert);
		} else {
			showAlert("message", message.alert.body);
		}
    };
}
//Mumbai Notification Code End

DatabaseHelper.prototype.initializeWindowsDB = function()
{
	cordova.exec(
	function(winParam){
		dbself.autoLoginCheckW();
	}, function(error){
	},
	"DatabaseOperations","CreateDatabases", ["dbCreation"]);
};


DatabaseHelper.prototype.addUserW = function(userName, pass, mobileNo, circleVal, timeVal,  modeVal) 
{	
	try
	{
		var data = [userName, pass, mobileNo, circleVal, timeVal,  modeVal];
		cordova.exec(
			function(winParam){
				CommonFunctions.goToHomeScreen();
				obj = new Common();
				obj.showModules();
			}, function(error){
				
			},
			"DatabaseOperations","AddUser", data);	
	}
	catch (ex) 
	{
		
		showAlert("error", Messages.catchError);
		return;
	}
};



DatabaseHelper.prototype.getDataW = function(userName, pass, mobileNo, circleVal, timeVal, modeVal)
{	
	try
	{		
		cordova.exec(
			function(winParam){
				var arrayResults = winParam.data;
				if(arrayResults)
				{
					if(arrayResults.length === 0)
					{
						dbself.addUserW(userName, pass, mobileNo, circleVal, timeVal, modeVal);
					}
					else if(arrayResults.length >= 1)
					{
						if(modeVal === "GPRS")
						{					
							var password = "", name = "",  flag = false; 					
							for(var i = 0; i < arrayResults.length ; i++)
							{
							    name = arrayResults[i].userName;
								if(userName === name)
								{					
									password = arrayResults[i].password;
									if(password === pass)
									{
										flag = true;
										break;
									}
									else
									{
										flag = true;
										// update password
										dbself.updateDataW(arrayResults[i].id, arrayResults[i].userName, arrayResults[i].password, arrayResults[i].commMode, arrayResults[i].mobileNo, arrayResults[i].circle);
										break;
									}
								}
							}	
							if(!flag)
							{
								dbself.addUserW(userName, pass, mobileNo, circleVal, timeVal, modeVal);
							}
							else
							{
								CommonFunctions.goToHomeScreen();
								obj = new Common();
								obj.showModules();
							}
						}
						else if(modeVal === "SMS")
						{
							var mobile = "", flag = false, circle = "";
							for(var i = 0; i < arrayResults.length ; i++)
							{
								mobile = arrayResults[i].mobileNo;
								if(mobileNo === mobile)
								{
									circle = arrayResults[i].circle;
									if(circleVal === circle)
									{
										flag = true;
										break;
									}
									else
									{
										flag = true;
										dbself.updateDataW(arrayResults[i].id, arrayResults[i].userName, arrayResults[i].password, arrayResults[i].commMode, arrayResults[i].mobileNo, arrayResults[i].circle);
										
										break;
									}														
								}
							}
							if(!flag)
							{
								dbself.addUserW(userName, pass, mobileNo, circleVal, timeVal, modeVal);
							}
							else
							{
								CommonFunctions.goToHomeScreen();
								obj = new Common();
								obj.showModules();
							}
						}
					}
				}
				else
				{
				}
			}, function(error){
				//alert("error >>>>>>>>>> "+error);
			},
		"DatabaseOperations","GetUserListInJson", ["get"]);
	}
	catch (ex) 
	{
		showAlert("error", Messages.catchError);
		return;
	}
};

DatabaseHelper.prototype.autoLoginCheckW = function()
{
	try
	{//alert(" in autoLoginCheckW");
		cordova.exec(
			function(winParam){
				var arrayResults = winParam.data;
				if(arrayResults)
				{
					if(arrayResults.length === 1)
					{				
						configObj = new Configuration();
						configObj.autoLogin = true;		
						if(configObj.appMode === "GPRS")
						{			//alert(" in autoLoginCheckW  -->in autoLoginCheckW configObj.appMode === GPRS ");
							var name = arrayResults[0].userName;	
							loginSelf.userName = name;
							var password = arrayResults[0].password;
							userNameAuth = validationObj.checkFisrtChar(name); 
							if(userNameAuth === "numeric")
					        {
								typeUser="EVD";
								var parameters = [name, password, configObj.modeParam.evd] ;
					        	loginObj.authenticateEVDUser(configObj.adapter.loginAdapter, configObj.procedure.EVDLogin, parameters);	
					        }
							else if(userNameAuth === "alpha")
							{
								typeUser="AD";
								var parameters = [name, password, configObj.modeParam.evd] ;
					        	loginObj.authenticateADUser(configObj.adapter.loginAdapter, configObj.procedure.ADLogin, parameters);
							}
						}
						else if(configObj.appMode === "SMS")
						{
							// yet to implement
						}
					}	
				}
			}, function(error){
			},
			"DatabaseOperations","GetUserListInJson", ["get"]);		
	}
	catch (ex) 
	{
		showAlert("error", Messages.catchError);
		return;
	}
};


DatabaseHelper.prototype.addCompititorDataW = function(providerVal, dealerIDVal, mobileNoVal, activationMVal, rechargeMVal, TSKstockVal, highestSPVal, landingRateVal) 
{
	try
	{
		var data = [providerVal, dealerIDVal, mobileNoVal, activationMVal, rechargeMVal, TSKstockVal, highestSPVal, landingRateVal];
		cordova.exec(
			function(winParam){
				showAlert("message", Messages.compititorSuccess);
				CommonFunctions.resetFields();
				$("#compServiceProviderSelect,#compHSBox").val("");
				$("#compServiceProviderSelect, #compHSBox").selectmenu("refresh");
			}, function(error){
			},
			"DatabaseOperations","AddCompetitor", data);	
	}
	catch (ex) 
	{
		showAlert("error", Messages.catchError);
		return;
	}
};

DatabaseHelper.prototype.getCompititorDataW = function() 
{
	try
	{
		cordova.exec(
		function(winParam){
			var arrayResults = winParam.data;
			if(arrayResults)
			{		
				configObj.autoSyncData = arrayResults;
				compititorObj.syncDataW();
			}

		}, function(error){
	//	alert("Data Fetch Compititor Failed");
		},
		"DatabaseOperations","GetCompetitorListInJson", ["get"]);
	}
	catch (ex) 
	{
		showAlert("error", Messages.catchError);
		return;
	}	
};

DatabaseHelper.prototype.deleteCompititorDataW = function(id)
{	
	try
	{
		cordova.exec(
		function(winParam){
			configObj.autoSyncCount = configObj.autoSyncCount+1;
			compititorObj.syncDataW();
		}, function(error){
			//alert("error removing compititor data "+ JSON.stringify(errorObject));
		},
		"DatabaseOperations","DeleteCompetitors",[id]);
	}
	catch (ex) 
	{
		showAlert("error", Messages.catchError);
		return;
	}	
};

DatabaseHelper.prototype.updateDataW = function(arrayResults)
{
	try
	{		
		cordova.exec(
			function(winParam){
				CommonFunctions.goToHomeScreen();
				obj = new Common();
				obj.showModules();
			},
			function(error){
			},
			"DatabaseOperations","UpdateUser",[]);	
	}
	catch (ex) 
	{
		showAlert("error", Messages.catchError);
		return;
	}
};


DatabaseHelper.prototype.deleteUserW = function(id)
{	
	try
	{		
		cordova.exec(
			function(winParam){
				configObj.autoLogin = false;
				CommonFunctions.goToLoginScreen();
			},
			function(error){
		//	alert("error removing user data "+ JSON.stringify(errorObject));
			},
			"DatabaseOperations","DeleteUsers",[id]);	
	}
	catch (ex) 
	{
		showAlert("error", Messages.catchError);
		return;
	}
};
DatabaseHelper.prototype.initializeBlackberryDB = function()
{
	dbself.autoLoginCheckB();
};
DatabaseHelper.prototype.autoLoginCheckB = function()
{
	try
	{
		var resultData = sqlite.Sql.executequery("user","select rowid,* from user",null);
		result = JSON.parse(resultData);
		if(result.length === 1)
		{
			configObj = new Configuration();
			configObj.autoLogin = true;	
			if(configObj.appMode === "GPRS")
			{			
				var name = result[0].username;
				loginSelf.userName = name;
				var password = result[0].password;
				var userNameAuth = validationObj.checkFisrtChar(name); 
				if(userNameAuth === "numeric")
		        {
					typeUser="EVD";
					var parameters = [name, password, configObj.modeParam.evd] ;
					loginObj.authenticateEVDUser(configObj.adapter.loginAdapter, configObj.procedure.EVDLogin, parameters);	
		        }
				else if(userNameAuth === "alpha")
				{
					typeUser="AD";
					var parameters = [name, password, configObj.modeParam.evd] ;
		        	loginObj.authenticateADUser(configObj.adapter.loginAdapter, configObj.procedure.ADLogin, parameters);
				}
			}
			else if(configObj.appMode === "SMS")
			{
				// yet to implement
			}
		}
	}
	catch(Ex)
	{
		
	}
};
DatabaseHelper.prototype.getDataB = function(userName, pass, mobileNo, circleVal, timeVal, modeVal)
{	
	try
	{
		 var ResultData = sqlite.Sql.executequery("user","select rowid,* from user",null);
		 resultObj = JSON.parse(ResultData);
		 if(resultObj.length === 0)
		 {
			 dbself.addUserB(userName, pass, mobileNo, circleVal, timeVal, modeVal);
		 }
		 else if(resultObj.length >= 1)
		 {
			 if(modeVal === "GPRS")
			 {					
					var password = "", name = "",  flag = false; 					
					for(var i = 0; i < resultObj.length ; i++)
					{
					    name = resultObj[i].username;
						if(userName === name)
						{					
							password = resultObj[i].password;
							if(password === pass)
							{
								flag = true;
								break;
							}
							else
							{
								flag = true;
								var UpdateData = sqlite.Sql.executequery("user","update user set password = ? where rowid = ?","["+resultObj[i].password+","+resultObj[i].rowid+"]");
								if(UpdateData === "Success")
									{
									CommonFunctions.goToHomeScreen();
									obj = new Common();
									obj.showModules();
									}
								break;
							}
						}
					}	
					if(!flag)
					{
						dbself.addUserB(userName, pass, mobileNo, circleVal, timeVal, modeVal);
					}
					else
					{
						CommonFunctions.goToHomeScreen();
						obj = new Common();
						obj.showModules();
					}
				}
				else if(modeVal === "SMS")
				{
					var password = "", name = "",  flag = false; 					
					for(var i = 0; i < resultObj.length ; i++)
					{
					    name = resultObj[i].username;
						if(userName === name)
						{					
							password = resultObj[i].password;
							if(password === pass)
							{
								flag = true;
								break;
							}
							else
							{
								flag = true;
								var UpdateData = sqlite.Sql.executequery("user","update user set password = ? where rowid = ?","["+resultObj[i].password+","+resultObj[i].rowid+"]");
								if(UpdateData === "Success")
									{
									CommonFunctions.goToHomeScreen();
									obj = new Common();
									obj.showModules();
									}
								break;
							}
						}
					}	
					if(!flag)
					{
						dbself.addUserB(userName, pass, mobileNo, circleVal, timeVal, modeVal);
					}
					else
					{
						CommonFunctions.goToHomeScreen();
						obj = new Common();
						obj.showModules();
					}
				}
		 }
		 
	}
	catch(e)
	{
	}
};
DatabaseHelper.prototype.addUserB = function(userName, pass, mobileNo, circleVal, timeVal,  modeVal) 
{	
	
	try
	{
		var data = "["+userName+","+pass+","+mobileNo+","+circleVal+","+timeVal+","+modeVal+"]";
		var ResultData = sqlite.Sql.executequery("user","insert into user(username,password,mobileno,circle,timeVal,modeVal) values(?,?,?,?,?,?)",data);
		if(ResultData === "Success")
		{
			CommonFunctions.goToHomeScreen();
			obj = new Common();
			obj.showModules();
		}
		
		
	}
	catch (ex) 
	{
		showAlert("error", Messages.catchError);
		return;
	}
};
DatabaseHelper.prototype.deleteUserB = function(id)
{	
	try
	{		
		var ResultData = sqlite.Sql.executequery("user","delete from user where rowid="+id,null);
		if(ResultData === "Success")
		{
			configObj.autoLogin = false;
			setTimeout(function(){
				CommonFunctions.goToLoginScreen();
			},300);
			if(GPRSmodeClick)
			{	
				GPRSmodeClick = false;
				CommonFunctions.setSMSLoginLayout();
			} 
			
		}
	}
	catch (ex) 
	{
		showAlert("error", Messages.catchError);
		return;
	}
};
DatabaseHelper.prototype.addCompititorDataB = function(providerVal, dealerIDVal, mobileNoVal, activationMVal, rechargeMVal, TSKstockVal, highestSPVal, landingRateVal) 
{
	try
	{
		var data = "["+providerVal+","+dealerIDVal+","+mobileNoVal+","+activationMVal+","+rechargeMVal+","+TSKstockVal+","+highestSPVal+","+landingRateVal+"]";
		var ResultData = sqlite.Sql.executequery("compititor","insert into compititor(provider,dealer,mobileno,activation,recharge,tskstock,highestSP,landingrate) values(?,?,?,?,?,?,?,?)",data);
		if(ResultData === "Success")
		{
			showAlert("message", Messages.compititorSuccess);
			$("#compServiceProviderSelect option[value=''],#compHSBox option[value='']").prop("selected", true);
			$("#compServiceProviderSelect,#compHSBox").selectmenu("refresh");
			CommonFunctions.resetFields();
		}
	}
	catch (ex) 
	{
		showAlert("error", Messages.catchError);
		return;
	}
};

DatabaseHelper.prototype.getCompititorDataB = function() 
{
	try
	{
		var ResultData = sqlite.Sql.executequery("compititor","select rowid,* from compititor",null);
		var resultObj = JSON.parse(ResultData);
		if(resultObj.length > 0 )
		{
			configObj.autoSyncData = resultObj;
			compititorObj.syncDataB();
		}
		else
		{
			showAlert("alert", Messages.CompDataNotFound);
		}
	}
	catch (ex) 
	{
		showAlert("error", Messages.catchError);
		return;
	}	
};

DatabaseHelper.prototype.deleteCompititorDataB = function(id)
{	
	try
	{
		var ResultData = sqlite.Sql.executequery("compititor","delete from compititor where rowid="+id,null);
		if(ResultData === "Success" )
		{
			configObj.autoSyncCount = configObj.autoSyncCount+1;
			compititorObj.syncDataB();
		}
		
	}
	catch (ex) 
	{
		showAlert("error", Messages.catchError);
		return;
	}	
};
DatabaseHelper.prototype.initializeBlackberry10DB = function()
{
	db = openDatabase('TataSky', '1.0', 'my first database', 2 * 1024 * 1024);
	dbself.autoLoginCheckB10();
};
DatabaseHelper.prototype.autoLoginCheckB10 = function()
{
	try
	{
		db.transaction(function (tx) 
		{
			tx.executeSql('SELECT rowid,* FROM user', [], function (tx, result) 
			{
				len = result.rows.length;
				if(len === 1)
				{
					configObj = new Configuration();
					configObj.autoLogin = true;
					if(configObj.appMode === "GPRS")
					{			
						var name = result.rows.item(0).username;
						loginSelf.userName = name;
						var password =result.rows.item(0).password;
						var userNameAuth = validationObj.checkFisrtChar(name); 
						if(userNameAuth === "numeric")
						{
							typeUser="EVD";
							var parameters = [name, password, configObj.modeParam.evd] ;
							loginObj.authenticateEVDUser(configObj.adapter.loginAdapter, configObj.procedure.EVDLogin, parameters);	
						}
						else if(userNameAuth === "alpha")
						{
							typeUser="AD";
							var parameters = [name, password, configObj.modeParam.evd] ;
			        		loginObj.authenticateADUser(configObj.adapter.loginAdapter, configObj.procedure.ADLogin, parameters);
						}
					}
					else if(configObj.appMode === "SMS")
					{
						// yet to implement
					}
				}
			});
		});
		
	}
	catch(Ex)
	{
		
	}
};
DatabaseHelper.prototype.getDataB10 = function(userName, pass, mobileNo, circleVal, timeVal, modeVal)
{	
	try
	{
		db.transaction(function (tx) 
		{
			
				tx.executeSql('SELECT rowid,* FROM user', [], function (tx, result) 
				{
					var len = result.rows.length;
					if(len === 0)
					{
						dbself.addUserB10(userName, pass, mobileNo, circleVal, timeVal, modeVal);
					}
					else if(len >= 1)
					{
						if(modeVal === "GPRS")
						 {					
								var password = "", name = "",  flag = false; 					
								for(var i = 0; i < len ; i++)
								{
								    name = result.rows.item(i).username;
									if(userName === name)
									{					
										password = result.rows.item(i).password;
										if(password === pass)
										{
											flag = true;
											break;
										}
										else
										{
											flag = true;
											var UpdateData = null;
											db.transaction(function (tx) 
											{
												tx.executeSql('update user set password = ? where rowid = ?', [result.rows.item(i).password,result.rows.item(i).rowid], function (tx, results) 
												{
													UpdateData = "Success";
												});
											});
											if(UpdateData === "Success")
											{
												CommonFunctions.goToHomeScreen();
												obj = new Common();
												obj.showModules();
											}
											break;
										}
									}
								}	
								if(!flag)
								{
									dbself.addUserB10(userName, pass, mobileNo, circleVal, timeVal, modeVal);
								}
								else
								{
									CommonFunctions.goToHomeScreen();
									obj = new Common();
									obj.showModules();
								}
							}
							else if(modeVal === "SMS")
							{
								var password = "", name = "",  flag = false; 					
								for(var i = 0; i < len ; i++)
								{
									name = result.rows.item(i).username;
									if(userName === name)
									{					
										password = result.rows.item(i).password;
										if(password === pass)
										{
											flag = true;
											break;
										}
										else
										{
											flag = true;
											var UpdateData = null;
											db.transaction(function (tx) 
											{
												tx.executeSql('update user set password = ? where rowid = ?', [result.rows.item(i).password,result.rows.item(i).rowid], function (tx, results) 
												{
													UpdateData = "Success";
												});
											});
											if(UpdateData === "Success")
											{
												CommonFunctions.goToHomeScreen();
												obj = new Common();
												obj.showModules();
											}
											break;
										}
									}
								}	
								if(!flag)
								{
									dbself.addUserB10(userName, pass, mobileNo, circleVal, timeVal, modeVal);
								}
								else
								{
									CommonFunctions.goToHomeScreen();
									obj = new Common();
									obj.showModules();
								}
							}
					}
				},function(t,e)
				{
					dbself.addUserB10(userName, pass, mobileNo, circleVal, timeVal, modeVal);
				});
				
		});
		
	}
	catch(e)
	{
	}
};
DatabaseHelper.prototype.addUserB10 = function(userName, pass, mobileNo, circleVal, timeVal,  modeVal) 
{	
	try
	{
		db.transaction(function (tx) 
		{
			tx.executeSql('CREATE TABLE IF NOT EXISTS user (username,password,mobileno,circle,timeVal,modeVal)');
			tx.executeSql('INSERT INTO user(username,password,mobileno,circle,timeVal,modeVal) VALUES(?,?,?,?,?,?)', [userName,pass,mobileNo,circleVal,timeVal,modeVal], function (tx, results) 
			{
					CommonFunctions.goToHomeScreen();
					obj = new Common();
					obj.showModules();
				
			});
		});
		
	}
	catch (ex) 
	{
		//console.trace();
		showAlert("error", Messages.catchError);
		return;
	}
};
DatabaseHelper.prototype.deleteUserB10 = function()
{	
	try
	{	
		db.transaction(function (tx) 
		{
				tx.executeSql('delete from user', [], function (tx, results) 
				{
					configObj.autoLogin = false;
					setTimeout(function(){
						CommonFunctions.goToLoginScreen();
					},300);
					if(GPRSmodeClick)
					{	
						GPRSmodeClick = false;
						CommonFunctions.setSMSLoginLayout();
					} 
				});
		});
	}
	catch (ex) 
	{
		showAlert("error", Messages.catchError);
		return;
	}
};
DatabaseHelper.prototype.addCompititorDataB10 = function(providerVal, dealerIDVal, mobileNoVal, activationMVal, rechargeMVal, TSKstockVal, highestSPVal, landingRateVal) 
{
	try
	{
		db.transaction(function (tx) 
		{
			tx.executeSql('CREATE TABLE IF NOT EXISTS compititor (provider,dealer,mobileno,activation,recharge,tskstock,highestSP,landingrate)');
			tx.executeSql('insert into compititor(provider,dealer,mobileno,activation,recharge,tskstock,highestSP,landingrate) values(?,?,?,?,?,?,?,?)', [providerVal,dealerIDVal,mobileNoVal,activationMVal,rechargeMVal,TSKstockVal,highestSPVal,landingRateVal], function (tx, results) 
			{
				showAlert("message", Messages.compititorSuccess);
				CommonFunctions.resetFields();
			});
		});
	}
	catch (ex) 
	{
		//console.trace();
		showAlert("error", Messages.catchError);
		return;
	}
};

DatabaseHelper.prototype.getCompititorDataB10 = function() 
{
	try
	{
		db.transaction(function (tx) 
		{
			tx.executeSql('select rowid,* from compititor', [], function (tx, result) 
			{
				len = result.rows.length;
				if(len > 0)
				{
					configObj.autoSyncData = result;
					compititorObj.syncDataB10();
				}
				else
				{
					showAlert("alert", Messages.CompDataNotFound);
				}
			});
		});
	}
	catch (ex) 
	{
		//console.trace();
		showAlert("error", Messages.catchError);
		return;
	}	
};

DatabaseHelper.prototype.deleteCompititorDataB10 = function(id)
{	
	try
	{
		
		db.transaction(function (tx) 
		{
	 				tx.executeSql('delete from compititor where rowid=?', [id], function (tx, results) 
					{
							cconfigObj.autoSyncCount = configObj.autoSyncCount+1;
							compititorObj.syncDataB10();
					});
		});
	}
	catch (ex) 
	{
		//console.trace();
		showAlert("error", Messages.catchError);
		return;
	}	
};


///code by shiva for sdk 26
DatabaseHelper.prototype.androidCheckLogin = function(userName,password)
{
	try
	{
		
		if((userName==null&&password==null)||(userName=="null"&&password=="null")||(userName==""&&password=="")){
		//	$("#userName").removeClass("ui-disabled");
			//$("#password").removeClass("ui-disabled");
		}else{
		//	$("#userName").addClass("ui-disabled");
		//	$("#password").addClass("ui-disabled");
			loginSelf.keymode ='Login';
			loginObj.keymode=loginSelf.keymode;
			
			//alert(" in autoLoginCheck  -->in autoLoginCheck configObj.appMode === GPRS ");
						
						configObj = new Configuration();
						configObj.autoLogin = true;		
						if(configObj.appMode === "GPRS")
						{
							//alert(" in autoLoginCheck  -->in autoLoginCheck configObj.appMode === GPRS ");		
							var name = userName;
							loginSelf.userName = name;
							var password = password;
							loginSelf.password=password;
							userNameAuth = validationObj.checkFisrtChar(name); 
							if(userNameAuth === "numeric")
					        {
								typeUser="EVD";
								
								var parameters = [name, password, configObj.modeParam.evd] ;
								//alert("in if userNameAuth === numeric and parameters are"+parameters);
								
					        	loginObj.authenticateEVDUser(configObj.adapter.loginAdapter, configObj.procedure.EVDLogin, parameters);	
					        }
							else if(userNameAuth === "alpha")
							{
								typeUser="AD";
								var parameters = [name, password, configObj.modeParam.evd] ;
								//alert("in if userNameAuth === alpha and parameters are"+parameters);
					        	loginObj.authenticateADUser(configObj.adapter.loginAdapter, configObj.procedure.ADLogin, parameters);
							}
						}
						else if(configObj.appMode === "SMS")
						{
						}
		}
		
				
			
		
		
	}
	catch (ex) 
	{
		//alert(ex);
		
		showAlert("error", Messages.catchError);
		return;
	}
};

//end