/**
 * This is a script file for TSPackageDropScreen1 page
 */

//variable declaration
var selfPackageDropScreen1,selfPackageDropScreen1Obj;
var packageListArray;
//class declaration
function PackageDropScreen1()
{
	selfPackageDropScreen1=this;	
};
PackageDropScreen1.subID = "";
PackageDropScreen1.subMblNo = "";

//Validation function
PackageDropScreen1.prototype.validate = function(){
	try
	{
		
		
		selfPackageDropScreen1.subID=$('#subIdPackageDropInput').val();
		selfPackageDropScreen1.subMblNo=$('#MoblNoPackageDropInput').val();


		//CommonFunctions.changePage("#TSCurrentPackages");
		var regexNumber=/^[0-9]*$/;
		
	    if (regexNumber.test(selfPackageDropScreen1.subID) && regexNumber.test(selfPackageDropScreen1.subMblNo)) {
	    	validNum = true;
	    	
				}else {
					showAlert("alert", Messages.invalidCharacters);
			     return false;
					  }
		
	    if((selfPackageDropScreen1.subID === "" && selfPackageDropScreen1.subMblNo === "") || (selfPackageDropScreen1.subID !== "") && (selfPackageDropScreen1.subMblNo !== ""))
	    {
	    	
	    	showAlert("alert",Messages.eitherValidationMsg);
	    	
	        return;
	    }
	    else if((selfPackageDropScreen1.subID !== "")&&(selfPackageDropScreen1.subMblNo === ""))
	    {
	        if(selfPackageDropScreen1.subID.length!== 10)
	        {
	        	
	        	showAlert("alert",Messages.subIDValidationMsg);
	            return;
	        }
	    }
	    else if((selfPackageDropScreen1.subID === "") && (selfPackageDropScreen1.subMblNo !== ""))
	    {
	        if(selfPackageDropScreen1.subMblNo.length!== 10)
	        {
	        
	            showAlert("alert",Messages.mobileValidationMsg);
	            return;
	        }
	    }
	    
	    if(configObj.appMode === "GPRS") {	
			var parameters = [selfPackageDropScreen1.subID,selfPackageDropScreen1.subMblNo,loginSelf.userName,configObj.modeParam.dsktp];
			
			//change adapter name
			
			selfPackageDropScreen1Obj.doPackageDropScreen1(configObj.adapter.HttpPackageDropAdapter, configObj.procedure.getSubscribedPackDrop, parameters);
		 }
	  
	    
	}
	catch(ex){
		showAlert("error", Messages.catchError);
	return;
		}
};

// Calling adapter
PackageDropScreen1.prototype.doPackageDropScreen1 = function(adapterName, procedureName, parameters){

	serviceObj.callAdapter(adapterName,procedureName,parameters,configObj.modules.packageDrop);
};

//Method after successful response
PackageDropScreen1.prototype.doPackageDropEligibleSuccess=function(res)
{
	 $("input[type='checkbox']").prop("checked",false);
	 selfPackageDropScreen1Obj.subscriberId=res.subId;
	$("#subIdPackageDropInput").text("");
	$("#MoblNoPackageAddInput").text("");

	// $("#dynamichecklist1drop").empty();
	$("#dynamichecklist1").empty();
	$("#listContent").empty();

	packageListArray=new Array();
	packageListArray=res.packageDropList;
    
	if(packageListArray.length==0)
		{
		
		showAlert("error", Messages.noPacksTodrop);
		CommonFunctions.resetFields();
		
		}
	else
		{
			// var packageList=$('<ul class="customer-info-list" id="dynamichecklist1drop">');
			var packageList=$('<ul class="customer-info-list" id="dynamichecklist1">');
		//var packageList = '';
			// Jquery selector
            for(var i=0; i < packageListArray.length ; i++)

			{			
					var packName = packageListArray[i].CurrentPkgEAIRef;
					var fullName = packageListArray[i].CurrentPackage;
					
					packageList
					.append('<li class="item"><input type="checkbox" class="hidden-checkbox btn-add"  value="'
							+ fullName
							+ '" name="'
							+ packName
							+ '" id="'
							+ packName
							+ '"><label for="'
							+ packName
							+ '">'
							+ '<h3>'+packName+'</h3>'
							+ '</label></li>');
					
			}	
	
					$("#listContent").append(packageList);
					CommonFunctions.changePage("#TSPackageDropScreen2");
					$("#listContent").trigger('create');
}
	
};

//Method if  response is failed / error
PackageDropScreen1.prototype.doPackageDropEligibleFailure=function(res)
{
	showAlert("error", res.errorMessage);
	
};

//validate data and call soft Refresh web servcie
selfPackageDropScreen1Obj = new PackageDropScreen1();
$(document).on('click','#packageDropScreen1Submit', selfPackageDropScreen1Obj.validate);
						
// go to home screen
$(document).on('click','#packageDropScreen1Cancel', function(){
	
	CommonFunctions.onModuleCancel();
});


//validations
$(document).on("keypress","#subIdPackageDropInput", function(e){
	try
	{
		var val = $(this).val();
		if(validationObj.isMaxLenght(e, this.id, configObj.maxLenght.mobile))
		{
			validationObj.isNumber(e, val);
		}
	}
	catch (ex) 
	{
		showAlert("error", Messages.catchError);
		return;
	}
});

$(document).on("keypress","#MoblNoPackageDropInput", function(e){
	try
	{
		var val = $(this).val();
		if(validationObj.firstZero(e, val))
		{
			if(validationObj.isMaxLenght(e, this.id, configObj.maxLenght.mobile))
			{
				validationObj.isNumber(e, val);
			}
		}
	}
	catch (ex) 
	{
		showAlert("error", Messages.catchError);
		return;
	}
});







