/**
 * 
 */
var RechargeOffersObj, rechargeOffers="", rechargeOffersSelf ;
var valueRech;
var splChars = "-";
function RechargeOffers()
{
	rechargeOffersSelf=this;	
};
RechargeOffers.prototype.packDetails="";
RechargeOffers.prototype.subscriberID="";
RechargeOffers.prototype.subscriberMobileNo="";
RechargeOffers.prototype.subscriberRechargeAmount="";


RechargeOffers.prototype.validate = function(){
	try
	{
		$("#rechargeAmount").val("");
		rechargeOffersSelf.subscriberID = $('#subIDRecharge').val();
		rechargeOffersSelf.subscriberMobileNo = $('#subMblNoRecharge').val();
		rechargeOffersSelf.subscriberRechargeAmount = $('#rechargeAmount').val();
		var regexNumber=/^[A-Z 0-9]*$/;

		if (regexNumber.test(rechargeOffersSelf.subscriberID) && regexNumber.test(rechargeOffersSelf.subscriberMobileNo)) {
			validNum = true;
		}else {
			showAlert("alert", Messages.invalidCharacters);
			return false;
		}

		if((rechargeOffersSelf.subscriberID === "" && rechargeOffersSelf.subscriberMobileNo === "") || (rechargeOffersSelf.subscriberID !== "") && (rechargeOffersSelf.subscriberMobileNo !== ""))
		{
			showAlert("alert", Messages.eitherValidationMsg);
			return;
		}
		else if((rechargeOffersSelf.subscriberID !== "")&&(rechargeOffersSelf.subscriberMobileNo === ""))
		{
			if(rechargeOffersSelf.subscriberID.length !== 10)
			{
				showAlert("alert", Messages.subIDValidationMsg);
				return;
			}
		}
		else if((rechargeOffersSelf.subscriberID === "") && (rechargeOffersSelf.subscriberMobileNo !== ""))
		{
			if(rechargeOffersSelf.subscriberMobileNo.length !== 10)
			{
				showAlert("alert", Messages.mobileValidationMsg);
				return;
			}
		}    
		if(rechargeOffersSelf.subscriberID === "")
		{
			$('#rechargeSubIDDiv').addClass('hideDiv');                	
		}
		if(rechargeOffersSelf.subscriberMobileNo === ""){
			$('#rechargeSubMblDiv').addClass('hideDiv');
		}


		var parameters = [rechargeOffersSelf.subscriberID, rechargeOffersSelf.subscriberMobileNo, rechargeOffersSelf.subscriberRechargeAmount];
		RechargeOffersObj.RechOffers(parameters);
	}
	catch (ex) 
	{
		showAlert("error", Messages.catchError);
		return;
	}



}; 

RechargeOffers.prototype.RechOffers=function(parameters){
	serviceObj.callAdapter(configObj.adapter.EAIAdapter,configObj.procedure.fetchRechargeOffers,parameters,configObj.modules.rechargeOffers);
	$('#uppOfferDiv').addClass("hideDiv");
	$('#earnMoreDataDiv').addClass("hideDiv");




};

RechargeOffers.prototype.getRechOffersSuccess=function(res){
	try{
		var tablRechOffer = '';
		var amountREchOfferRad=[];
		for(var i=0;i<res.bonusDetails.length;i++){

//			var data =$('#date').text();
//			var arr = data.split('/');
//			$("#date").html("<span>"+arr[0] + "</span></br>" + arr[1]+"/"+arr[2]);	  
//			console.log(res.bonusDetails[i].amount);
			var amountStringVal= res.bonusDetails[i].amount;
			if(amountStringVal.indexOf(splChars) == -1){

				var amountSplit= res.bonusDetails[i].amount;
				var amountArr= amountSplit.split(".");
//				console.log(amountArr);
				var lowerAmountSplit=amountArr[0];
				//amountArr= amountArr[1].split("-");
				//var higherAmountSplit= amountArr[1];
				var finalAmount="Rs. "+lowerAmountSplit;
			}
			else {


				var amountSplit= res.bonusDetails[i].amount;
				var amountArr= amountSplit.split(".");
//				console.log(amountArr);
				var lowerAmountSplit=amountArr[0];
				amountArr= amountArr[1].split("-");
				var higherAmountSplit= amountArr[1];
				var finalAmount="Rs. "+lowerAmountSplit+"- Rs. "+higherAmountSplit;

			}

			var divRechStr = '<div class="box rechOfferListItem" style="margin-top:10px;"><input type ="radio" name="rechargeOfferSelect" class=""/><table><tr><td class="rechOfferAmountlabel">Amount</td><td class="rechOfferAmount">'+finalAmount+'</td></tr><tr><td class="rechOfferBonusAmountLabel">Bonus Amount</td><td class="rechOfferBonusAmount">'+res.bonusDetails[i].bonusAmount+'</td></tr></table></div>';

			tablRechOffer = tablRechOffer + divRechStr;			   

		}


		var rechOfferContainerElm = document.getElementById('rechargeOfferTable');
		rechOfferContainerElm.innerHTML = tablRechOffer ;
		if($('#rechargeOfferDiv').hasClass('hideDiv')){
			$('#rechargeOfferDiv').removeClass('hideDiv');
		}
		else{

		}

		getInputValue();
	}
	catch (ex) 
	{ 
		showAlert("error", Messages.catchError);
		return; 
	}

};
RechargeOffers.prototype.getRechOffersFailure=function(res)
{	
	showAlert("error",res.errorMessage);

};

RechargeOffersObj = new RechargeOffers();
$(document).on('click','#rechargeOfferBtn', RechargeOffersObj.validate);

function getInputValue(){


	$('input:radio[name="rechargeOfferSelect"]').click(function(){
		valueRech =$(this).parent().find(".rechOfferAmount").text();

		$("input[name='rechargeOfferSelect']").val(valueRech);
		
		if(valueRech.indexOf(splChars) == -1){
			var inputSetValue = valueRech.split(". ");
			
			var finalAmountForNotRange=inputSetValue[1];
			
			$("#rechargeAmount").val(finalAmountForNotRange);
		
			
			
			$("#rechargeAmount").prop( "disabled", true );
			
			//$("#rechargeAmount").css("background","#dddddd");
		
		
		}
		else {
		$("#rechargeAmount").val("");
		//$("#rechargeAmount").prop( "disabled", false );
		
		//$("#rechargeAmount").css("background","none");
		}

	});
}
$(document).on('click','#rechOffersCloseButton',function(e){
	$("#earnMoreDataDiv").addClass("hideDiv");
	$("#rechargeOfferDiv").addClass("hideDiv");
	$("#uppOfferDiv").addClass("hideDiv");

	$("#rechargeAmount").val("");
	$("#rechargeAmount").prop( "disabled", false );
	
	//$("#rechargeAmount").css("background","none");

});


$("#rechargeAmount").blur(function(){ 

	if($('[name="rechargeOfferSelect"]').is(':checked')){
		if($("#rechargeAmount").val()!=""){
			if(!$("#rechargeOfferDiv").hasClass("hideDiv")){

				if(valueRech.indexOf(splChars) == -1){


					var amountStr= $("#rechargeAmount").val();
					
					var amountFloat = parseInt(amountStr);

					var amountStrArray =valueRech.split(". ");
					var loweramountStr = amountStrArray[1];


					var lowerAmountInte = parseInt(loweramountStr);

					if(amountFloat==lowerAmountInte) {
						$("#rechargeAmount").val(loweramountStr);
					}
					else {
						showAlert("error",Messages.amountNotInRange);
						$("#rechargeAmount").val("");
					}

				}
				else if(valueRech.indexOf(splChars) > -1) {

					var amountStr= $("#rechargeAmount").val();
					var amountFloat = parseInt(amountStr);

					var amountStrArray =valueRech.split(splChars);
					var loweramountStr = amountStrArray[0];
					var higheramountStr = amountStrArray[1];
					var loweramountStrArr=loweramountStr.split(".");
					var higheramountStrArr=higheramountStr.split(".");
					loweramountStr=loweramountStrArr[1];
					higheramountStr=higheramountStrArr[1];
					var lowerAmountInte = parseInt(loweramountStr);
					var higherAmountInte = parseInt(higheramountStr);
					if((amountFloat>=lowerAmountInte)&&(amountFloat<=higherAmountInte)) {
						$("#rechargeAmount").val(amountStr);
					}
					else {
						showAlert("error",Messages.amountNotInRange);
						$("#rechargeAmount").val("");
					}
				}



			}
		}
	}
});
