var rechargeReversalSelf, rechargeReversalObj, checkBalance;
var validTrancId =false;

var leftAccountBalanceStr="";
var leftAccountBalanceFloat="";
var rechargeReversalAmountFloat="";
// class declaration

var reversalEligibleDays="";
var reversalEligibleDaysCount="";

function rechargeReversal() {
	rechargeReversalSelf = this;

};

rechargeReversal.prototype.transactionId = "";
rechargeReversal.prototype.transactionDate="";
rechargeReversal.prototype.subIDRechargeReveresal = "";
rechargeReversal.prototype.RechargeReverAmt="";
rechargeReversal.prototype.submobilenumber="";
rechargeReversal.prototype.transactionIdFlag=false;

rechargeReversal.prototype.validate = function(){
	try
	{
		rechargeReversalObj.transactionId = $('#rechagreTrancationId').val();

		var regexNumber=/^[A-Z0-9]*$/;
		
	    if (regexNumber.test(rechargeReversalObj.transactionId)) {
	    	validTrancId = true;
					}else {		
					 showAlert("alert", Messages.invalidCharacters);
			     return false;
		 }
		
	    if(rechargeReversalObj.transactionId=== "")
	    {
	    	showAlert("alert", Messages.rechargeReversalTranctionId);
	        return;
	    }
	    else if(rechargeReversalObj.transactionId.length < 10)
	    {
	    	showAlert("alert", Messages.validTrancationId);
	        return;
	    }
	    else if(rechargeReversalObj.transactionId.charAt(0)=="0"){
	    	showAlert("alert", Messages.validTrancationId);
	        return;
	     }  
	    
	    var parameters = [rechargeReversalObj.transactionId, loginSelf.userName];
	    rechargeReversalObj.rechargeReversal(parameters);
	}
	catch (ex) 
	{
		showAlert("error", Messages.catchError);
		return;
	}	
};

rechargeReversal.prototype.rechargeReversal = function(parameters)
{	
	serviceObj.callAdapter(configObj.adapter.SqlODSRechargeReversal, configObj.procedure.retrieveTransactionDetails, parameters, configObj.modules.rechargeReversal);
};

//
rechargeReversal.prototype.rechargeReversalSuccess= function(res){
	try
	{		reversalEligibleDays=res.reversalDay;
		reversalEligibleDaysCount=parseInt(reversalEligibleDays);
			var str = '';
			for(var i=0;i<res.transactionDetails.length;i++){
			   str = '<i class="fa fa-rupee"></i> '+ res.transactionDetails[i].CHARGEABLE_AMOUNT+'';
			   rechargeReversalObj.transactionId=res.transactionDetails[i].IN_TRANS_ID;
			   rechargeReversalObj.subIDRechargeReveresal=res.transactionDetails[i].CUSTOMER_MDN;
			   rechargeReversalObj.RechargeReverAmt= res.transactionDetails[i].CHARGEABLE_AMOUNT;
			   rechargeReversalObj.transactionDate= res.transactionDetails[i].REQUEST_DATE;
			   rechargeReversalObj.timeStamp=res.timeStamp;
			   rechargeReversalAmountFloat= parseFloat(rechargeReversalObj.RechargeReverAmt);
			   
			   $("#tranIDRechargeReverVal").text(res.transactionDetails[i].IN_TRANS_ID);
				 $("#subIDRechargeReverVal").text(res.transactionDetails[i].CUSTOMER_MDN);
				 $("#tranIDRechargeReverAmtVal").html(str);
				 $("#rechargeEVDIDVal").text(res.transactionDetails[i].ACCOUNT_ID);
				 $("#rechargeEVDMobVal").text(res.transactionDetails[i].USER_MDN);

				var txnDateUnformatted = res.transactionDetails[i].REQUEST_DATE.split(" ");
				var txnDate = txnDateUnformatted[0] + " " + txnDateUnformatted[2] + " " + txnDateUnformatted[3];
				rechargeDt = txnDate;

            	$("#tranIDRechargeReverDateVal").text(rechargeDt);

			 }
		
			//var containerElm = document.getElementById('transactionDetailsOutputData');
			//containerElm.innerHTML = str ;
			 
			CommonFunctions.setModuleLabels("#TSRechargeReversalConfirmation"); 
			$('#checksubBalanceTo').val(rechargeReversalObj.subIDRechargeReveresal);
			$("#checksubBalanceTo").prop("readonly", true).css("background-color", "#DCDCDC");
			document.getElementById("showSubAmount").innerHTML = "";
	//added by karthi
	$("#rechargeReversConfirmSubmit").hide();
	//end	
}
	catch (ex) 
	{
		showAlert("error", Messages.catchError);
		return;
	}	
};

rechargeReversal.prototype.rechargeReversalFailure = function(res){
	showAlert("error", res.errorMessage);
};

rechargeReversal.prototype.subIdvalidate = function(){
	try
	{
		var parameters=[rechargeReversalObj.subIDRechargeReveresal, rechargeReversalObj.submobilenumber, configObj.modeParam.eai];
		//console.log(parameters);
		rechargeReversalObj.confirmsubID(parameters);
	}
	catch (ex) 
	{
		showAlert("error", Messages.catchError);
		return;
	}	
};
rechargeReversal.prototype.confirmsubID = function(parameters){
	serviceObj.callAdapter(configObj.adapter.EAIAdapter,configObj.procedure.accountInfo, parameters,configObj.modules.rechargrConfirmBtn);		
};

rechargeReversal.prototype.confirmbtnSuccess = function(res){	
	try
	{	
		
		leftAccountBbalance=res.balance;
		leftAccountBalanceFloat = parseFloat(leftAccountBbalance);
		var str = '';
		
		var divStr = '<li><div class="data"><h4 id="confirmRechargeAmountLabel"></h4><h2 id="confirmRechargeAmount"><i class="fa fa-rupee"></i> '+ res.balance+'</h2></div></li>';
		str = str + divStr;	
		
		var containerElm = document.getElementById('showSubAmount');
		containerElm.innerHTML = str ;
		$("#rechargeReversConfirmSubmit").removeClass("inactiveLink");
		$('#rechargeReversConfirmSubmit').show();
	}
	catch (ex) 
	{
		showAlert("error", Messages.catchError);
		return;
	}
};

rechargeReversal.prototype.confirmbtnFailure = function(res){
	showAlert("error", res.errorMessage);
};




rechargeReversal.prototype.rechargeRevSub = function(){
	try
	{
		var diffDate="";
		var d = new Date(); // today date
		var day = d.getDate();
		var month = d.getMonth()+1;
		var year= d.getFullYear();
		
		//var resDate= new Date(rechargeReversalObj.timeStamp);
        //Mumbai iOS Specific
        var timestamp = rechargeReversalObj.timeStamp.replace(" ", "T").concat("+05:30");
        var resDate= new Date(timestamp);
        //Mumbai iOS Specific end
		var resDay = resDate.getDate();
		var resMonth = resDate.getMonth()+1;
		var resYear= resDate.getFullYear();
		
		if(userOS=="iOS"){
			  var todayDate = Date.UTC(year, month, day);
		        var rechareDate = Date.UTC(resYear, resMonth,resDay);
		        
		        
		        diffDate= Math.floor((todayDate - rechareDate));
		        
		        diffDate = diffDate / 1000 / 60 / 60 / 24;	
		        }
		else {
			var currDate = year + "-" + month + "-" +day ;
			resDate =  resYear + "-" + resMonth + "-" +resDay ;
			 diffDate= new Date(currDate)- new Date(resDate);
			 diffDate = diffDate / 1000 / 60 / 60 / 24;
		}
		
	    if (diffDate>reversalEligibleDaysCount) {
	    	
	    	
	    	showAlert("alert", Messages.reversaldayFailureFirst+reversalEligibleDays+Messages.reversaldayFailureSecond,function(e){
				$("#rechargeReversConfirmSubmit").addClass("inactiveLink");
				
				CommonFunctions.changePage("#TSRechargeReversal");
				CommonFunctions.resetFields();
				$("#rechagreTrancationId").text("");
			});
	    	        
	    } else if(diffDate <=reversalEligibleDaysCount) {
	    	
	    	if (rechargeReversalAmountFloat>leftAccountBalanceFloat) {
	    		showAlert("alert", Messages.rechargeReversalAmountGreater,function(e){
	    			$("#rechargeReversConfirmSubmit").addClass("inactiveLink");
	    			
	    			CommonFunctions.changePage("#TSRechargeReversal");
	    			CommonFunctions.resetFields();
	    			$("#rechagreTrancationId").text("");
	    			("#TSRechargeReversalPopup").hide();
	    		});
	    		}
	    	
	    	else{
	    		
	    	 var parameters = [rechargeReversalObj.transactionId, rechargeReversalObj.subIDRechargeReveresal, rechargeReversalObj.RechargeReverAmt];
			    rechargeReversalObj.rechargeReversalConfirm(parameters);	
	      }
	    }
	    
	    else{
	    	alert("alert");
	    }
	    
	    
	}
	catch (ex) 
	{
		showAlert("error", Messages.catchError);
		return;
	}	
	
};

rechargeReversal.prototype.rechargeReversalConfirm = function(parameters)
{	
	serviceObj.callAdapter(configObj.adapter.EAIAdapter, configObj.procedure.confirmRechargeReversal, parameters, configObj.modules.rechargeReversalConfirm);
};

rechargeReversal.prototype.rechargeReversalConfirmSuccess= function(res){
	try
	{
/*		showAlert("alert", Messages.rechargeReversalSuccessful+ ". Registered Transaction ID : " +res.transactionID );
*/
		$("#rechargeReversConfirmSubmit").addClass("inactiveLink");
		//showAlert("alert", Messages.rechargeReversalSuccessful+res.transactionID );
		
		showAlert("alert", Messages.rechargeReversalSuccessful+res.transactionID,function(e){
			//e.stopImmediatePropagation();
			CommonFunctions.changePage("#TSRechargeReversal");
			CommonFunctions.resetFields();
			$("#rechagreTrancationId").text("");
		});
		//below code commented and code is addedd above on 21 march 2018
		/*CommonFunctions.changePage("#TSRechargeReversal");
		CommonFunctions.resetFields();
		$("#rechagreTrancationId").text("");*/

	}
	catch (ex) 
	{	
		showAlert("error", Messages.catchError);
		return;
	}	
};

rechargeReversal.prototype.rechargeReversalConfirmFailure = function(res){
	$("#rechargeReversConfirmSubmit").addClass("inactiveLink");
	showAlert("error", res.errorMessage,function(e){
		//e.stopImmediatePropagation();
		CommonFunctions.changePage("#TSRechargeReversal");
		CommonFunctions.resetFields();
		$("#rechagreTrancationId").text("");
	});
};

rechargeReversalObj= new rechargeReversal();
$(document).on('click','#TSRechargeReversalTrancationSubmit', rechargeReversalObj.validate);
$(document).on('click','#confirmBalancebtn', rechargeReversalObj.subIdvalidate);
$(document).on('click','#TSRechargeReversalTrancationCancel', function(){
	CommonFunctions.onModuleCancel();
});
$(document).on('click','#rechargeReversConfirmSubmit', rechargeReversalObj.rechargeRevSub);

$(document).on('click','#rechargeReversConfirmCancel', function(){ 
	CommonFunctions.changePage("#TSRechargeReversal");
	CommonFunctions.resetFields();
	$("#rechagreTrancationId").text("");
});

$(document).on("keypress","#rechagreTrancationId", function(e){
	try
	{	
		var val = $(this).val();
		if(validationObj.isMaxLenght(e, this.id, configObj.maxLenght.transactionID))
		{
			validationObj.isAlphanum(e, val);
		}
	}
	catch (ex) 
	{
		showAlert("error", Messages.catchError);
		return;
	}
});
$(document).on('click','#TSRechargeReversalPopupOk', function(){
	leftAccountBalance="";
	leftAccountBalanceFloat="";
	//$("#rechargeReversConfirmSubmit").removeClass("inactiveLink");
});
