var smsTimeout="";
var Plugins={
		/*SMS Plugin*/
		smsPlugin:function(data){
			WL.Device.getNetworkInfo(function (networkInfo) {
				if(networkInfo.telephonyNetworkType == ""){
					showAlert("message", "Please check your cellular connection.");
					return;
				}else{
					if(env === "blackberry")
					{
						showBusy();
					}
					else
					{
						//busyInd.show();
						commonObj.showBusy();
					}
					
				}
			});
			clearTimeout(smsTimeout);
			if (commonObj.isVisible()) {
					smsTimeout = setTimeout(function () {
						
						if (commonObj.isVisible()) {
							commonObj.hideBusy();
							showAlert("error", errorCode.MOB104);
						};
				    }, 180000);
				}
			
			
			if(env === "blackberry")
			{
				setTimeout(function () 
				{
					var responseSMS = blackberry.sendSMS.send(data[1],data[0]);
					if(responseSMS == "Error101")
					{
						hideBusy();
						showAlert("error", errorCode.MOB104);
					}
					else if(responseSMS == "Error102")
					{
						hideBusy();
						showAlert("message", "Please check your cellular connection.");
					}
					else
					{
						hideBusy();
						Plugins.smsSuccess(responseSMS);
					}
					
					
			    }, 2000);
			}
			else
			{
				cordova.exec(Plugins.smsSuccess, Plugins.smsFailure, "SMSPlugin", "send", data);
			}
		},
       	smsSuccess:function(response){
       		selfWebService.smsSuccess(response);
       	 },
       	 smsFailure:function(response){
			if (commonObj.isVisible()) {
				commonObj.hideBusy();
				showAlert("error", errorCode.MOB104);
			};
       	 }
	};

//SMS success
webService.prototype.smsSuccess = function(res)
{	
	try
	{
		res = JSON.parse(res);
		if(res.r.st){
			var responseStatus = res.r.st;
			if(responseStatus === "s")
			{
				selfWebService.smsSuccessHandler(res.r);
			}
			else if(responseStatus === "f")
			{
				selfWebService.smsFailureHandler(res.r);
			}
		}	
	}
	catch (ex) 
	{
		if (commonObj.isVisible()) {
			commonObj.hideBusy();
		};
		showAlert("error", Messages.catchError);
		return;
	}	
};

webService.prototype.smsSuccessHandler = function(res){
	if (commonObj.isVisible()) {
		commonObj.hideBusy();
	};
	try
	{
		if(res.pl)
		{
			
			switch (smsServiceName) 
			{	
				case "EVDLogin":	
					loginObj.authenticateEVDUserSMSSuccess(res.pl);
					break;
				case "EVDTransfer":	
					evdObj.doEVDTransferSMSSuccess(res.pl);
					break;
				case "Recharge":
					rechargeObj.doRechargeSMSSuccess(res.pl);
					break;
				case "accountInfo":
					accountInfoObj.getAccountInfoSMSSuccess(res.pl);
					break;
				case "activationStatus":	
					activationStatusObj.getActivStatusSMSSuccess(res.pl);
					break;
				case "compititor":
					compititorObj.captureCompDataSMSSuccess(res.pl);
					break;
				case "customerBalance":
					balInfoObj.getBalInfoSMSSuccess(res.pl);
					break;
				case "HeavyRefresh":
					refreshObj.doRefreshSMSSuccess(res.pl);
					break;
				default:
					break;
			}						
		}	
	}
	catch (ex) 
	{
		showAlert("error", Messages.catchError);
		return;
	}		
};

webService.prototype.smsFailureHandler = function(res){
	if (commonObj.isVisible()) {
		commonObj.hideBusy();
	};
	try
	{
		
		switch(smsServiceName) {
			case "EVDLogin":				
				loginObj.authenticateEVDUserSMSFailure(res);
				break;		
			case "EVDTransfer":
				evdObj.doEVDTransferSMSFailure(res);
				break;	
			case "Recharge":
				rechargeObj.doRechargeSMSFailure(res);
				break;
			case "accountInfo":
				accountInfoObj.getAccountInfoSMSFailure(res);
				break;
			case "activationStatus":
				activationStatusObj.getActivStatusSMSFailure(res);
				break;
			case "compititor":
				compititorObj.captureCompDataSMSFailure(res);
				break;
			case "customerBalance":
				balInfoObj.getBalInfoSMSFailure(res);
				break;
			case "HeavyRefresh":
				refreshObj.doRefreshSMSFailure(res);
				break;
			default:
				break;
		}
	}
	catch (ex) 
	{
		showAlert("error", Messages.catchError);
		return;
	}	
};