// variable declaration
var selfActivation, activationStatusObj;
var validNum = false;
//class declaration
//Mumbai CR
var accBalance = "";
var pkginfo = "";
//Mumbai CR End
function ActivationStatus() {
	selfActivation = this;
};
//class properties
ActivationStatus.subID = "";
ActivationStatus.subMblNo = "";
//class methods
//bcp
ActivationStatus.bcpTransId = "";
ActivationStatus.bcpTSKPin = "";
//bcp end
var customerStatus = "";
var customerSubID = "";
ActivationStatus.woSubId = "";

ActivationStatus.prototype.validate = function () {
	try {
		//$("input[name='activationStatusBCPReq']").removeAttr("checked");
		//	$("input[name='activationStatusBCPReq']").checkboxradio("refresh"); 
		selfActivation.subID = $('#subIDStatus').val();
		selfActivation.subMblNo = $('#subMblNoStatus').val();
		//bcp
		selfActivation.bcpTransId = $('#bcpRefNoStatus').val();
		selfActivation.bcpTSKPin = $('#bcpTSKPinStatus').val();

		var bcpRadio = $('input[name=activationStatusBCPReq]:checked');

		var bcpRadioValue = bcpRadio.attr('id');

		if (bcpRadioValue == 'activationStatusBCPRadio') {
			var regexNumber = /^[0-9]*$/;

			if (regexNumber.test(selfActivation.bcpTransId) && regexNumber.test(selfActivation.bcpTSKPin)) {
				validNum = true;
			} else {
				showAlert("alert", Messages.invalidCharacters);
				return false;
			}

			if ((selfActivation.bcpTransId === "" && selfActivation.bcpTSKPin === "") || (selfActivation.bcpTransId !== "") && (selfActivation.bcpTSKPin !== "")) {
				showAlert("alert", Messages.eitherValidationBCPMsg);
				return;
			}
			else if ((selfActivation.bcpTransId !== "") && (selfActivation.bcpTSKPin === "")) {
				if (selfActivation.bcpTransId.length !== 10) {
					showAlert("alert", Messages.bcpTransValidationMsg);
					return;
				}
			}
			else if ((selfActivation.bcpTransId === "") && (selfActivation.bcpTSKPin !== "")) {
				if (selfActivation.bcpTSKPin.length !== 16) {
					showAlert("alert", Messages.bcpTSKValidationMsg);
					return;
				}
			}
			if (configObj.appMode === "GPRS") {
				var parameters = [selfActivation.bcpTransId, selfActivation.bcpTSKPin, configObj.modeParam.eai];
				activationStatusObj.getBCPActivStatus(configObj.adapter.SQLMiddlewareAdapter, configObj.procedure.getBCPActivationStatus, parameters);
			}
			else if (configObj.appMode === "SMS") {
				//nothing
			}
		} else {
			var regexNumber = /^[0-9]*$/;

			if (regexNumber.test(selfActivation.subID) && regexNumber.test(selfActivation.subMblNo)) {
				validNum = true;
			} else {
				showAlert("alert", Messages.invalidCharacters);
				return false;
			}

			if ((selfActivation.subID === "" && selfActivation.subMblNo === "") || (selfActivation.subID !== "") && (selfActivation.subMblNo !== "")) {
				showAlert("alert", Messages.eitherValidationMsg);
				return;
			}
			else if ((selfActivation.subID !== "") && (selfActivation.subMblNo === "")) {
				if (selfActivation.subID.length !== 10) {
					showAlert("alert", Messages.subIDValidationMsg);
					return;
				}
			}
			else if ((selfActivation.subID === "") && (selfActivation.subMblNo !== "")) {
				if (selfActivation.subMblNo.length !== 10) {
					showAlert("alert", Messages.mobileValidationMsg);
					return;
				}
			}
			if (configObj.appMode === "GPRS") {
				var parameters = [selfActivation.subID, selfActivation.subMblNo, configObj.modeParam.eai];
				activationStatusObj.getActivStatus(configObj.adapter.EAIAdapter, configObj.procedure.activationStatus, parameters);
			}
			else if (configObj.appMode === "SMS") {
				var str = 'Z ActStatus {"sid":"' + selfActivation.subID + '","sno":"' + selfActivation.subMblNo + '"}';
				smsServiceName = configObj.modules.activationStatus;
				var data = [configObj.gateway.virtualNo, str, ""];
				Plugins.smsPlugin(data);
			}
		}


		//bcp end

	}
	catch (ex) {
		showAlert("error", Messages.catchError);
		return;
	}
};

ActivationStatus.prototype.getActivStatus = function (adapterName, procedureName, parameters) {
	serviceObj.callAdapter(adapterName, procedureName, parameters, configObj.modules.activationStatus);
};

//bcp
ActivationStatus.prototype.getBCPActivStatus = function (adapterName, procedureName, parameters) {
	serviceObj.callAdapter(adapterName, procedureName, parameters, configObj.modules.bcpActivationStatus);
};


ActivationStatus.prototype.getBCPActivStatusFailure = function (res) {
	CommonFunctions.resetFields();
	showAlert("error", res.errorMessage);
};

ActivationStatus.prototype.getBCPActivStatusSuccess = function (res) {
	try {
		customerSubID = res.subId;
		CommonFunctions.setModuleLabels("#TSActivationStatusView");


		//$('#asStatus').text(res.customerStatus);

		$('#bcpSubIdLabel').text("Subscriber ID");
		$('#bcpSubIdValue').text(res.subId);
		$('#bcpOrderNoLabel').text("Workorder No");
		$('#bcpOrderNoValue').text(res.workOrderNo);
		$('#bcpActivationStatusDiv').show();
		$('#activationStatusOutputDiv').hide();

		// Mumbai CR
		if($('#bcpSubIdValue').text() == "-" && $('#bcpOrderNoValue').text() == "-") {
			$(".tab-menu-activation").hide();
			$('#ActivationStatusInputPage').hide()
		} else {
			$(".tab-menu-activation").show();
			$('#ActivationStatusInputPage').show();
		}
		// Mumbai CR end

	}
	catch (ex) {
		showAlert("error", Messages.catchError);
		return;
	}
};

//bcp end


ActivationStatus.prototype.getActivStatusSuccess = function (res) {
	try {
		$(".tab-menu-activation").show();
		$('#ActivationStatusInputPage').show();
		customerStatus = res.customerStatus;
		customerSubID = res.subscriberId;
		CommonFunctions.setModuleLabels("#TSActivationStatusView");
		var status = res.customerStatus;
		if ((status.indexOf("Active") !== -1)) {
			$('#asReasonDiv').hide();
			$('#asResolutionCodeDiv').hide();
			$("#asStatus").css("color", "#388900");
			$('#activImg').show();
			$('#pndngImg').hide();
			$('#inactvImg').hide();
			$('#asPrimaryPendingText').hide();

			//mumbai cr hide div atgs and inactivate nav tab

			$("#workOrderDetails").hide();
			$("#packageDetails").hide();
			$("#rechargeTransactions").hide();
			$("#packagesBtn").removeClass("active");
			$("#packagesBtn").addClass("none");
			$("#rechTransactionsBtn").removeClass("active");
			$("#rechTransactionsBtn").addClass("none");
			$("#woOrderBtn").removeClass("active");
			$("#woOrderBtn").addClass("none");

		}
		else if ((status.indexOf("Pending") !== -1)) {
			$('#asReasonDiv').show();
			$('#asResolutionCodeDiv').show();
			$("#asStatus").css("color", "#d82c20");
			$('#asResolutionCode').text(res.resolution);
			$('#asReason').text(res.reason);
			$('#activImg').hide();
			$('#pndngImg').hide();
			$('#inactvImg').hide();
			$('#asPrimaryPendingText').show();
			$('#asPrimaryPendingText').text("Pending Activation");
			$("#asPrimaryPendingText").css("color", "#F7C63F");

			//mumbai cr hide div atgs and inactivate nav tab

			$("#workOrderDetails").hide();
			$("#packageDetails").hide();
			$("#rechargeTransactions").hide();
			$("#packagesBtn").removeClass("active");
			$("#packagesBtn").addClass("none");
			$("#rechTransactionsBtn").removeClass("active");
			$("#rechTransactionsBtn").addClass("none");
			$("#woOrderBtn").removeClass("active");
			$("#woOrderBtn").addClass("none");

		}
		else {
			$('#asReasonDiv').show();
			$('#asResolutionCodeDiv').show();
			$("#asStatus").css("color", "#d82c20");
			$('#asResolutionCode').text(res.resolution);
			$('#asReason').text(res.reason);
			$('#activImg').hide();
			$('#pndngImg').hide();
			$('#inactvImg').show();
			$('#asPrimaryPendingText').hide();

			//mumbai cr hide div atgs and inactivate nav tab

			$("#workOrderDetails").hide();
			$("#packageDetails").hide();
			$("#rechargeTransactions").hide();
			$("#packagesBtn").removeClass("active");
			$("#packagesBtn").addClass("none");
			$("#rechTransactionsBtn").removeClass("active");
			$("#rechTransactionsBtn").addClass("none");
			$("#woOrderBtn").removeClass("active");
			$("#woOrderBtn").addClass("none");

		}
		//$('#asStatus').text(res.customerStatus);
		$('#asCustName').text(res.customerName);
		$('#asCustRMN').text(res.customerRMN);


		//code by shiva
		// $('#asPrimaryStatusValue').text(res.customerStatus);
		try {
			var secondaryBoxStatusArray = new Array();
			secondaryBoxStatusArray = res.secStatusArray;
			var startConnectionTypeStr = '<div class="left"><div class="block brdrNone">';
			var endStr = '</div></div>';
			var startstatusString = '<div class="right"><div class="block brdrNone">';
			var connectionTypeStr = '';
			var statusString = '';
			if (secondaryBoxStatusArray.length > 0) {
				for (var i = 0; i < secondaryBoxStatusArray.length; i++) {


					connectionTypeStr += '<h4 class="mrgTop15" id="asSecondaryConnectionTypeLabel">Connection Type</h4><h2 class="mrgTop5" id="asSecondaryConnectionTypeValue">Secondary</h2>';

					statusString += '<h4 class="mrgTop15" id="asSecondaryStatusLabel">Status</h4><h2 class="mrgTop5 yellow" id="asSecondaryStatusValue">' + secondaryBoxStatusArray[i].secStatus + '</h2>';



				}
				var finalConnectionTypeStr = startConnectionTypeStr + connectionTypeStr + endStr;
				var finalStatusString = startstatusString + statusString + endStr;
				$('#divAccStatusSecondary').append(finalConnectionTypeStr + finalStatusString);
				$("#divAccStatusSecondary").show();
			}
		} catch (ex) {

		}

		//for bcp
		$('#bcpActivationStatusDiv').hide();
		$('#activationStatusOutputDiv').show();
		//bcp end

	}
	catch (ex) {
		showAlert("error", Messages.catchError);
		return;
	}
};

ActivationStatus.prototype.getActivStatusSMSSuccess = function (res) {
	try {
		CommonFunctions.setModuleLabels("#TSActivationStatusView");
		var status = res.cS;
		if ((status.indexOf("Active") !== -1)) {
			$('#asReasonDiv').hide();
			$('#asResolutionCodeDiv').hide();
			$("#asStatus").css("color", "#388900");
			$('#activImg').show();
			$('#pndngImg').hide();
			$('#inactvImg').hide();
		}
		else if ((status.indexOf("Active") !== -1)) {
			$('#asReasonDiv').show();
			$('#asResolutionCodeDiv').show();
			$("#asStatus").css("color", "#d82c20");
			$('#asResolutionCode').text(res.re);
			$('#asReason').text(res.r);
			$('#activImg').hide();
			$('#pndngImg').show();
			$('#inactvImg').hide();
		}
		else {
			$('#asReasonDiv').show();
			$('#asResolutionCodeDiv').show();
			$("#asStatus").css("color", "#d82c20");
			$('#asResolutionCode').text(res.re);
			$('#asReason').text(res.r);
			$('#activImg').hide();
			$('#pndngImg').hide();
			$('#inactvImg').show();
		}
		//$('#asStatus').text(status);
		$('#asCustName').text(res.cN);
		$('#asCustRMN').text(res.cR);
		//code by shiva
		$('#asPrimaryStatusValue').text(res.cS);
		try {
			var secondaryBoxStatusArray = new Array();
			secondaryBoxStatusArray = res.sS;

			if (secondaryBoxStatusArray.length > 0) {
				for (var i = 0; i < secondaryBoxStatusArray.length; i++) {
					var mainDivStart = '<div class="confirmGradient">';
					var connectionTypeLabel = '<div><label class="labelText">Connection Type</label><label class="labelVal">Secondary</label></div>';
					var connectionStatusVal = '<div><label class="labelText">Status</label><label class="labelVal">' + secondaryBoxStatusArray[i].secStatus + '</label></div>';
					//  var vcNumberLabelAndValue='<div><label class="labelText">VC Number</label><label class="labelVal">'+secondaryBoxStatusArray[i].vCnumber+'</label></div>';
					var mainDivEnd = '</div>';
					$('#divAccStatusSecondary').append(mainDivStart + connectionTypeLabel + connectionStatusVal/*+vcNumberLabelAndValue*/ + mainDivEnd);
					$("#divAccStatusSecondary").show();
					//$('#divAccStatusSecondary').html("").append(connectionStatusVal);
				}
				//end
			}

		} catch (ex) {

		}

	}
	catch (ex) {
		showAlert("error", Messages.catchError);
		return;
	}
};

ActivationStatus.prototype.getActivStatusFailure = function (res) {
	//deepak
	//alert("33"+JSON.stringify(res));

	if (res.errorCode == 'MULTIPLE_RMN') {
		$(".multipleRmnLebelactivationStatus").show();
		$("#activationStatusMultipleSubmit").show();
		$("#activationStatusMultipleCancel").show();
		$("#activationStatusSubmit").hide();
		$("#activationStatusCancel").hide();
		$("#multipleSubidListRadioactivationStatus").show();
		$('#multipleSubidListRadioactivationStatus').empty();
		var subIdList = res.payload.subIdList;
		//alert(JSON.stringify(subIdList));
		var multipleSubId = $('<ul class="customer-info-list"  id="multipleSubIdlist">');
		for (key in subIdList) {
			multipleSubId.append('<li class="item"><input type="checkbox" name="subIdList"  data-iconpos="right" class="hidden-checkbox btn-add" value="'
				+ subIdList[key].subId
				+ '"id="multipleSubId'
				+ key
				+ '" data-theme="c"><label for="multipleSubId'
				+ key
				+ '">'
				+ '<p>'
				+ '<span>' + subIdList[key].subId
				+ '</span></p>'
				+ '</label></li>');
		}
		$("#multipleSubidListRadioactivationStatus").append(multipleSubId);
		$("#multipleSubidListRadioactivationStatus").trigger('create');
		initalizeSingleClkCb();
	}
	else {

		//CommonFunctions.resetFields();
		showAlert("error", res.errorMessage);



		//CommonFunctions.resetFields();
		//showAlert("error", res.errorMessage);
	}
};
$(document).on('click', '#activationStatusMultipleSubmit', function () {

	{
		//alert("submit");

		//AccountInformationSubid=selfAccount.subID;
		var subID = $("input[name='subIdList']:checked").val();
		selfActivation.subID = subID; //act rmn fix
		//alert(subID);
		if (subID === undefined) {
			showAlert("alert", Messages.SubidValidation);
			return;
		}

		// activationStatusObj = new ActivationStatus(); //act rmn fix
		var parameters = [subID, '', configObj.modeParam.eai];
		activationStatusObj.getActivStatus(configObj.adapter.EAIAdapter, configObj.procedure.activationStatus, parameters);

	}
});
$(document).on('click', '#activationStatusMultipleCancel', function () {
	//alert("cancel");
	$("#activationStatusSubmit").show();
	$("#activationStatusCancel").show();
	$(".multipleRmnLebelactivationStatus").hide();
	$("#multipleSubidListRadioactivationStatus").hide();
	//$("#multipleSubidListRadioCustInfo").hide();
	$("#activationStatusMultipleSubmit").hide();
	$("#activationStatusMultipleCancel").hide();
	$('#multipleSubidListRadioactivationStatus').empty();
	$('#subID').val('');
	$('#subMblNo').val('');
	CommonFunctions.resetFields();
});

ActivationStatus.prototype.getActivStatusSMSFailure = function (res) {
	var errCode = res.em;
	var errorMsg = getErrorMsg(errCode);
	CommonFunctions.resetFields();
	showAlert("error", errorMsg);
};

// validate data and call activation satus web servcie
activationStatusObj = new ActivationStatus();
$(document).on('click', '#activationStatusSubmit', activationStatusObj.validate);

// go to home screen
$(document).on('click', '#activationStatusCancel', function () {
	CommonFunctions.onModuleCancel();
	//code by shiva
	$("#divAccStatusSecondary").empty();
	$("#divAccStatusSecondary").hide();
});

// go to activation status input screen
$(document).on('click', '#activationStatusOK', function () {
	try {
		//deepak
		$("#multipleSubidListRadioactivationStatus").show();
		$('#multipleSubidListRadioactivationStatus').empty();
		$("#activationStatusSubmit").show();
		$("#activationStatusCancel").show();
		$(".multipleRmnLebelactivationStatus").hide();
		$(".activationStatusDivMultiple").hide();
		$("#activationStatusMultipleSubmit").hide();
		$("#activationStatusMultipleCancel").hide();
		///deepak
		$("#activStatusInputPage,.homeBtnDiv").show();
		$("#activStatusOutputPage").hide();
		CommonFunctions.resetFields();
		//code by shiva
		$("#divAccStatusSecondary").empty();
		$("#divAccStatusSecondary").hide();

		//mumbai cr hide div atgs and inactivate nav tab

		$("#workOrderDetails").hide();
		$("#packageDetails").hide();
		$("#rechargeTransactions").hide();
		$("#packagesBtn").removeClass("active");
		$("#packagesBtn").addClass("none");
		$("#rechTransactionsBtn").removeClass("active");
		$("#rechTransactionsBtn").addClass("none");
		$("#woOrderBtn").removeClass("active");
		$("#woOrderBtn").addClass("none");

	}
	catch (ex) {
		showAlert("error", Messages.catchError);
		return;
	}
});

//validations
$(document).on("keypress", "#subIDStatus", function (e) {
	try {
		var val = $(this).val();
		if (validationObj.isMaxLenght(e, this.id, configObj.maxLenght.mobile)) {
			validationObj.isNumber(e, val);
		}
	}
	catch (ex) {
		showAlert("error", Messages.catchError);
		return;
	}
});

$(document).on("keypress", "#subMblNoStatus", function (e) {
	try {
		var val = $(this).val();
		if (validationObj.firstZero(e, val)) {
			if (validationObj.isMaxLenght(e, this.id, configObj.maxLenght.mobile)) {
				validationObj.isNumber(e, val);
			}
		}
	}
	catch (ex) {
		showAlert("error", Messages.catchError);
		return;
	}
});

$("input[name='activationStatusBCPReq']").change(function () {

	var bcpRadio = $('input[name=activationStatusBCPReq]:checked');

	var bcpRadioValue = bcpRadio.attr('id');

	if (bcpRadioValue == 'activationStatusBCPRadio') {

		$("#BCPActivationInputs").show();
		$("#nonBCPActivationInputs").hide();

	} else {
		$("#nonBCPActivationInputs").show();
		$("#BCPActivationInputs").hide();

	}
});

//Mumbai CR
$("#packagesBtn").on('click', function () {
	$("#rechargeTransactions").hide();
	$("#workOrderDetails").hide();
	$("#packageDetails").show();
	$("#packagesBtn").removeClass("none");
	$("#packagesBtn").addClass("active");

	if ($("#woOrderBtn").hasClass("active")) {
		$("#woOrderBtn").removeClass("active");
		$("#woOrderBtn").addClass("none");

	}
	if ($("#rechTransactionsBtn").hasClass("active")) {
		$("#rechTransactionsBtn").removeClass("active");
		$("#rechTransactionsBtn").addClass("none");

	}
	var parameter = "";
	if (customerSubID != "") {
		parameter = customerSubID;
	}
	if (selfActivation.subID !== undefined || selfActivation.subID == "") {
		parameter = selfActivation.subID;
	} else if (selfActivation.subMblNo !== undefined || selfActivation.subMblNo == "") {
		parameter = selfActivation.subMblNo;
	}
	var source = "MSALES";
	var parameters = [parameter, source];
	$("#packageDetails ul li").eq(0).hide();
	$("#packageDetails ul li").eq(1).hide();

	activationStatusObj.fetchPacakgesSelected(configObj.adapter.HttpActivationStatusPackInfoAdapter, configObj.procedure.getActivationStatusPacInfo, parameters);




});


$("#rechTransactionsBtn").on('click', function () {
	$("#packageDetails").hide();
	$("#workOrderDetails").hide();
	$("#rechargeTransactions").show();
	$("#rechTransactionsBtn").removeClass("none");
	$("#rechTransactionsBtn").addClass("active");
	$("#rechTransactionsBtn").val(selfActivation.subID);


	if ($("#woOrderBtn").hasClass("active")) {
		$("#woOrderBtn").removeClass("active");
		$("#woOrderBtn").addClass("none");

	}
	if ($("#packagesBtn").hasClass("active")) {
		$("#packagesBtn").removeClass("active");
		$("#packagesBtn").addClass("none");

	}

	//last 5 transactions details 
	var parameter = ""
	if (customerSubID != "") {
		parameter = customerSubID;
	}
	if (selfActivation.subID !== undefined && selfActivation.subID !== "") {
		parameter = selfActivation.subID;
	}	else if (selfActivation.subMblNo !== undefined && selfActivation.subMblNo !== "") {
		parameter = selfActivation.subMblNo;
	}
	var parameters = [parameter];

	// activationStatusObj.fetchlastFiveRechargeDetailsActivationStatus(configObj.adapter.SqlODSRechargeReversal, configObj.procedure.fetchLastFiveRechargesOfSub, parameters);
	// end last 5 transactions details


	//fetch account balance
	var parametersAcc = [parameter, '', configObj.modeParam.eai];
	activationStatusObj.getAccountInfoActivationStatus(configObj.adapter.EAIAdapter, configObj.procedure.getAccountInfoActStatus, parametersAcc);

});


//actual last 5 tans function call
ActivationStatus.prototype.fetchlastFiveRechargeDetailsActivationStatus = function (adapterName, procedureName, parameters) {
	serviceObj.callAdapter(adapterName, procedureName, parameters, configObj.modules.activationStatusRecharges);
};
//end

//start success and failure cases of last 5 trans calls

//success case start
ActivationStatus.prototype.fetchlastFiveRechDetailsActivationStatusSuccess = function (res) {

	console.log("account last 5 transaction info success from Activation status = " + res);
	$("#rechargeAmt_activationStatus").html();
	$("#rechargeDt_activationStatus").html();

	
	//added last5 rech calls

	var rechargeAmt = "";
	var rechargeDt = "";
	if (Object.keys(res).includes("lastFiveRchrgDtls")) {
		if (res.lastFiveRchrgDtls == "" || res.lastRchrgDtls == "") {
			$("#lastFiveRechargeDetailDiv_activationStatus").removeClass("hideDiv");
			$("#noLastFiveBox").show();
			$("#lastFiveRechargeDetailDiv_activationStatus").addClass("hideDiv");

		}
		else {
			for (var i in res.lastFiveRchrgDtls) {
				rechargeAmt = rechargeAmt + res.lastFiveRchrgDtls[i].AMOUNT + "</br></br>";
				var txnDateUnformatted = res.lastFiveRchrgDtls[i].TXNDATE.split(" ");
				var txnDate = txnDateUnformatted[0] + " " + txnDateUnformatted[2] + " " + txnDateUnformatted[3];
				rechargeDt = rechargeDt + txnDate + "</br></br>";
			}
			
	//for same data display on activation status
	$("#rechargeAmounts_activationStatus").text("Recharge Amount");
	$("#rechargeDate_activationStatus").text("Date");
	$("#rechargeAmt_activationStatus").html(rechargeAmt);
	$("#rechargeDt_activationStatus").html(rechargeDt);
	$("#lastFiveRechargeDetailDiv_activationStatus").removeClass("hideDiv");
	$("#noLastFiveBox").hide();

	}
}

	$('#TSActivationStatus .pageContent')[0].scrollTop = $('#TSActivationStatus .pageContent')[0].scrollHeight;

};

//success case end

//failure case start
ActivationStatus.prototype.fetchlastFiveRechDetailsActivationStatusFailure = function (res) {
	

		//CommonFunctions.resetFields();
		console.log("error for fetchlastFiveRechDetailsActivationStatusFailure is ", res.errorMessage);
		$("#lastFiveRechargeDetailDiv_activationStatus").addClass("hideDiv");
	
	
		// if ((Object.keys(res).includes("errorCode"))) {
	
		// 	error box for no package info available start
	
		// 	if (res.errorCode == "NO_DATA_FOUND") {
		// 	}
			
		// }
		$("#packageDetails ul li").eq(1).hide();
		$("#noLastFiveBox").show();
};
//failure case end

//end



$("#woOrderBtn").on('click', function () {

	$("#workOrderDetails").show();
	$("#packageDetails").hide();
	$("#rechargeTransactions").hide();
	$("#woOrderBtn").removeClass("none");
	$("#woOrderBtn").addClass("active");

	if ($("#packagesBtn").hasClass("active")) {
		$("#packagesBtn").removeClass("active");
		$("#packagesBtn").addClass("none");


	}
	if ($("#rechTransactionsBtn").hasClass("active")) {
		$("#rechTransactionsBtn").removeClass("active");
		$("#rechTransactionsBtn").addClass("none");

	}

	//hide internal menus
	$("#woOtherDetailsMenu").hide();
	$("#woDetailsMenu").hide();

});



ActivationStatus.prototype.fetchPacakgesSelected = function (adapterName, procedureName, parameters) {
	serviceObj.callAdapter(adapterName, procedureName, parameters, configObj.modules.activationStatusPackageInfo);
};

ActivationStatus.prototype.fetchPacakgesSelectedSuccess = function (res) {

	console.log("response", res);


	if (res.transStatus == "SUCCESS" && res.packDetails != null && res.packDetails.length > 0) {
		$("#packageDetails ul li").eq(0).show();
		$("#packageDetails ul li").eq(1).hide();

		var packageNameValue = "";
		var packagePriceValue = "";
		for (var i in res.packDetails) {

			if (res.packDetails[i].packageName != "" && res.packDetails[i].packageName != "Digicard" && res.packDetails[i].packageName != "Common") {
				packageNameValue = packageNameValue + res.packDetails[i].packageName + "</br></br>";
			}



			if (res.packDetails[i].packagePrice != "" && res.packDetails[i].packageName != "Digicard" && res.packDetails[i].packageName != "Common") {
				packagePriceValue = packagePriceValue + res.packDetails[i].packagePrice + "</br></br>";
			}

		}
		$("#subscriberPackageTitle").text("Package Name");
		$("#subscriberPackagePrice").text("Package Price");
		$("#subscriberPackageNameValue").html(packageNameValue);
		$("#subscriberPackagePriceValue").html(packagePriceValue);
		$("#packageDetails").removeClass("hideDiv");
	}

	$('#TSActivationStatus .pageContent')[0].scrollTop = $('#TSActivationStatus .pageContent')[0].scrollHeight;

};

//success case end

//failure case start
ActivationStatus.prototype.fetchPacakgesSelectedFailure = function (res) {


	$("#packageDetails ul li").eq(0).hide();
	$("#packageDetails ul li").eq(1).show();
	if (customerStatus == "Active") {
		$("#subscriberPackageNameValueError").text("Active accounts package details can be found under Customer Information");
	}
	else {
		//showAlert("message", res.errorMessage);
		$("#subscriberPackageNameValueError").text("No Data Available");
	}



};

////////success + failure + adapter call for account info for Activation status
ActivationStatus.prototype.getAccountInfoActivationStatus = function (adapterName, procedureName, parameters) {
	serviceObj.callAdapter(adapterName, procedureName, parameters, configObj.modules.accountInfoActivationStatus);
};

ActivationStatus.prototype.getAccountInfoSuccess = function (res) {
	console.log("account info success from Activation status = " + res);
	$("#activationStatusCurrentBalanceValue").text("");
	if ((Object.keys(res).includes("balance"))) {
		$("#rechargeTransactions ul li").eq(0).show();
		$("#noAccountInfoBox").hide();

		accBalance = res;
		console.log("Account balance: ", accBalance);
		$("#activationStatusCurrentBalance").text("Account Balance");
		$("#activationStatusCurrentBalanceValue").text(res.balance);
	}

	//added last5 rech calls
	var parameter = ""
	if (customerSubID != "") {
		parameter = customerSubID;
	}
	if (selfActivation.subID !== undefined && selfActivation.subID !== "") {
		parameter = selfActivation.subID;
	} else if (selfActivation.subMblNo !== undefined && selfActivation.subMblNo !== "") {
		parameter = selfActivation.subMblNo;
	}
	var parameters = [parameter];
    activationStatusObj.fetchlastFiveRechargeDetailsActivationStatus(configObj.adapter.SqlODSRechargeReversal, configObj.procedure.fetchLastFiveRechargesOfSub, parameters);
	//end last 5 transactions details

	$('#TSActivationStatus .pageContent')[0].scrollTop = $('#TSActivationStatus .pageContent')[0].scrollHeight;
};
ActivationStatus.prototype.getAccountInfoFailure = function (res) {
	//CommonFunctions.resetFields();
	console.log("error for getAccountInfoFailure is ", res.errorMessage);


	// if ((Object.keys(res).includes("errorCode"))) {

	// 	//error box for no package info available start

	// 	if (res.errorCode == "NO_DATA_FOUND") {
	// 		// $("#packageDetails ul li").eq(1).hide();
	// 		//$("#noLastFiveBox").show();
	// 		$("#noAccountInfoBox").show();
	// 		$("#accountInfoBox").hide();
	// 	}
		
	// }
	$("#noAccountInfoBox").show();
	$("#accountInfoBox").hide();

	var parameter = ""
	if (customerSubID != "") {
		parameter = customerSubID;
	}
	if (selfActivation.subID !== undefined && selfActivation.subID !== "") {
		parameter = selfActivation.subID;
	} else if (selfActivation.subMblNo !== undefined && selfActivation.subMblNo !== "") {
		parameter = selfActivation.subMblNo;
	}
	var parameters = [parameter];

    activationStatusObj.fetchlastFiveRechargeDetailsActivationStatus(configObj.adapter.SqlODSRechargeReversal, configObj.procedure.fetchLastFiveRechargesOfSub, parameters);
	//end last 5 transactions details
};
//Mumbai CR End



$("#woDetailsBtn").on('click', function () {

	$("#woDetailsMenu").show();
	$("#woOtherDetailsMenu").hide();


	//adapter call
	var parameter = ""
	if (selfActivation.subID !== undefined || selfActivation.subID == "") {
		parameter = selfActivation.subID;
	}


	if (customerSubID != "") {
		parameter = customerSubID;
	}
	var parametersAcc = [parameter];
	activationStatusObj.getWODetailsActivationStatus(configObj.adapter.SqlODSRechargeReversal, configObj.procedure.retrieveWODetailsActivationStatus, parametersAcc);
});

$("#woOtherDetailsBtn").on('click', function () {

	$("#woOtherDetailsMenu").show();
	$("#woDetailsMenu").hide();

	var parameter = ""
	if (selfActivation.subID !== undefined || selfActivation.subID == "") {
		parameter = selfActivation.subID;
	}


	if (customerSubID != "") {
		parameter = customerSubID;
	}
	var parametersAcc = [parameter];
	activationStatusObj.getWOOtherDetailsActivationStatus(configObj.adapter.SqlODSRechargeReversal, configObj.procedure.retrieveOtherDetailsActivationStatus, parametersAcc);


});


//adapter call for wo order other details + success + failure calls


ActivationStatus.prototype.getWOOtherDetailsActivationStatus = function (adapterName, procedureName, parameters) {
	serviceObj.callAdapter(adapterName, procedureName, parameters, configObj.modules.workOrderOtherDetailsActivationStatus);
};



ActivationStatus.prototype.workOrderOtherActivationStatusSuccess = function (res) {

	console.log("result from workorder other details success = " + JSON.stringify(res));

 	//TSK Serial No.
	var tskNo = "";
 	if (res.otherDetails[0].TSK_NO !== null && res.otherDetails[0].TSK_NO !== undefined) {
		res.otherDetails.forEach(function(item, index) {
			tskNo += item.TSK_NO + ", ";
		});
	} else {
		tskNo = "Not Available";
	}
	
	if (tskNo[tskNo.length-2] == ",") {
		tskNo = tskNo.substr(0, tskNo.length-2);
	}

	$("#tskSrNo").text(tskNo);

	//Booking Form No.
	$("#bookingFormNo").text(res.otherDetails[0].BOOKFORMNO);
	
	//append data to table from here
	var MobileNumber = "";
	if (res.otherDetails[0].CONTACT_1 == null && res.otherDetails[0].CONTACT_2 == null && res.otherDetails[0].CONTACT_3 == null && res.otherDetails[0].CONTACT_4 == null) {
		MobileNumber = "Not Available";
	}

	else {
		if ((Object.keys(res.otherDetails[0]).includes("CONTACT_1")) && (res.otherDetails[0].CONTACT_1 !== null)) {
			MobileNumber += res.otherDetails[0].CONTACT_1 + ", ";
		}

		if ((Object.keys(res.otherDetails[0]).includes("CONTACT_2")) && (res.otherDetails[0].CONTACT_2 !== null)) {
			MobileNumber += res.otherDetails[0].CONTACT_2 + ", ";
		}

		if ((Object.keys(res.otherDetails[0]).includes("CONTACT_3")) && (res.otherDetails[0].CONTACT_3 !== null)) {
			MobileNumber += res.otherDetails[0].CONTACT_3 + ", ";
		}
		if ((Object.keys(res.otherDetails[0]).includes("CONTACT_4")) && (res.otherDetails[0].CONTACT_4 !== null)) {
			MobileNumber += res.otherDetails[0].CONTACT_4 + ", ";
		}


	}

	if (MobileNumber !== "Not Available") {
		MobileNumber = MobileNumber.substring(0, MobileNumber.length - 2);
	}

	$("#alternateMobileValue").text(MobileNumber);


	//box type details
	var boxTyp = "";
	if (res.otherDetails.length > 0) {
		for (var i = 0; i < res.otherDetails.length; i++) {
			if (res.otherDetails[i].PREF_BOX_TYPE != null) {
				if (i != res.otherDetails.length - 1)
					boxTyp += res.otherDetails[i].PREF_BOX_TYPE + ", ";
				else
					boxTyp += res.otherDetails[i].PREF_BOX_TYPE;
			} else {
				boxTyp = "Not Available";
			}
		}

	}
	$("#boxTypeValue").text(boxTyp);

	$('#TSActivationStatus .pageContent')[0].scrollTop = $('#TSActivationStatus .pageContent')[0].scrollHeight;

};


ActivationStatus.prototype.workOrderOtherActivationStatusFailure = function (res) {

	console.log("result from workorder other details failure = " + JSON.stringify(res));
	// 	showAlert("message","failed in work order other details");
};


////adapter call for wo order details + success + failure calls


ActivationStatus.prototype.getWODetailsActivationStatus = function (adapterName, procedureName, parameters) {
	serviceObj.callAdapter(adapterName, procedureName, parameters, configObj.modules.workOrderDetailsActivationStatus);
};


ActivationStatus.prototype.workOrderActivationStatusSuccess = function (res) {

	console.log("result from workorder details success = " + JSON.stringify(res));
	//append data here for work order
		
	$("#woORderMenuDetails .right, #woORderOtherMenuDetails .right").text("Not Available");

	if (res.woDetails){
		if(res.woDetails.length){
			var details = res.woDetails[0];
			console.log(details);
			$.each(details, function (key, value){
				var id = "";
				if(value != "null" && value != null && value != undefined && value != ""){
					switch(key) {
						case "WO_NUM":
							id = "#woNumberValue";
							break;
						case "WO_STATUS":
							id = "#woStatusValue";
							break;
						case "WO_PLANNED_START":
							id = "#woPlanValue";
							break;
						case "WO_COMPLETED_DATE":
							id = "#woCompValue";
							break;
						case "WO_CANCEL_DATE":
							id = "#woCancelValue";
							break;
						case "WO_REASON_CD":
							id = "#woReasonValue";
							break;
						case "WO_RESOLUTION_CD":
							id = "#woResolutionValue";
							break;
						case "ASI_NAME":
							id = "#asiValue";
							break;
						case "ASI_MOBILE":
							id = "#asiMobileNumber";
							break;
						case "WO_ISP_NAME":
							id = "#ispValue";
							break;
						case "WO_ISP_MOBILE":
							id = "#ispMobileNumber";
							break;
						default:
							break;
						// code block
					}

					//inserting values
					$(id).text(value);
				}
				
			});
				
					
		}
		
	}

	// if ((Object.keys(res.woDetails[0]).includes("WO_NUM"))) {
	// 	$("#woNumberValue").text(res.woDetails[0].WO_NUM == null ? "Not Available" : res.woDetails[0].WO_NUM);
	// }
	// else {
	// 	$("#woNumberValue").text("Not Available");
	// }

	// if ((Object.keys(res.woDetails[0]).includes("WO_STATUS"))) {
	// 	$("#woStatusValue").text(res.woDetails[0].WO_STATUS == null ? "Not Available" : res.woDetails[0].WO_STATUS);
	// }
	// else {
	// 	$("#woStatusValue").text("Not Available");
	// }

	// if ((Object.keys(res.woDetails[0]).includes("WO_PLANNED_START"))) {
	// 	$("#woPlanValue").text(res.woDetails[0].WO_PLANNED_START == null ? "Not Available" : res.woDetails[0].WO_PLANNED_START);
	// }
	// else {
	// 	$("#woPlanValue").text("Not Available");
	// }

	// if ((Object.keys(res.woDetails[0]).includes("WO_COMPLETED_DATE"))) {
	// 	$("#woCompValue").text(res.woDetails[0].WO_COMPLETED_DATE == null ? "Not Available" : res.woDetails[0].WO_COMPLETED_DATE);
	// }
	// else {
	// 	$("#woCompValue").text("Not Available");
	// }

	// if ((Object.keys(res.woDetails[0]).includes("WO_CANCEL_DATE"))) {
	// 	$("#woCancelValue").text(res.woDetails[0].WO_CANCEL_DATE == null ? "Not Available" : res.woDetails[0].WO_CANCEL_DATE);
	// }
	// else {
	// 	$("#woCancelValue").text("Not Available");
	// }
	// if ((Object.keys(res.woDetails[0]).includes("WO_REASON_CD"))) {
	// 	$("#woReasonValue").text(res.woDetails[0].WO_REASON_CD == null ? "Not Available" : res.woDetails[0].WO_REASON_CD);
	// }
	// else {
	// 	$("#woReasonValue").text("Not Available");
	// }
	// if ((Object.keys(res.woDetails[0]).includes("WO_RESOLUTION_CD"))) {
	// 	$("#woResolutionValue").text(res.woDetails[0].WO_RESOLUTION_CD == null ? "Not Available" : res.woDetails[0].WO_RESOLUTION_CD);
	// }
	// else {
	// 	$("#woResolutionValue").text("Not Available");
	// }

	//append to additional details


	if ((Object.keys(res.woDetails[0]).includes("ASI_NAME"))) {
		$("#asiValue").text(res.woDetails[0].ASI_NAME == null ? "Not Available" : res.woDetails[0].ASI_NAME);
	}
	else {
		$("#asiValue").text("Not Available");
	}



	if ((Object.keys(res.woDetails[0]).includes("ASI_MOBILE"))) {
		$("#asiMobileNumber").text(res.woDetails[0].ASI_MOBILE == null ? "Not Available" : res.woDetails[0].ASI_MOBILE);
	}
	else {
		$("#asiMobileNumber").text("Not Available");
	}


	if ((Object.keys(res.woDetails[0]).includes("WO_ISP_NAME"))) {
		$("#ispValue").text(res.woDetails[0].WO_ISP_NAME == null ? "Not Available" : res.woDetails[0].WO_ISP_NAME);
	}
	else {
		$("#ispValue").text("Not Available");
	}

	if ((Object.keys(res.woDetails[0]).includes("WO_ISP_MOBILE"))) {
		$("#ispMobileNumber").text(res.woDetails[0].WO_ISP_MOBILE == null ? "Not Available" : res.woDetails[0].WO_ISP_MOBILE);
	}

	else {
		$("#ispMobileNumber").text("Not Available");
	}

	$('#TSActivationStatus .pageContent')[0].scrollTop = $('#TSActivationStatus .pageContent')[0].scrollHeight;
};


ActivationStatus.prototype.workOrderActivationStatusFailure = function (res) {

	console.log("result from workorder details failure = " + JSON.stringify(res));
	//showAlert("message", res.errorMessage);

	console.log("result from workorder details success = " + JSON.stringify(res));
	//append data here for work order


	$("#woNumberValue").text("Not Available");
	$("#woStatusValue").text("Not Available");
	$("#woPlanValue").text("Not Available");
	$("#woCompValue").text("Not Available");
	$("#woCancelValue").text("Not Available");
	$("#woReasonValue").text("Not Available");
	$("#woResolutionValue").text("Not Available");

	$("#asiValue").text("Not Available");
	$("#asiMobileNumber").text("Not Available");
	$("#ispValue").text("Not Available");
	$("#ispMobileNumber").text("Not Available");
};
//Mumbai CR End