// variable declaration
var selfEVD;
var validNum =false;
// class declaration
function EVDTransfer(){
	selfEVD = this;
};
// class properties 
EVDTransfer.prototype.transferTo = "";
EVDTransfer.prototype.evdAmount = "";
EVDTransfer.prototype.evdPin = "";
// class methods
EVDTransfer.prototype.validate = function(){
	try
	{
		selfEVD.transferTo = $('#transferTo').val();
		selfEVD.evdAmount=$('#evdAmount').val();
		var amt = '';
		var regexNumber=/^[0-9]*$/;
		
	    if (regexNumber.test(selfEVD.transferTo) && regexNumber.test(selfEVD.evdAmount) ) {
	    	validNum = true;
				}else {
				 showAlert("alert", Messages.invalidCharacters);
			     return false;
		 }
		
	    if(selfEVD.transferTo === "")
	    {
	    	showAlert("alert", Messages.evdMblNo);
	        return;
	    }
	    else if(selfEVD.transferTo.length < 10)
	    {
	    	showAlert("alert", Messages.validMobileNo);
	        return;
	    }
	    else if(selfEVD.transferTo.charAt(0)=="0"){
	    	showAlert("alert", Messages.validMobileNo);
	        return;
	     }
	    else if(selfEVD.evdAmount === "")
	    {
	    	showAlert("alert", Messages.evdAmount);
	        return;
	    }    
	    
	    if(configObj.appMode === "SMS")
	    {
	        selfEVD.evdPin = $('#evdPin').val();
	        if(selfEVD.evdPin === "") {
	        	showAlert("alert", Messages.emptyEvdPin);
	            return;
	        }
	        else if(selfEVD.evdPin.length < 4){
	        	showAlert("alert", Messages.validEvdPin);
	        	return; 
	        }
	    }    
	    
	    CommonFunctions.setModuleLabels("#TSEVDTransferConfirm");
	    $('#tranToConfirm').text(selfEVD.transferTo);
	    amt = '<i class="fa fa-rupee"></i> '+ selfEVD.evdAmount+'';
	    $('#tranAmtConfirm').html(amt);
	}
	catch (ex) 
	{
		showAlert("error", Messages.catchError);
		return;
	}	
};

EVDTransfer.prototype.doEVDTransfer = function(adapterName, procedureName, parameters){	
	serviceObj.callAdapter(adapterName, procedureName, parameters, configObj.modules.evd);
};

EVDTransfer.prototype.doEVDTransferSuccess = function(res){	
	try
	{
	showAlert("message", res.message,function(e){
			e.stopImmediatePropagation();
			$("#TSEVDTransferPopup").popup();
			$('#TSEVDTransferPopup').popup('close');
			setTimeout(function(){
				evdObj.goToInputPage();
				$("#evdUserNameVal").text('');
				$('#evdNameDiv').hide();
				CommonFunctions.resetFields();	
			},300);
		});
	}
	catch (ex) 
	{
		showAlert("error", Messages.catchError);
		return;
	}
};

EVDTransfer.prototype.doEVDTransferSMSSuccess = function(res){	
	try
	{
		var errCode = res.e;
		var errorMsg ="";
		if(errCode == "300") {
			errorMsg = res.m;
		}
		else {
			errorMsg = getErrorMsg(errCode);
		}		
		showAlert("message", errorMsg,function(e){
			e.stopImmediatePropagation();
			$("#TSEVDTransferPopup").popup();
			$('#TSEVDTransferPopup').popup('close');
			setTimeout(function(){
				evdObj.goToInputPage();
				CommonFunctions.resetFields();	
			},300);
		});
	}
	catch (ex) 
	{
		showAlert("error", Messages.catchError);
		return;
	}
};

EVDTransfer.prototype.doEVDTransferFailure = function(res){
	showAlert("error", res.errorMessage, function(e){
		e.stopImmediatePropagation();
		$("#TSEVDTransferPopup").popup();
		$('#TSEVDTransferPopup').popup('close');
		setTimeout(function(){
			evdObj.goToInputPage();
			//CommonFunctions.resetFields();
			$("#evdUserNameVal").text('');
			$('#evdNameDiv').hide();
			$("#evdValidateBtnDiv").show();
			if(res.errorCode=="314" || res.errorCode=="315" || res.errorCode=="305" || res.errorCode=="306" || res.errorCode=="811")
				{
				  $("#evdAmount").val("");
				}
			else
				{
				  CommonFunctions.resetFields();
				}
		},300);
	});
};

EVDTransfer.prototype.doEVDTransferSMSFailure = function(res){
	try {
		var errCode = res.em;
		var errorMsg ="";
		if(errCode == "315") {
			errorMsg = res.e;
		}
		else {
			errorMsg = getErrorMsg(errCode);
		}
//		var errorMsg = getErrorMsg(errCode);
		showAlert("error", errorMsg, function(e){
			e.stopImmediatePropagation();
			$("#TSEVDTransferPopup").popup();
			$('#TSEVDTransferPopup').popup('close');
			setTimeout(function(){
				evdObj.goToInputPage();
				if(errCode =="314" || errCode =="315" || errCode=="305" || errCode=="306" || errCode=="811")
				{
				  $("#evdAmount").val("");
				}
				else {
				  CommonFunctions.resetFields();
				}
//				CommonFunctions.resetFields();	
			},300);
		});
	} 
	catch (e) {
		showAlert("error", Messages.catchError);
		return;
	}
};

EVDTransfer.prototype.goToInputPage = function(){
	try
	{
		 $("#evdTrasferInputPage,.homeBtnDiv").show();
		 $("#evdTrasferOutputPage").hide();
		 $('.headerText').text(selectedLang['evdTransfer']);
	}
	catch (ex) 
	{
		showAlert("error", Messages.catchError);
		return;
	}
};

// go to home screen
$(document).on('click','#evdCancel', function(){
	CommonFunctions.onModuleCancel();
});

// go to EVD transfer input page
$(document).on('click','#evdTransferViewCancel', function(e){
	 evdObj.goToInputPage();
});

// call web service to transfer EVD
$(document).on('click','#evdTransferViewConfirm', function(e){
	try
	{ 	e.stopImmediatePropagation();
		if(configObj.appMode === "GPRS") {
			var parameters = [loginObj.mobile, selfEVD.transferTo, selfEVD.evdAmount, configObj.modeParam.evd];
			evdObj.doEVDTransfer(configObj.adapter.loginAdapter, configObj.procedure.evdTransfer, parameters);
		}
		else if(configObj.appMode === "SMS") {
			var str = 'Z EVD {"d":"'+loginObj.mobile+'","r":"'+selfEVD.transferTo+'","amt":"'+selfEVD.evdAmount+'","pin":"'+selfEVD.evdPin+'"}';
			smsServiceName = configObj.modules.evd;
			var data = [configObj.gateway.virtualNo,str,""];
			Plugins.smsPlugin(data);
		}
	}
	catch (ex) 
	{
		showAlert("error", Messages.catchError);
		return;
	}	
});

// validate data and go to EVD confirmation page 
var evdObj = new EVDTransfer();
$(document).on('click','#evdSubmit', evdObj.validate);


// validations
$(document).on("keypress","#evdAmount",function(e){
	try
	{
		var val = $(this).val();
		e.stopImmediatePropagation();
		if(validationObj.isMaxLenght(e, this.id, configObj.maxLenght.rechAmt))
		{
			validationObj.isNumber(e, val);
		}
	}
	catch (ex) 
	{
		showAlert("error", Messages.catchError);
		return;
	}	
});


$(document).on("keypress","#evdPin",function(e){
	try
	{
		var val = $(this).val();
		if(validationObj.isMaxLenght(e, this.id, configObj.maxLenght.pin))
		{
			validationObj.isNumber(e, val);
		}
	}
	catch (ex) 
	{
		showAlert("error", Messages.catchError);
		return;
	}	
});

$(document).on("keypress","#transferTo",function(e){
	try
	{
		
		var val = $(this).val();
		if(validationObj.firstZero(e, val))
		{
			if(validationObj.isMaxLenght(e, this.id, configObj.maxLenght.mobile))
			{
				validationObj.isNumber(e, val);
			}
		}
	}
	catch (ex) 
	{
		showAlert("error", Messages.catchError);
		return;
	}		
});


//code by shiva for validate name
//onclick validate 
$(document).on("click","#transferTo",function(e){
	try
	{
		//code by shiva for evd validate
		$("#evdNameDiv").hide();
		$("#evdValidateBtnDiv").show();
		var val = $(this).val();
		if(validationObj.firstZero(e, val))
		{
			if(validationObj.isMaxLenght(e, this.id, configObj.maxLenght.mobile))
			{
				validationObj.isNumber(e, val);
			}
		}
	}
	catch (ex) 
	{
		showAlert("error", Messages.catchError);
		return;
	}		
});


//validate number
EVDTransfer.prototype.validateName = function(){
	try
	{
		
		selfEVD.transferTo = $('#transferTo').val();
		
		var regexNumber=/^[0-9]*$/;
		
	    if (regexNumber.test(selfEVD.transferTo)) {
	    	validNum = true;
				}else {
				 showAlert("alert", Messages.invalidCharacters);
			     return false;
		 }
		
	    if(selfEVD.transferTo === "")
	    {
	    	showAlert("alert", Messages.evdMblNo);
	        return;
	    }
	    else if(selfEVD.transferTo.length < 10)
	    {
	    	showAlert("alert", Messages.validMobileNo);
	        return;
	    }
	    else if(selfEVD.transferTo.charAt(0)=="0"){
	    	showAlert("alert", Messages.validMobileNo);
	        return;
	     }
	   
	    
	    if(configObj.appMode === "SMS")
	    {
	        selfEVD.evdPin = $('#evdPin').val();
	        if(selfEVD.evdPin === "") {
	        	showAlert("alert", Messages.emptyEvdPin);
	            return;
	        }
	        else if(selfEVD.evdPin.length < 4){
	        	showAlert("alert", Messages.validEvdPin);
	        	return; 
	        }
	    }    
	    
	    balInfoObj.getBalance("validateName");
	    
	  /*  CommonFunctions.setModuleLabels("#TSEVDTransferConfirm");
	    $('#tranToConfirm').text(selfEVD.transferTo);
	    $('#tranAmtConfirm').text(selfEVD.evdAmount);*/
	}
	catch (ex) 
	{
		showAlert("error", Messages.catchError);
		return;
	}	
};


$(document).on('click','#evdValidate', evdObj.validateName);
//validate success
EVDTransfer.prototype.validateEVDSuccess = function(name){
	$("#evdNameDiv").show();
	$("#evdValidateBtnDiv").hide();
	$("#evdUserNameVal").text(name);
	
};
if(configObj.appMode === "SMS"){
	$("#evdTrasferInputPage li.smsEVD").show();
	}
else {
	$("#evdTrasferInputPage li.smsEVD").hide();
}

//end