
/* JavaScript content from js/application/TSFRWorkorder.js in folder common */
var frworkorderSelf, frworkorderObj, screenOneFRWOSelf, screenTwoFRWOSelf, screenOne_FRWO, screenTwo_FRWO, submitClick = false;
var frDetails;
var validNum = false;
//ocs  variables
var serviceRegion_ID = "", ocsFlag = "", preferedDate = "", taskId;
var dtToday = new Date();
var maxDateFr;
var frworkorderOcsSlot = "";
//Following variable declared by Tousif
var frRestrictionMessage;
// class declaration

//Added for CR - FR Restriction
var customer_Status="";

function FRWorkOrder() {
	frworkorderSelf = this;

};
FRWorkOrder.prototype.frworkorderName = "";
FRWorkOrder.prototype.frworkordersubID = "";
FRWorkOrder.prototype.frworkordersubMblNo = "";
FRWorkOrder.prototype.Frworkorder_MainCategorySelect = "";
FRWorkOrder.prototype.Frworkorder_SubCategorySelect = "";
FRWorkOrder.prototype.frworkorderslotStartTime = "";
FRWorkOrder.prototype.frworkorderslotEndTime = "";
FRWorkOrder.prototype.FRdiscriptionbox = "";
FRWorkOrder.prototype.frsubIDFlag = false;
FRWorkOrder.prototype.frMblNoFlag = false;
FRWorkOrder.prototype.frworkorderDateSelect = "";
FRWorkOrder.prototype.frworkordertimeSelect = "";
FRWorkOrder.prototype.SubAreaMapping = "";

//FRWorkOrder.prototype.frworkorderOcsSlot = "";

FRWorkOrder.prototype.validate = function (e) {
	try {
		e.stopImmediatePropagation();
		frworkorderObj.frsubIDFlag = false;
		frworkorderObj.frMblNoFlag = false;
		frworkorderObj.frworkordersubID = $('#frworkordersubID').val();
		frworkorderObj.frworkordersubMblNo = $('#subMblNofrworkorder').val();


		var regexNumber = /^[0-9]*$/;
		if (regexNumber.test(frworkorderObj.frworkordersubID) && regexNumber.test(frworkorderObj.frworkordersubMblNo)) {
			validNum = true;
		} else {

			showAlert("alert", Messages.invalidCharacters);
			return false;
		}
		if ((frworkorderObj.frworkordersubID === "" && frworkorderObj.frworkordersubMblNo === "")) {
			showAlert("alert", Messages.eitherValidationMsg);
			return;
		}
		//below is fr either subscriber id or mobile no validation 

		if ((frworkorderObj.frworkordersubID !== "" && frworkorderObj.frworkordersubMblNo !== "")) {

			showAlert("alert", Messages.eitherValidationMsg);
			return;
		}
		//above  is fr either subscriber id or mobile no validation 

		else if ((frworkorderObj.frworkordersubID !== "") && (frworkorderObj.frworkordersubMblNo === "")) {
			if (frworkorderObj.frworkordersubID.length !== 10) {
				showAlert("alert", Messages.subIDValidationMsg);
				return;
			} else {
				frworkorderObj.frsubIDFlag = true;

			}
		}
		else if ((frworkorderObj.frworkordersubID === "") && (frworkorderObj.frworkordersubMblNo !== "")) {
			if (frworkorderObj.frworkordersubMblNo.length !== 10) {
				showAlert("alert", Messages.mobileValidationMsg);
				return;
			}
			else {
				frworkorderObj.frMblNoFlag = true;

			}
		}

		//$('#frworkordersubID').text(frworkorderObj.frworkordersubID);
		//$('#subMblNofrworkorder').text(frworkorderObj.frworkordersubMblNo);
		$("#FRdiscriptionbox").val(null);
		var parameters = [frworkorderObj.frworkordersubID, frworkorderObj.frworkordersubMblNo, configObj.modeParam.eai];
		frworkorderObj.frworkoredvalidation(parameters);

	}
	catch (ex) {
		showAlert("error", Messages.catchError);
		return;
	}
};

FRWorkOrder.prototype.frworkoredvalidation = function (parameters)  //chnage
{
	serviceObj.callAdapter(configObj.adapter.EAIAdapter, configObj.procedure.accountInfo, parameters, configObj.modules.frworkordereModule);
};

FRWorkOrder.prototype.frworkorderValidationSuccess = function (res) {

	//Added by Tousif for CR OCS
	//console.log('ocsn');
	//$("FrOcsworkorder_DateTime").hide()
	$("#frworkorderValidBtn").show();
	$("#TSfrdatetext").hide();
	$("#TSfrDateField").hide();
	$("#TSfrslotsfield").hide();
	$("#TsfrAvailableslots").hide();
	//Added by Tousif for CR OCS	

	$("#frworkordersubID,#subMblNofrworkorder").prop("readonly", true).css("background-color", "#DCDCDC");

	$("#FRdiscriptionbox").text("");
	$("#FRdiscriptionbox").val(null);
	var text_max = 700;
	$('#charNum').html(text_max + ' characters only');
	configObj.FRWorderDetails = res.subID;
	frDetails = res.subID;
	serviceRegion_ID = res.serviceRegionId;
	ocsFlag = res.ocsFlag;

	//Added for CR-FR Restriction
	customer_Status = res.customerStatus;
	frRestrictionMessage  = res.frRestrictionMessage ;
	//alert("customer_Status>>>"+customer_Status)
	console.log("customer_Status>>>"+frRestrictionMessage);
	try {
		//console.log(JSON.stringify(res));
		$("#fillFRCompalindetails").show();
		$("#Frworkorder_DateTime").hide();
		$("#FRdiscriptionbox").text("");
		$("#FRdiscriptionbox").val(null);
		$("#Frworkorder_MainCategorySelect,#Frworkorder_SubCategorySelect, #frworkorderDateSelect, #frworkordertimeSelect, #FRdiscriptionbox").val("");
		$("#Frworkorder_MainCategorySelect,#Frworkorder_SubCategorySelect, #frworkorderDateSelect, #frworkordertimeSelect,#TsfrAvailableslots").selectmenu("refresh");
		$("#frworkorderNameVal").html("<h4>Name : <span class='pcf-ttl'>" + res.customerName + "</span></h4>");
	}
	catch (ex) {

		showAlert("error", Messages.catchError);
		return;
	}
};



FRWorkOrder.prototype.frworkorderValidationFailure = function (res) {

	//Deepak
	if (res.errorCode == 'MULTIPLE_RMN') {
		//alert("data:"+res.transMessage);
		$("#frworkorderValidBtn").hide();
		$("#CustServiceDivMultiple").show();
		$("#CustServiceSubmit").show();
		$("#CustServiceCancel").show();
		//$("#accountInfoCancel").hide();
		$(".multipleRmnLebelcs").show();
		$("#multipleSubidListRadiocs").show();
		$("#csMultipleSubIdCancel").show();
		$("#csMultipleSubIdSubmit").show();
		$('#multipleSubidListRadiocs').empty();
		var subIdList = res.payload.subIdList;

		var multipleSubId = $('<ul class="customer-info-list"  id="multipleSubIdlist">');
		for (key in subIdList) {
			multipleSubId.append('<li class="item"><input type="checkbox" name="subIdListCS"  data-iconpos="right" class="hidden-checkbox btn-add" value="'
				+ subIdList[key].subId
				+ '"id="multipleSubId'
				+ key
				+ '" data-theme="c"><label for="multipleSubId'
				+ key
				+ '">'
				+ '<p>'
				+ '<span>' + subIdList[key].subId
				+ '</span></p>'
				+ '</label></li>');
		}
		$("#multipleSubidListRadiocs").append(multipleSubId);
		$("#multipleSubidListRadiocs").trigger('create');
		initalizeSingleClkCb();
	}
	else {
		$(".multipleRmnLebelcs").hide();
		$("#frworkordersubID,#subMblNofrworkorder").prop("readonly", false);
		$('#multipleSubidListRadiocs').empty();
		$("#csMultipleSubIdCancel").hide();
		$("#csMultipleSubIdSubmit").hide();
		$("#CustServiceDivMultiple").hide();
		$("#frworkorderValidBtn").show();
		$("#FrWorkorderInputPage2").hide();
		$("#tracktablePage").addClass("hideDiv");
		$("#Frworkorder_DateTime").hide();
		$("#fillFRCompalindetails").hide();
		CommonFunctions.resetFields();
		$("#FRdiscriptionbox").text("");
		$("#FRdiscriptionbox").val(null);
		if ($("#raiseRequest").hasClass("none")) {
			$("#FrWorkorderInputPage2").hide();
			$("#FrWorkorderInputPage").show();
			$("#raiseRequest").removeClass("none");
			$("#raiseRequest").addClass("active");
			if ($("#trackRequest").hasClass("active")) {
				$("#trackRequest").removeClass("active");
				$("#trackRequest").addClass("none");
				//$("#frworkordersubID,#subMblNofrworkorder").prop("readonly", false);
			}
		}
		showAlert("error", res.errorMessage);
	}
	//showAlert("error", res.errorMessage);

};
$(document).on('click', '#CustServiceSubmit', function () {
	{
		var Subid = $("input[name='subIdListCS']:checked").val();
		//beta issue
		frworkorderObj.frworkordersubID=Subid;
		//beta issue end
		if (Subid === undefined) {
			showAlert("alert", Messages.SubidValidation);
			return;
		}
		var parameters = [Subid, '', configObj.modeParam.eai];
		frworkorderObj.frworkoredvalidation(parameters);

		$("#multipleSubidListRadiocs").hide();
		$("#CustServiceDivMultiple").hide();
		$(".multipleRmnLebelcs").hide();
		$("#frworkorderValidBtn").hide();
		//serviceObj.callAdapter(configObj.adapter.EAIAdapter,configObj.procedure.accountInfo, parameters,configObj.modules.frworkordereModule);
	}
});
$(document).on('click', '#CustServiceCancel', function () {
	//CommonFunctions.onModuleCancel();
	CommonFunctions.resetFields();
	$(".multipleRmnLebelcs").hide();
	$("#frworkorderValidBtn").show();
	$("#CustServiceDivMultiple").hide();
	$("#multipleSubidListRadiocs").hide();
	///
	//CommonFunctions.onModuleCancel();
	//CommonFunctions.resetFields();
	//$("#FRdiscriptionbox").text(""); 
	//$("#FRdiscriptionbox").val(null);
	//$("#frworkordersubID,#subMblNofrworkorder").prop("readonly", false);
	//$("#frworkordersubID,#subMblNofrworkorder").css("background", "none");
});


FRWorkOrder.prototype.FRWorkOrderNatureOfRequest = function (e) {
	e.stopImmediatePropagation();
	var parameters = [];
	serviceObj.callAdapter(configObj.adapter.SQLMiddlewareAdapter, configObj.procedure.retrieveMainCategory, parameters, configObj.modules.FRworkorderCategory);
};

FRWorkOrder.prototype.getNatureOfReqBoxSuccess = function (res) {

	configObj.FRWorderRequest = res.mainCategory;
	var mainCategory = res.mainCategory;
	var selectOptions = "";

	try {


		$.each(mainCategory, function (key, value) {

			if (selectOptions.indexOf(value.MAIN_CATEGORY) === -1) {

				selectOptions += "<option value=" + "'" + value.TYPE + "'" + ">" + value.MAIN_CATEGORY + "</option>";

			}

		});

		$("#Frworkorder_MainCategorySelect").html("").append(selectOptions);
		$("#Frworkorder_MainCategorySelect").prepend("<option value='' selected >Select Nature of Request</option>");
		$("#Frworkorder_MainCategorySelect option[value='']").prop("selected", true);
		//Below is added for initialize the select menu to resolve error occured
		$("#Frworkorder_MainCategorySelect").selectmenu();
		$("#Frworkorder_MainCategorySelect").selectmenu("refresh");
		/*		     ShowSubcategory($("#Frworkorder_MainCategorySelect").val());
		*/
		ShowSubcategory($("#Frworkorder_MainCategorySelect option:selected").text());
		frworoderFunction();

	}
	catch (ex) {
		showAlert("error", Messages.catchError);
		return;
	}



};

FRWorkOrder.prototype.getNatureOfReqBoxFailure = function (res) {
	showAlert("error", res.errorMessage);

};

FRWorkOrder.prototype.FRWorkOrdersubmitvalidation = function () {
	try {
		frworkorderObj.frworkordersubID = frDetails;
		//console.log(frworkorderObj.frworkordersubID);
		frworkorderObj.Frworkorder_MainCategorySelect = $("#Frworkorder_MainCategorySelect").val();
		frworkorderObj.Frworkorder_SubCategorySelect = $("#Frworkorder_SubCategorySelect").val();
		//commented below code as $('#frworkordertimeSelect').val().split doesnot have any value. for sr 
		/*
		frworkorderObj.frworkorderslotStartTime  = $('#frworkorderDateSelect').val()+" "+$("#frworkordertimeSelect").val();
		frworkorderObj.frworkorderslotEndTime = $('#frworkorderDateSelect').val()+" "+(Number($("#frworkordertimeSelect").val().split(':')[0])+3)+':00:00';
		frworkorderObj.FRdiscriptionbox = $("#FRdiscriptionbox").val();	
		
		frworkorderObj.frworkorderDateSelect= $('#frworkorderDateSelect').val();
		frworkorderObj.frworkorderTimeSelect = $('#frworkordertimeSelect').val();*/

		frworkorderObj.FRdiscriptionbox = $("#FRdiscriptionbox").val();


		if (($("#Frworkorder_DateTime").css('display') == 'block') || ($("#Frworkorder_DateTime").css('display') == 'list-item')) {

			frworkorderObj.frworkorderslotStartTime = $('#frworkorderDateSelect').val() + " " + $("#frworkordertimeSelect").val();
			frworkorderObj.frworkorderslotEndTime = $('#frworkorderDateSelect').val() + " " + (Number($("#frworkordertimeSelect").val().split(':')[0]) + 3) + ':00:00';


			frworkorderObj.frworkorderDateSelect = $('#frworkorderDateSelect').val();
			frworkorderObj.frworkorderTimeSelect = $('#frworkordertimeSelect').val();
		}
		frworkorderObj.SubAreaMapping = $('#Frworkorder_SubCategorySelect').find("option:selected").attr("data-subAreaType");


		if (frworkorderObj.FRdiscriptionbox === "") {
			showAlert("alert", "Please fill description");
			return;
		} else if (frworkorderObj.Frworkorder_MainCategorySelect === '') {
			showAlert("alert", "Please Select Main category.");
			return;
		} else if (frworkorderObj.Frworkorder_SubCategorySelect === '') {
			showAlert("alert", "Please Select Sub Category.");
			return;
		}

	    /* if($("#Frworkorder_DateTime").css('display') == 'block'){
console.log("date");
    		if(frworkorderObj.frworkorderDateSelect === ''){
	    	showAlert("alert", "Please Select Date.");
	        return;
    		}
    		else if(frworkorderObj.frworkorderTimeSelect === ''){
				console.log("time");
    			showAlert("alert", "Please Select Time Slot.");
				return;
			}
				
    		}*/
		if (ocsFlag == 'Y') {
			//console.log("Condi");
			if (($("#Frworkorder_DateTime").css('display') == 'block')
				|| ($("#Frworkorder_DateTime").css('display') == 'list-item')) {
				//console.log("validation");
				if (preferedDate === '') {
					showAlert("alert", "Please Select Date.");
					return;
				}

				else if (frworkorderObj.frworkorderTimeSelect === '') {
					// console.log("time1");
					showAlert("alert", "Please Select Time Slot.");
					return;
				}

			}
		}

		/*
		 * var parameters = [frworkorderObj.frworkordersubID,
		 * frworkorderObj.Frworkorder_SubCategorySelect,
		 * frworkorderObj.Frworkorder_MainCategorySelect,
		 * frworkorderObj.frworkorderslotStartTime,
		 * frworkorderObj.frworkorderslotEndTime, frworkorderObj.FRdiscriptionbox,
		 * loginSelf.userName]; frworkorderObj.FRWorkOrdersubmit(parameters);
		 */
		frworkorderObj.FRWorkOrdersubmit();

	}
	catch (ex) {
		showAlert("error", Messages.catchError);
		return;
	}

};
//
FRWorkOrder.prototype.FRWorkOrdersubmit = function (parameters) {
	if (ocsFlag == 'Y') {
		frworkorderOcsSlot = $("#TsfrAvailableslots").val();
		//console.log("final submit");
		if (preferedDate === "") {
			showAlert("alert", "Please Select Prefered Date for Slots.");
			return;
		}
		if (($("#FrOcsworkorder_DateTime").css('display') == 'block') || ($("#FrOcsworkorder_DateTime").css('display') == 'list-item')) {

			//console.log("3");
			if (frworkorderOcsSlot === "") {
				showAlert("alert", "Please Select Slots");
				return;
			}
			var parameters = [frworkorderObj.frworkordersubID, frworkorderObj.Frworkorder_SubCategorySelect, frworkorderObj.Frworkorder_MainCategorySelect, frworkorderOcsSlot, taskId, frworkorderObj.FRdiscriptionbox, loginSelf.userName];
			serviceObj.callAdapter(configObj.adapter.EAIAdapter, configObj.procedure.createFROcsWorkOrder, parameters, configObj.modules.FROcsComplainService);

		}
		else {


			var parameters = [frworkorderObj.frworkordersubID, frworkorderObj.Frworkorder_SubCategorySelect, frworkorderObj.Frworkorder_MainCategorySelect, frworkorderObj.FRdiscriptionbox, loginSelf.userName, frworkorderObj.SubAreaMapping];
			serviceObj.callAdapter(configObj.adapter.EAIAdapter, configObj.procedure.createSRWorkOrder, parameters, configObj.modules.SRcomplainsend);
		}
	}
	//Added by Tousif for CR OCS	
	else if (($("#Frworkorder_DateTime").css('display') == 'block') || ($("#Frworkorder_DateTime").css('display') == 'list-item')) {
		var parameters = [frworkorderObj.frworkordersubID, frworkorderObj.Frworkorder_SubCategorySelect, frworkorderObj.Frworkorder_MainCategorySelect, frworkorderObj.frworkorderslotStartTime, frworkorderObj.frworkorderslotEndTime, frworkorderObj.FRdiscriptionbox, loginSelf.userName];
		serviceObj.callAdapter(configObj.adapter.EAIAdapter, configObj.procedure.createFRWorkOrder, parameters, configObj.modules.FRcomplainsend);

	}
	else {
		var parameters = [frworkorderObj.frworkordersubID, frworkorderObj.Frworkorder_SubCategorySelect, frworkorderObj.Frworkorder_MainCategorySelect, frworkorderObj.FRdiscriptionbox, loginSelf.userName, frworkorderObj.SubAreaMapping];
		serviceObj.callAdapter(configObj.adapter.EAIAdapter, configObj.procedure.createSRWorkOrder, parameters, configObj.modules.SRcomplainsend);
	}
};

//Added by Tousif for CR OCS
FRWorkOrder.prototype.frOcsSubmitSuccess = function (res) {
	try {
		$("#frworkordersubID,#subMblNofrworkorder").prop("readonly", false);
		$("#frworkordersubID,#subMblNofrworkorder").css("background", "none");
		showAlert("alert", "Registered Transaction ID : " + res.transactionID);
		$("#fillFRCompalindetails").hide();
		$("#Frworkorder_DateTime").hide();
		CommonFunctions.changePage("#TSFRworkOrder");
		CommonFunctions.resetFields();
		$("#frworkordersubID").text("");
		$("#subMblNofrworkorder").text("");
		$("#FRdiscriptionbox").val(null);
		$("#Frworkorder_MainCategorySelect,#Frworkorder_SubCategorySelect, #frworkorderDateSelect, #frworkordertimeSelect, #FRdiscriptionbox").val("");
		$("#Frworkorder_MainCategorySelect,#Frworkorder_SubCategorySelect, #frworkorderDateSelect, #frworkordertimeSelect").selectmenu("refresh");
	}
	catch (ex) {
		showAlert("error", Messages.catchError);
		return;
	}

};
//Added by Tousif for CR OCS
FRWorkOrder.prototype.frOcsSubmitFailure = function (res) {
	showAlert("error", res.errorMessage);

};

FRWorkOrder.prototype.frSubmitSuccess = function (res) {
	try {
		$("#frworkordersubID,#subMblNofrworkorder").prop("readonly", false);
		$("#frworkordersubID,#subMblNofrworkorder").css("background", "none");
		showAlert("alert", "Registered Transaction ID : " + res.transactionID);
		$("#fillFRCompalindetails").hide();
		$("#Frworkorder_DateTime").hide();
		CommonFunctions.changePage("#TSFRworkOrder");
		CommonFunctions.resetFields();
		$("#frworkordersubID").text("");
		$("#subMblNofrworkorder").text("");
		$("#FRdiscriptionbox").val(null);
		$("#Frworkorder_MainCategorySelect,#Frworkorder_SubCategorySelect, #frworkorderDateSelect, #frworkordertimeSelect, #FRdiscriptionbox").val("");
		$("#Frworkorder_MainCategorySelect,#Frworkorder_SubCategorySelect, #frworkorderDateSelect, #frworkordertimeSelect").selectmenu("refresh");
	}
	catch (ex) {
		showAlert("error", Messages.catchError);
		return;
	}
};

FRWorkOrder.prototype.frSubmitFailure = function (res) {
	showAlert("error", res.errorMessage);
};




var frworkorderObj = new FRWorkOrder();
$(document).on('click', '#FRworkorder', frworkorderObj.FRWorkOrderNatureOfRequest);
$(document).on('click', '#frworkorderValidBtn', frworkorderObj.validate);
$(document).on('click', '#TSFrworkorderSubmit', frworkorderObj.FRWorkOrdersubmitvalidation);
$(document).on('click', '#TSFrworkorderCancel', function () {
	CommonFunctions.onModuleCancel();
	CommonFunctions.resetFields();
	$("#FRdiscriptionbox").text("");
	$("#FRdiscriptionbox").val(null);
	$("#frworkordersubID,#subMblNofrworkorder").prop("readonly", false);
	$("#frworkordersubID,#subMblNofrworkorder").css("background", "none");
});

function ShowSubcategory(mainCategory) {
	var subCategroyOption = "";
	$.each(configObj.FRWorderRequest, function (key, value) {

		if (value.MAIN_CATEGORY === mainCategory) {

			/*			subCategroyOption += "<option value="+"'"+value.AREA+"'"+">"+value.SUB_CATEGORY+"</option>";
			*/
			subCategroyOption += "<option value=" + "'" + value.AREA + "'" + " data-subAreaType=" + value.SUB_AREA_MAPPING + ">" + value.SUB_CATEGORY + "</option>";

		}

	});
	$("#Frworkorder_SubCategorySelect").html("").append(subCategroyOption);
	$("#Frworkorder_SubCategorySelect").prepend("<option value='' selected >Select Type</option>");
	$("#Frworkorder_SubCategorySelect option[value='']").prop("selected", true);
	//$("#Frworkorder_SubCategorySelect").selectmenu("refresh");
	//Below is added for initialize the select menu to resolve error occured
	$("#Frworkorder_SubCategorySelect").selectmenu().selectmenu("refresh");
}

/*function frworoderFunction(){
	alert("frworkorder");
	$("#fillFRCompalindetails").hide();
//Added by Tousif for CR Start 
	$("#TSfrDateField").hide();
	$("#TsfrAvailableslots").hide();
	//Added by Tousif for CR OCS  
	alert("frworkorder");
	
	$("#Frworkorder_MainCategorySelect").on('change',function(){
		if($(this).find("option:selected").text() === 'Unable to view services'){
			showAlert("alert", Messages.SMSmessageFrworkorder);
			$('#TSFRworkOrderPopupCancel').hide();
			$("#Frworkorder_DateTime").show();	
			
		}else{
			$("#Frworkorder_DateTime").hide();	
		}
		ShowSubcategory($(this).find("option:selected").text());
	});
	$("#Frworkorder_MainCategorySelect").on('change',function(){
		if($(this).find("option:selected").text() === 'Unable to view services'){
			console.log("under unable to");
			showAlert("alert", Messages.SMSmessageFrworkorder);
			if (ocsFlag=='Y')		
			{
			
			$("#Frworkorder_DateTime").hide();
			$("#FrOcsworkorder_DateTime").show();
			$("#TSfrdatetext").show();
			$("#TSfrDateField").show();
			$("#TsfrAvailableslots").show();
		
			//$("#TSfrdatetext").show();
			//$("#TSfrDateField").show();
			var minDate = disableDate(dtToday);  
			var postDate =new Date();
			postDate.setDate(postDate.getDate() + 29);
		//	var maxDate = disableDate(postDate);
			maxDateFr = disableDate(postDate);
			$('#TSfrslotDateId').attr('min', minDate);
			$('#TSfrslotDateId').attr('max', maxDateFr);
			$("#TSfrslotsfield").show();
			$("#TSfrslot").show();
			
			 	
			}
			 //Added by Tousif for CR OCS End 
		
		else{
			//console.log("else");
			$("#TSfrdatetext").hide();
			$("#TSfrDateField").hide();
			$("#TSfrslotsfield").hide();
			$("#TSfrslot").hide();
			$("#TsfrAvailableslots").hide();
			$('#TSFRworkOrderPopupCancel').hide();
			$("#Frworkorder_DateTime").show();
			
				//$("#Frworkorder_DateTime").hide();	
			//Added by Tousif for CR OCS End	
			
		}
	
		}
	else{
		console.log("hiding");	
		$("#Frworkorder_DateTime").hide();	
		//Added by Tousif for CR OCS
		//console.log("hidingelse");
		$("#TSfrdatetext").hide();
		
		$("#FrOcsworkorder_DateTime").hide();
		$("#TSfrDateField").hide();
		$("#TSfrslotsfield").hide();
		$("#TSfrslot").hide();
		$("#TsfrAvailableslots").hide();
		$('#TSFRworkOrderPopupCancel').hide();
	}
	console.log("sub");	
	ShowSubcategory($(this).find("option:selected").text());			
	});
	
	
	var option= "";
	var options="";
	var curr = new Date;
	var first = curr.getDate();
	var firstday = (new Date(curr.setDate(first))).toString();
	for (var i = 0; i < 3; i++) {
		var next = new Date(curr.getTime());
		next.setDate(first + i);
		var mnth = next.getMonth()+1;
		if (mnth < 10) mnth = '0' + mnth;
	    
		var dat = next.getDate();
		if (dat < 10) dat = '0' + dat;
		options += "<option value="+"'"+next.getDate()+"/"+next.getMonth()+"/"+next.getFullYear()+"'"+">" + formatDate((next.toString())) + "</option>";
	
		options += "<option value="+"'"+mnth+"/"+dat+"/"+next.getFullYear()+"'"+">" + formatDate((next.toString())) + "</option>";
    
	}
	$("#frworkorderDateSelect").html("").append(options);
	$("#frworkorderDateSelect").prepend("<option value='' selected >Select Date</option>");
	$("#frworkorderDateSelect option[value='']").prop("selected", true);
	$("#frworkorderDateSelect").on("change",function(){
		populatetimeslot('#frworkordertimeSelect');				
	});
	For check character length	
	var text_max = 800;
	var text_max = 700;
	$('#charNum').html(text_max + ' characters only');
	
	$('#FRdiscriptionbox').keyup(function() {
		var text_length = $('#FRdiscriptionbox').val().length;
		var text_remaining = text_max - text_length;
		$('#charNum').html(text_remaining + ' characters remaining');
		if (text_length > text_max - 1) {
			return false;
			}
	});
	
	added on may18th for counting characters on paste and on cut in description box  ios specific
	if(userOS=="iOS") {
	    
		try{
		    
			$('#FRdiscriptionbox').on("paste",function() {
									  setTimeout(function () {
												 var text_length = $('#FRdiscriptionbox').val().length;
												 var text_remaining = text_max - text_length;
												 $('#charNum').html(text_remaining + ' characters remaining');
												 
												 if (text_length > text_max - 1) {
												 return false;
												 }
												 
												 }, 100);
									  });
			$('#FRdiscriptionbox').on("cut",function() {
									  setTimeout(function () {
												 var text_length = $('#FRdiscriptionbox').val().length;
												 var text_remaining = text_max - text_length;
												 $('#charNum').html(text_remaining + ' characters remaining');
												 
												 if (text_length > text_max - 1) {
												 return false;
												 }
												 
												 }, 100);
									  });
		    
		}
		catch(ex) {
			alert(ex);
		    
		}
    
   
	}            
}
*/
//Added by Tousif for CR OCS
function frworoderFunction() {
	$("#fillFRCompalindetails").hide();
	$("#Frworkorder_MainCategorySelect").on('change', function () {
		//Added by tousif for FR CR 
		//alert("VALUE::"+this.options[this.selectedIndex].getAttribute('value'));
		var categoryIdentifier = this.options[this.selectedIndex].getAttribute('value');
		
		if(customer_Status == 'Deactivated' && categoryIdentifier == 'Field Repair' && $(this).find("option:selected").text() === 'Unable to view services')
			{
			//alert("return");
			/*var categroyOption = "";.
			$("#Frworkorder_SubCategorySelect").html("").append(categroyOption);*/
			$("#Frworkorder_SubCategorySelect").empty();
			$("#Frworkorder_SubCategorySelect").prepend("<option value='' selected >Select Type</option>");
			//showAlert("alert", Messages.FR_Restriction);
			showAlert("alert", frRestrictionMessage);
			return;
			}
		//end
	else if ($(this).find("option:selected").text() === 'Unable to view services') {
			//console.log("refresh");
			showAlert("alert", Messages.SMSmessageFrworkorder);

			$('#TSFRworkOrderPopupCancel').hide();
			$("#Frworkorder_DateTime").show();
			//Added by Tousif for CR OCS start
			if (ocsFlag == 'Y') {

				$("#Frworkorder_DateTime").hide();
				$("#FrOcsworkorder_DateTime").show();
				$("#TSfrdatetext").show();
				$("#TSfrDateField").show();
				$("#TsfrAvailableslots").show();
				$("#TsfrAvailableslots").selectmenu("refresh");
				//Added by Tousif
				$("#TsfrAvailableslots").empty();
				//Tousif code ends
				var minDate = disableDate(dtToday);
				var postDate = new Date();

				postDate.setDate(postDate.getDate() + 29);
				maxDateFr = disableDate(postDate);
				$('#TSfrslotDateId').attr('min', minDate);
				$('#TSfrslotDateId').attr('max', maxDateFr);
				$("#TSfrslotsfield").show();
				$("#TSfrslot").show();


			} //Added by Tousif for CR OCS End 

		} else {
			$("#Frworkorder_DateTime").hide();
			//Added by Tousif for CR OCS
			$("#TSfrdatetext").hide();

			$("#FrOcsworkorder_DateTime").hide();
			$("#TSfrDateField").hide();
			$("#TSfrslotsfield").hide();
			$("#TSfrslot").hide();
			$("#TsfrAvailableslots").hide();
			//$('#TSFRworkOrderPopupCancel').hide();

		}
		ShowSubcategory($(this).find("option:selected").text());
	});
	var option = "";
	var options = "";
	var curr = new Date;
	var first = curr.getDate();
	var firstday = (new Date(curr.setDate(first))).toString();
	for (var i = 0; i < 3; i++) {
		var next = new Date(curr.getTime());
		next.setDate(first + i);
		var mnth = next.getMonth() + 1;
		if (mnth < 10) mnth = '0' + mnth;

		var dat = next.getDate();
		if (dat < 10) dat = '0' + dat;
		/*	    options += "<option value="+"'"+next.getDate()+"/"+next.getMonth()+"/"+next.getFullYear()+"'"+">" + formatDate((next.toString())) + "</option>";
		*/
		options += "<option value=" + "'" + mnth + "/" + dat + "/" + next.getFullYear() + "'" + ">" + formatDate((next.toString())) + "</option>";

	}
	$("#frworkorderDateSelect").html("").append(options);
	$("#frworkorderDateSelect").prepend("<option value='' selected >Select Date</option>");
	$("#frworkorderDateSelect option[value='']").prop("selected", true);
	$("#frworkorderDateSelect").on("change", function () {
		populatetimeslot('#frworkordertimeSelect');
	});
	/*For check character length*/
	/*var text_max = 800;*/
	var text_max = 700;
	$('#charNum').html(text_max + ' characters only');

	$('#FRdiscriptionbox').keyup(function () {
		var text_length = $('#FRdiscriptionbox').val().length;
		var text_remaining = text_max - text_length;
		$('#charNum').html(text_remaining + ' characters remaining');
		if (text_length > text_max - 1) {
			return false;
		}
	});

	/*added on may18th for counting characters on paste and on cut in description box  ios specific*/
	if (userOS == "iOS") {

		try {

			$('#FRdiscriptionbox').on("paste", function () {
				setTimeout(function () {
					var text_length = $('#FRdiscriptionbox').val().length;
					var text_remaining = text_max - text_length;
					$('#charNum').html(text_remaining + ' characters remaining');

					if (text_length > text_max - 1) {
						return false;
					}

				}, 100);
			});
			$('#FRdiscriptionbox').on("cut", function () {
				setTimeout(function () {
					var text_length = $('#FRdiscriptionbox').val().length;
					var text_remaining = text_max - text_length;
					$('#charNum').html(text_remaining + ' characters remaining');

					if (text_length > text_max - 1) {
						return false;
					}

				}, 100);
			});

		}
		catch (ex) {
			alert(ex);

		}


	}
}

function frgetslot(datevalue) {

	preferedDate = datevalue;
	//console.log("prefered:" + preferedDate);
	var now = new Date();
	var d1 = disableDate(now);
	//console.log("now:" + d1);
	if (preferedDate < d1) {
		showAlert("alert", Messages.Dateerror);
		return;
	}
	else if (preferedDate > maxDateFr) {
		showAlert("alert", Messages.Dateerror2);
		return;
	}
	
	var parameters = [configObj.FRWorderDetails, preferedDate];
	//var parameters = [frworkorderObj.frworkordersubID, preferedDate];
	serviceObj.callAdapter(configObj.adapter.EAIAdapter,
		configObj.procedure.frgetslot, parameters,
		configObj.modules.frgetslotservice);
}


//Added by Tousif for CR OCS
FRWorkOrder.prototype.frgetslotSuccess = function (res) {

	try {
		$("div").scrollTop(1700);
		$("#TSfrslotsfield").show();
		$("#TSfrslot").show();
		var slots = " ";
		var slotselection = null;
		/*oldDate='0';
		newDate='1';*/
		var slotSuggestions = res.slotSuggestions;
		//console.log("slots1:"+slotSuggestions);
		orderID = res.orderId;
		taskId = res.taskId;

		for (var i = 0; i < res.slotSuggestions.length; i++) {

			var starttime = slotSuggestions[i].start;
			var time1 = formatTimeAmPm(starttime);
			var endtime = slotSuggestions[i].end;
			var time2 = formatTimeAmPm(endtime);
			slots = slots + "<option value=" + slotSuggestions[i].start + "*" + slotSuggestions[i].end + ">" + time1 + " - " + time2 + "</option>";


		}
		$("#TsfrAvailableslots").show();
		$("#TsfrAvailableslots").html("").append(slots);
		$("#TsfrAvailableslots").prepend("<option value='' selected>Select Timeslots</option>");
		$("#TsfrAvailableslots option:first").attr("selected", "selected");
		$("#TsfrAvailableslots option[value='']").prop("selected", true);
		$("#TsfrAvailableslots").selectmenu("refresh");



	}

	catch (ex) {
		showAlert("error", Messages.catchError);
		return;
	}

};

FRWorkOrder.prototype.frgetslotFailure = function (res) {
	//console.log("fails");
	showAlert("error", res.errorMessage);
};

//Added by Tousif for CR OCS END
function formatDate(date) {
	var d = new Date(date);
	var m_names = new Array("Jan", "Feb", "Mar", "April", "May", "June", "July", "Aug", "Sep", "Oct", "Nov", "Dec");
	var d_names = new Array("Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday");
	month = '' + m_names[d.getMonth()],
		day = '' + d.getDate(),
		days = '' + d_names[d.getDay()],
		year = d.getFullYear();

	if (month.length < 2) month = '0' + month;
	if (day.length < 2) day = '0' + day;

	return [month, day, year, days].join(' ');
}


function populatetimeslot(selector) {
	var d = new Date();
	var time = Number(d.getHours());
	var date = Number(d.getDate());
	var selectDate = Number($('#frworkorderDateSelect').val().split('/')[1]);
	var selecttime = $(selector);
	selecttime.empty().selectmenu("refresh");
	var slots = configObj.Date.timeSlots;
	if (date === selectDate) {

		$.each(slots, function (key, value) {
			var slotTime = Number(value.value.split(":")[0]);
			if (time + 3 <= slotTime) {
				selecttime.append($("<option></option>").attr('value', value.value).text(value.startTime + " TO " + value.endTime));
			}
		});
	} else {
		$.each(slots, function (key, value) {
			selecttime.append($("<option></option>").attr('value', value.value).text(value.startTime + " TO " + value.endTime));
		});
	}
	//$("#frworkordertimeSelect").find("option:selected").remove();
	$("#frworkordertimeSelect").prepend("<option value='' selected >Select Time</option>");
	$("#frworkordertimeSelect option[value='']").prop("selected", true);
	$("#frworkordertimeSelect").selectmenu("refresh");
	var slottimelength = $('#frworkordertimeSelect').children('option').length;
	if (slottimelength === 1) {
		showAlert("alert", "No slot available today. Please select next date and time slot.");
		$("#frworkorderDateSelect").selectmenu("refresh");
	}

}

$(document).on("keypress", "#frworkordersubID", function (e) {
	try {
		var val = $(this).val();
		if (validationObj.isMaxLenght(e, this.id, configObj.maxLenght.mobile)) {
			validationObj.isNumber(e, val);
		}
	}
	catch (ex) {
		showAlert("error", Messages.catchError);
		return;
	}
});

$(document).on("keypress", "#subMblNofrworkorder", function (e) {
	try {
		var val = $(this).val();
		if (validationObj.firstZero(e, val)) {
			if (validationObj.isMaxLenght(e, this.id, configObj.maxLenght.mobile)) {
				validationObj.isNumber(e, val);
			}
		}
	}
	catch (ex) {
		showAlert("error", Messages.catchError);
		return;
	}
});

$("#raiseRequest").on('click', function () {
	CommonFunctions.resetFields();
	$("#FRdiscriptionbox").text("");
	$("#FRdiscriptionbox").val(null);
	var text_max = 700;
	$('#charNum').html(text_max + ' characters only');
	$("#tracktablePage").addClass("hideDiv");
	$("#frworkordersubID,#subMblNofrworkorder").prop("readonly", false);
	// $("#frworkordersubID,#subMblNofrworkorder").css("background", "none");
	$("#fillFRCompalindetails").hide();
	$("#Frworkorder_DateTime").hide();
	if ($(this).hasClass("none")) {
		$("#FrWorkorderInputPage2").hide();
		$("#FrWorkorderInputPage").show();
		$(this).removeClass("none");
		//$(this).addClass("active");
		$(this).addClass("active");
		CommonFunctions.resetFields();
		if ($("#trackRequest").hasClass("active")) {
			$("#trackRequest").removeClass("active");
			$("#trackRequest").addClass("none");
		}
	}


});

$("#trackRequest").on('click', function () {
	CommonFunctions.resetFields();
	$("#FRdiscriptionbox").text("");
	$("#FRdiscriptionbox").val(null);
	var text_max = 700;
	$('#charNum').html(text_max + ' characters only');
	$("#tracktablePage").addClass("hideDiv");
	$("#frworkordersubID,#subMblNofrworkorder").prop("readonly", false);
	// $("#frworkordersubID,#subMblNofrworkorder").css("background", "none");
	$("#inputFieldDIv").removeClass("hideDiv");
	//deepak
	$(".multipleRmnLebelTrackRequest").hide();
	$("#trackRequestMultipleSubmit").hide();
	$("#trackRequestMultipleCancel").hide();
	$("#multipleSubidListRadioTrackRequest").hide();
	$('#multipleSubidListRadioTrackRequest').empty();
	$("#request_Submit").show();
	$("#request_Cancel").show();
	$('#multipleSubidListRadiocs').empty();
	$(".multipleRmnLebelcs").hide();
	$("#CustServiceSubmit").hide();
	$("#CustServiceCancel").hide();
	$("#frworkorderValidBtn").show();
	///deepak
	$("#Frworkorder_DateTime").hide();
	$("#fillFRCompalindetails").hide();
	if ($(this).hasClass("none")) {
		$("#FrWorkorderInputPage2").show();
		$("#FrWorkorderInputPage").hide();
		$(this).removeClass("none");
		$(this).addClass("active");
		CommonFunctions.resetFields();
		if ($("#raiseRequest").hasClass("active")) {
			$("#raiseRequest").removeClass("active");
			$("#raiseRequest").addClass("none");

		}
	}
});
$("#TSFRworkOrder .homeBtn").on('click', function () {
	CommonFunctions.resetFields();
	$("#FRdiscriptionbox").text("");
	$("#FRdiscriptionbox").val(null);
	var text_max = 700;
	$('#charNum').html(text_max + ' characters only');
	$("#frworkordersubID,#subMblNofrworkorder").prop("readonly", false);
	//$("#frworkordersubID,#subMblNofrworkorder").css("background", "none");
});
/*if(userOS=="Android"){
if($("#fillFRCompalindetails").css('display') == 'block') {
	$("#fillFRCompalindetails").css("overflow-y","auto");
	
}
else {
	$("#fillFRCompalindetails").css("overflow-y","visible");
}
}*/

//OCS by Tousif
function disableDate(strDate) {
	var month = strDate.getMonth() + 1;     // getMonth() is zero-based
	//var monthnew = dtToday.getMonth() + 2;
	var day = strDate.getDate();
	var year = strDate.getFullYear();
	if (month < 10)
		month = '0' + month.toString();
	if (day < 10)
		day = '0' + day.toString();

	var convDate = year + '-' + month + '-' + day;
	return convDate;
}






