var selfInv;

InventoryCapture.prototype.invDealerID = "";
InventoryCapture.prototype.invEVDMoblNo = "";


var validNum =false;
function InventoryCapture(){
	selfInv = this;
};

InventoryCapture.prototype.validate = function(){
	try
	{
		
		var inventoryEvdMblNo = $('#inventoryEvdMblNo').val();
		var inventoryDealer = $('#inventDealerID').val();
	    var tsk599Stock=$('#tsk599Stock').val();
	    var tsk999Stock=$('#tsk999Stock').val();
	    var totalTskStock=$('#totalTskStock').val();
	    var regexNumber=/^[0-9]*$/;
		
	    if (regexNumber.test(inventoryEvdMblNo) && regexNumber.test(inventoryDealer) && regexNumber.test(tsk599Stock) && regexNumber.test(tsk999Stock) && regexNumber.test(totalTskStock) ) {
	    	validNum = true;
				}else {
					showAlert("alert",  Messages.invalidCharacters);
			     return false;
					  }
	    
	    if((inventoryEvdMblNo === "" && inventoryDealer === "") || (inventoryEvdMblNo !== "") && (inventoryDealer !== ""))
	    {
	         showAlert("alert", Messages.eitherValidInvCapture);
	        return;
	    }
	    else if((inventoryEvdMblNo !== "")&&(inventoryDealer === ""))
	    {
	        if(inventoryEvdMblNo.length !== 10)
	        {
	             showAlert("alert", Messages.validInventoryMblNo);
	            return;
	        }
	    }
	    var parameters = [inventoryEvdMblNo, inventoryDealer, tsk599Stock, tsk999Stock, totalTskStock, configObj.modeParam.eai, loginSelf.userName];
	    InventoryObj.captureInvData(configObj.adapter.EAIAdapter, configObj.procedure.inventory, parameters);  
	   
	}
	catch (ex) 
	{
		showAlert("error", Messages.catchError);
		return;
	}	
};

InventoryCapture.prototype.captureInvData = function(adapterName, procedureName, parameters){
	serviceObj.callAdapter(adapterName, procedureName, parameters, configObj.modules.inventory);
};

InventoryCapture.prototype.captureInvDataSuccess = function(res){
	try
	{
		CommonFunctions.changePage('#TSInventoryCaptureView');
		$("#entered599").text(res.tsk599StockEntered);
		$("#prm599").text(res.tsk599AsPerPrm);
		$("#entered999").text(res.tsk999StockEntered);
		$("#prm999").text(res.tsk999AsPerPRM);
		$("#enteredTotal").text(res.totalTskStockEnterd);
		$("#prmTotal").text(res.totalTskAsPerPrm);
	}
	catch (ex) 
	{
		showAlert("error", Messages.catchError);
		return;
	}
};

InventoryCapture.prototype.captureInvDataFailure = function(res){
	showAlert("error", res.errorMessage);
	CommonFunctions.resetFields();	
};


var InventoryObj = new InventoryCapture();
$(document).on('click','#inventorySubmit', InventoryObj.validate);

$(document).on('click','#inventoryCancel', function(){
	CommonFunctions.onModuleCancel();
});

$(document).on('click','#inventoryOK', function(){
	try
	{
		CommonFunctions.changePage('#TSInventoryCapture');
		$("#inventoryCaptureInputPage,.homeBtnDiv").show();
		$("#inventoryCaptureOutputPage").hide();
		CommonFunctions.resetFields();
	}
	catch (ex) 
	{
		showAlert("error", Messages.catchError);
		return;
	}
});

//validations
$(document).on("keypress","#inventoryEvdMblNo", function(e){
	try
	{
		var val = $(this).val();
		if(validationObj.firstZero(e, val))
		{
			if(validationObj.isMaxLenght(e, this.id, configObj.maxLenght.mobile))
			{
				validationObj.isNumber(e, val);
			}
		}
	}
	catch (ex) 
	{
		showAlert("error", Messages.catchError);
		return;
	}	
});

$(document).on("keypress","#inventDealerID", function(e){
	try
	{
		var val = $(this).val();
		if(validationObj.isMaxLenght(e, this.id, configObj.maxLenght.mobile)){
				validationObj.isNumber(e, val);
		}
	}
	catch (ex) 
	{
		showAlert("error", Messages.catchError);
		return;
	}	
});

$(document).on("keypress","#tsk599Stock, #tsk999Stock, #totalTskStock", function(e){
	try
	{
		var val = $(this).val();
		if(validationObj.isMaxLenght(e, this.id, configObj.maxLenght.tskInvent)){
			validationObj.isNumber(e, val);
		}
	}
	catch (ex) 
	{
		showAlert("error", Messages.catchError);
		return;
	}
});


//code by shiva for validate name for compitatory
//onclick validate 
$(document).on("click","#inventoryEvdMblNo,#inventDealerID",function(e){
	try
	{
		//code by shiva for evd validate
		$("#inventoryNameDiv").hide();
		$("#inventoryValidateBtnDiv").show();
		var val = $(this).val();
		if(validationObj.firstZero(e, val))
		{
			if(validationObj.isMaxLenght(e, this.id, configObj.maxLenght.mobile))
			{
				validationObj.isNumber(e, val);
			}
		}
	}
	catch (ex) 
	{
		showAlert("error", Messages.catchError);
		return;
	}		
});


//validate number
InventoryCapture.prototype.validateInentoryName = function(){
	try
	{
		
		selfInv.invDealerID=$('#inventDealerID').val();
		selfInv.invEVDMoblNo=$('#inventoryEvdMblNo').val();
	
		var regexNumber=/^[0-9]*$/;

		 if (regexNumber.test(selfInv.invDealerID) && regexNumber.test(selfInv.invEVDMoblNo)  ) {
		    	validNum = true;
			}
		 else {
				showAlert("alert", Messages.invalidCharacters);
				return false;
			}
			
			
			 if((selfInv.invEVDMoblNo === "" && selfInv.invDealerID === "") || (selfInv.invEVDMoblNo !== "") && (selfInv.invDealerID !== ""))
		    {
		        showAlert("alert", Messages.eitherValidInvCapture);
		        return;
		    }
			else if((selfComp.dealerID === "") && (selfInv.invEVDMoblNo !== ""))
			{
				if(selfInv.invEVDMoblNo.length !== 10){
			         showAlert("alert", Messages.validInventoryMblNo);
			         return;
			    }
				else if(selfInv.invEVDMoblNo.charAt(0)=="0"){
				    	showAlert("alert", Messages.validMobileNo);
				        return;
				}
			 }
			 
			 
		
	    balInfoObj.getBalance("validateInentoryName");
	    
	   /* if(configObj.appMode === "SMS")
	    {
	        selfEVD.evdPin = $('#evdPin').val();
	        if(selfEVD.evdPin === "") {
	        	showAlert("alert", Messages.emptyEvdPin);
	            return;
	        }
	        else if(selfEVD.evdPin.length < 4){
	        	showAlert("alert", Messages.validEvdPin);
	        	return; 
	        }
	    }    */
	    
	  /*  CommonFunctions.setModuleLabels("#TSEVDTransferConfirm");
	    $('#tranToConfirm').text(selfEVD.transferTo);
	    $('#tranAmtConfirm').text(selfEVD.evdAmount);*/
	}
	catch (ex) 
	{
		showAlert("error", Messages.catchError);
		return;
	}	
};


$(document).on('click','#inventoryValidate', selfInv.validateInentoryName);
//validate success

InventoryCapture.prototype.validateInventorySuccess = function(name){

	$("#inventoryNameDiv").show();
	$("#inventoryValidateBtnDiv").hide();
	$("#inventoryNameVal").text(name);
	
};

//end

