//variable declaration
var leadAccount, leadAccountInfoObj, today_date, todayDate, LeadToDate, to_date, date7Days, date15Days, date30Days, dateToday;

//class declaration
function LeadAccountInformation() {
    leadAccount = this;
};

leadAccountInfoObj = new LeadAccountInformation();

//LeadAccountInformation.createdOn="";
LeadAccountInformation.leadName = "";
LeadAccountInformation.allLeads = "";
//LeadAccountInformation.entityType="";
var IdOfClickedButton = "";

function prependZeroToSingleDigitDate(d) {
    if (d.toString().length == 1)
        d = "0" + d;
    return d;
}

function dateValidation() {
    try {
        //Today's Date
        var today_date = new Date();
        var dat = prependZeroToSingleDigitDate(today_date.getDate());
        var mon = prependZeroToSingleDigitDate(today_date.getMonth() + 1);
        var year = today_date.getFullYear();
        todayDate = year + "-" + mon + "-" + dat;

        //Last 7 Days Date
        var last7Days = new Date(new Date().setDate(new Date().getDate() - 7));
        var dat7 = prependZeroToSingleDigitDate(last7Days.getDate());
        var mon7 = prependZeroToSingleDigitDate(last7Days.getMonth() + 1);
        var year7 = last7Days.getFullYear();
        date7Days = year7 + "-" + mon7 + "-" + dat7;

        //Last 15 Days Date
        var last15Days = new Date(new Date().setDate(new Date().getDate() - 15));
        var dat15 = prependZeroToSingleDigitDate(last15Days.getDate());
        var mon15 = prependZeroToSingleDigitDate(last15Days.getMonth() + 1);
        var year15 = last15Days.getFullYear();
        date15Days = year15 + "-" + mon15 + "-" + dat15;

        //Last 30 Days Date
        var last30Days = new Date(new Date().setDate(new Date().getDate() - 30));
        var dat30 = prependZeroToSingleDigitDate(last30Days.getDate());
        var mon30 = prependZeroToSingleDigitDate(last30Days.getMonth() + 1);
        var year30 = last30Days.getFullYear();
        date30Days = year30 + "-" + mon30 + "-" + dat30;

    }
    catch (ex) {
        showAlert("error", Messages.catchError);
        return;
    }
}

$(document).on('click', '#TSLeadFilter_Submit', function () {
    // alert("Lead details clicked");
    var userName = loginObj.userName;
    dateValidation();

    if ($("#First_Leads_Days_Select").find(":selected").text() == "Last 7 Days") {
        LeadToDate = date7Days;
    }
    else if ($("#First_Leads_Days_Select").find(":selected").text() == "Last 15 Days") {
        LeadToDate = date15Days;
    }
    else if ($("#First_Leads_Days_Select").find(":selected").text() == "Last One Month") {
        LeadToDate = date30Days;
    }

    LeadAccountInformation.creationDate = LeadToDate + " TO " + todayDate;
    leadAccountInfoObj = new LeadAccountInformation();
    var parameters = [userName, LeadAccountInformation.creationDate];
    leadAccountInfoObj.getLastsevenDaysLead(configObj.adapter.HttpLeadSquaredAdapter, configObj.procedure.getLeadInformation, parameters, configObj.modules.LeadInfo);
    CommonFunctions.changePage("#TSLead");
});

LeadAccountInformation.prototype.getLastsevenDaysLead = function (adapterName, procedureName, parameters) {
    serviceObj.callAdapter(adapterName, procedureName, parameters, configObj.modules.LeadInfo);
};
LeadAccountInformation.prototype.getLastsevenDaysLeadSuccess = function (res) {
    leadAccount.allLeads = res;
    console.log(res);

    CommonFunctions.changePage("#TSLeadInfo");
    $("#reasonList").selectmenu();
    $("#reasonList").selectmenu("refresh");

    // Clearing Previous Data
    if (document.getElementById("leadsList").hasChildNodes())
        document.getElementById("leadsList").innerHTML = "";

    // var sortedDate = leadAccount.allLeads;
    //   
    //datewise sorting 
    // var i, j, temp;
    // for (i = 0; i < res.leads.length; i++) {
    //     for (j = 0; j < res.leads.length - i - 1; j++) {
    //         if (sortedDate.leads[j].LeadPropertyList[6].Value < sortedDate.leads[j + 1].LeadPropertyList[6].Value) {
    //             // swap the elements
    //             temp = sortedDate.leads[j];
    //             sortedDate.leads[j] = sortedDate.leads[j + 1];
    //             sortedDate.leads[j + 1] = temp;
    //         }
    //     }
    // }

    var liBoxID = "box";
    for (var i = 0; i < res.leads.length; i++) {
        leadAccount.leadName = leadAccount.allLeads.leads[i].LeadPropertyList[1].Value;
        leadAccount.leadNumber = leadAccount.allLeads.leads[i].LeadPropertyList[2].Value;
        leadAccount.leadSecondaryNumber = leadAccount.allLeads.leads[i].LeadPropertyList[3].Value;
        leadAccount.leadPinCode = leadAccount.allLeads.leads[i].LeadPropertyList[4].Value;
        leadAccount.leadLocation = leadAccount.allLeads.leads[i].LeadPropertyList[5].Value;
        leadAccount.leadDate = leadAccount.allLeads.leads[i].LeadPropertyList[6].Value;

        //date split
        var createdDate = (leadAccount.leadDate).split(" ");
        //end

        // var node = document.createElement("UL");
        var s1 = document.createTextNode(leadAccount.leadName);
        if (leadAccount.leadNumber == null)
            var s2 = document.createTextNode("Not Available");
        else
            var s2 = document.createTextNode(leadAccount.leadNumber);
        var s3 = document.createTextNode(leadAccount.leadPinCode);
        var s4 = document.createTextNode(leadAccount.leadLocation);
        var s5 = document.createTextNode(createdDate[0]);
        if (leadAccount.leadSecondaryNumber == null)
            var s6 = document.createTextNode("Not Available");
        else
            var s6 = document.createTextNode(leadAccount.leadSecondaryNumber);

        //append data and labels
        liBoxID = "box" + i;
        var mainList = document.createElement("LI");
        mainList.setAttribute("class", "item");
        mainList.setAttribute("id", liBoxID);

        var mainDiv = document.createElement("DIV");
        mainDiv.setAttribute("class", "inside");

        var nodeName = document.createElement("LI");
        var name = document.createTextNode("Name: ");
        nodeName.appendChild(name);
        nodeName.appendChild(s1);

        var nodeNum = document.createElement("LI");
        var dialer = document.createElement("A");
        var telLink = "tel:" + leadAccount.leadNumber;
        dialer.setAttribute("href", telLink);
        var number = document.createTextNode("Primary Contact Number: ");
        if (userOS != "Android" && userOS != "iOS" || s2.wholeText == "Not Available") {
            nodeNum.appendChild(number);
            nodeNum.appendChild(s2);
        }
        else {
            dialer.appendChild(s2);
            nodeNum.appendChild(number);
            nodeNum.appendChild(dialer);
        }

        var nodeSecNum = document.createElement("LI");
        var dialerSec = document.createElement("A");
        var telSecLink = "tel:" + leadAccount.leadSecondaryNumber;
        dialerSec.setAttribute("href", telSecLink);
        var secondaryNumber = document.createTextNode("Secondary Contact Number: ");
        if (userOS != "Android" && userOS != "iOS" || s6.wholeText == "Not Available") {
            nodeSecNum.appendChild(secondaryNumber);
            nodeSecNum.appendChild(s6);
        }
        else {
            dialerSec.appendChild(s6);
            nodeSecNum.appendChild(secondaryNumber);
            nodeSecNum.appendChild(dialerSec);
        }

        var nodePin = document.createElement("LI");
        var pincode = document.createTextNode("Pin Code: ");
        nodePin.appendChild(pincode);
        nodePin.appendChild(s3);

        var nodeLoc = document.createElement("LI");
        var location = document.createTextNode("Location: ");
        nodeLoc.appendChild(location);
        nodeLoc.appendChild(s4);

        var nodeDate = document.createElement("LI");
        var date = document.createTextNode("Creation Date: ");
        nodeDate.appendChild(date);
        nodeDate.appendChild(s5);
        //end

        //Accept and Reject buttons
        var liBtn = document.createElement("LI");

        var btnbox = document.createElement("DIV");
        btnbox.setAttribute("class", "btnBox");

        var btn = document.createElement("BUTTON");
        btn.innerHTML = "Accept";
        btn.setAttribute("type", "submit");
        btn.setAttribute("class", "acceptButtons button proceed");
        var accBtnID = "accBtnID";
        btn.setAttribute("id", accBtnID + i);

        var btn1 = document.createElement("BUTTON");
        btn1.innerHTML = "Reject";
        btn1.setAttribute("type", "submit");
        btn1.setAttribute("class", "rejectButtons button cancle");
        var rejBtnID = "rejBtnID";
        btn1.setAttribute("id", rejBtnID + i);
        // IdOfClickedButton = rejBtnID + i;
        // finalId = "#" + IdOfClickedButton;
        //end

        btnbox.appendChild(btn);
        btnbox.appendChild(btn1);
        liBtn.appendChild(btnbox);
        //end buttons

        mainDiv.appendChild(nodeName);
        mainDiv.appendChild(nodeNum);
        mainDiv.appendChild(nodeSecNum);
        mainDiv.appendChild(nodePin);
        mainDiv.appendChild(nodeLoc);
        mainDiv.appendChild(nodeDate);
        mainDiv.appendChild(liBtn);


        mainList.appendChild(mainDiv);

        document.getElementById("leadsList").appendChild(mainList);
    }

};

LeadAccountInformation.prototype.getLastsevenDaysLeadFailure = function (res) {

    showAlert("error", res.errorMessage);
};


function createRejectReasonDropDown() {
    //Dropdown for rejection reasons
    
    //Resetting button colours
    $('.acceptButtons').css("background", "#e31b63");
    $('.acceptButtons').css("border", "1px solid #e31b63");
    $('.acceptButtons').css("color", "#fff");

    $('.rejectButtons').css("background", "#fff");
    $('.rejectButtons').css("border", "1px solid #e31b63");
    $('.rejectButtons').css("color", "#e31b63");

    //Removing existing dropdowns everytime a new dropdown is created
    $('.dropDownList').remove();

    var mainLiReject = document.createElement("LI");
    mainLiReject.setAttribute("class", "border-none dropDownList");
    mainLiReject.setAttribute("id", "dropdownListReject");

    var list12 = document.createElement("DIV");
    list12.setAttribute("class", "select-field");

    var reason = document.createElement("SELECT");
    var opt1 = document.createElement("OPTION");
    opt1.innerHTML = "Select a Reason";
    opt1.setAttribute("value", "Select a Reason");
    opt1.setAttribute("text", "Select a Reason");

    var opt2 = document.createElement("OPTION");
    opt2.innerHTML = "Price is High";
    opt2.setAttribute("value", "Price is High");
    opt2.setAttribute("text", "Price is High");

    var opt3 = document.createElement("OPTION");
    opt3.innerHTML = "Package is not suitable";
    opt3.setAttribute("value", "Package is not suitable");
    opt3.setAttribute("text", "Package is not suitable");

    var opt4 = document.createElement("OPTION");
    opt4.innerHTML = "Changed my mind";
    opt4.setAttribute("value", "Changed my mind");
    opt4.setAttribute("text", "Changed my mind");

    // var finalRejBtn = document.createElement("BUTTON");
    // finalRejBtn.setAttribute("class", "button proceed finalReject");
    // btn.setAttribute("id", "finalRejBtnID");

    reason.appendChild(opt1);
    reason.appendChild(opt2);
    reason.appendChild(opt3);
    reason.appendChild(opt4);
    list12.appendChild(reason);
    mainLiReject.appendChild(list12);
    return mainLiReject;
    // mainLi.appendChild(finalRejBtn);
    //end
}


function createAcceptReasonDropDown() {
    //Dropdown for accept reasons

    //Resetting button colours
    $('.acceptButtons').css("background", "#e31b63");
    $('.acceptButtons').css("border", "1px solid #e31b63");
    $('.acceptButtons').css("color", "#fff");

    $('.rejectButtons').css("background", "#fff");
    $('.rejectButtons').css("border", "1px solid #e31b63");
    $('.rejectButtons').css("color", "#e31b63");

    //Removing existing dropdowns everytime a new dropdown is created
    $('.dropDownList').remove();

    var mainLiAccept = document.createElement("LI");
    mainLiAccept.setAttribute("class", "border-none dropDownList");
    mainLiAccept.setAttribute("id", "dropdownListAccept");

    var list12 = document.createElement("DIV");
    list12.setAttribute("class", "select-field");

    var reason = document.createElement("SELECT");
    var opt1 = document.createElement("OPTION");
    opt1.innerHTML = "Select Lead Status";
    opt1.setAttribute("value", "Select Lead Status");
    opt1.setAttribute("text", "Select Lead Status");

    var opt2 = document.createElement("OPTION");
    opt2.innerHTML = "Promised to Pay";
    opt2.setAttribute("value", "Promised to Pay");
    opt2.setAttribute("text", "Promised to Pay");

    var opt3 = document.createElement("OPTION");
    opt3.innerHTML = "Full Payment";
    opt3.setAttribute("value", "Full Payment");
    opt3.setAttribute("text", "Full Payment");

    var opt4 = document.createElement("OPTION");
    opt4.innerHTML = "Partial Advance";
    opt4.setAttribute("value", "Partial Advance");
    opt4.setAttribute("text", "Partial Advance");

    // var finalAccBtn = document.createElement("BUTTON");
    // finalAccBtn.setAttribute("class", "button proceed finalAccept");
    // btn.setAttribute("id", "finalAccBtnID");

    reason.appendChild(opt1);
    reason.appendChild(opt2);
    reason.appendChild(opt3);
    reason.appendChild(opt4);
    list12.appendChild(reason);
    mainLiAccept.appendChild(list12);
    return mainLiAccept;
    // mainLi.appendChild(finalAccBtn);
    //end
}

//reject lead case
LeadAccountInformation.prototype.rejectLead = function (adapterName, procedureName, parameters) {
    serviceObj.callAdapter(adapterName, procedureName, parameters, configObj.modules.rejectCaseOfLead);
};
LeadAccountInformation.prototype.rejectLeadSuccess = function (res) {
    console.log(res);
    showAlert("alert", Messages.leadRejectResponseCaptureSuccess, function (e) {
        e.stopImmediatePropagation();
        $("#TSMyLeadPopup").popup();
        $('#TSMyLeadPopup').popup('close');
        setTimeout(function () {
            CommonFunctions.changePage("#TSMyLead");
            CommonFunctions.resetFields();
        }, 300);
    });
};

LeadAccountInformation.prototype.rejectLeadFailure = function (res) {
    console.log(res);
    showAlert("error", res.errorMessage);
};

//accept lead case
LeadAccountInformation.prototype.acceptLead = function (adapterName, procedureName, parameters) {
    serviceObj.callAdapter(adapterName, procedureName, parameters, configObj.modules.acceptCaseOfLead);
};
LeadAccountInformation.prototype.acceptLeadSuccess = function (res) {
    console.log(res);
    showAlert("alert", Messages.leadApproveResponseCaptureSuccess, function (e) {
        e.stopImmediatePropagation();
        $("#TSMyLeadPopup").popup();
        $('#TSMyLeadPopup').popup('close');
        setTimeout(function () {
            CommonFunctions.changePage("#TSMyLead");
            CommonFunctions.resetFields();
        }, 300);
    });
};

LeadAccountInformation.prototype.acceptLeadFailure = function (res) {
    console.log(res);
    showAlert("error", res.errorMessage);
};

$(document).ready(function () {

    $(document).on('click', '#TSLeadFilter_Cancel', function () {
        CommonFunctions.changePage("#TSMyLead");
        CommonFunctions.resetFields();
    });

    $(document).on('click', '#TSTrackLeadFilter_Cancel', function () {
        CommonFunctions.changePage("#TSMyLead");
        CommonFunctions.resetFields();
    });

    $(document).on('click', '.rejectButtons', function () {
        var curBtnID = this.id;
        var curBoxID = $("#" + curBtnID).parents()[3].id; // Getting id of that box whose "Reject" button is clicked
        var dropDownReject = createRejectReasonDropDown();
        document.getElementById(curBoxID).appendChild(dropDownReject);

        // Changing colour of button on click
        $("#" + this.id).css("background", "#388900");
        $("#" + this.id).css("border", "0");
        $("#" + this.id).css("color", "#fff");

        $("#dropdownListReject").on("change", function () {
            if ($("#dropdownListReject").find(":selected").text() == "Select a Reason") {
                showAlert("alert", Messages.invalidReason);
            } else {
                //parameters
                var i = parseInt($("#dropdownListReject").parents()[0].id.substr(3, $("#dropdownListReject").parents()[0].id.length)); //Extracting the box sequence number
                var userName = loginObj.userName;
                var prospectId = leadAccount.allLeads.leads[i].LeadPropertyList[0].Value;
                var date_today = new Date();
                var dat = prependZeroToSingleDigitDate(date_today.getDate());
                var mon = prependZeroToSingleDigitDate(date_today.getMonth() + 1);
                var year = date_today.getFullYear();
                var hr = prependZeroToSingleDigitDate(date_today.getHours());
                var min = prependZeroToSingleDigitDate(date_today.getMinutes());
                var sec = prependZeroToSingleDigitDate(date_today.getSeconds());
                dateToday = year + "-" + mon + "-" + dat + " " + hr + ":" + min + ":" + sec;
                leadAccount.dropdownList = $("#dropdownListReject").find(":selected").text();

                parameters = [userName, prospectId, dateToday, leadAccount.dropdownList];
                showAlert("confirm", Messages.confirmRejectSelection, function () {
                    leadAccountInfoObj.rejectLead(configObj.adapter.HttpLeadSquaredAdapter, configObj.procedure.leadsRejectCase, parameters, configObj.modules.rejectCaseOfLead);
                });
            }
        });
    });

    $(document).on('click', '.acceptButtons', function () {
        var curBtnID = this.id;
        var curBoxID = $("#" + curBtnID).parents()[3].id // Getting id of that box whose "Accept" button is clicked
        var dropDownAccept = createAcceptReasonDropDown();
        document.getElementById(curBoxID).appendChild(dropDownAccept);

        // Changing colour of button on click
        $("#" + this.id).css("background", "#388900");
        $("#" + this.id).css("border", "0");
        $("#" + this.id).css("color", "#fff");

        $("#dropdownListAccept").on("change", function () {
            if ($("#dropdownListAccept").find(":selected").text() == "Select Lead Status") {
                showAlert("alert", Messages.invalidReason);
            } else {
                //parameters
                var i = parseInt($("#dropdownListAccept").parents()[0].id.substr(3, $("#dropdownListAccept").parents()[0].id.length)); //Extracting the box sequence number
                var userName = loginObj.userName;
                var prospectId = leadAccount.allLeads.leads[i].LeadPropertyList[0].Value;
                var date_today = new Date();
                var dat = prependZeroToSingleDigitDate(date_today.getDate());
                var mon = prependZeroToSingleDigitDate(date_today.getMonth() + 1);
                var year = date_today.getFullYear();
                var hr = prependZeroToSingleDigitDate(date_today.getHours());
                var min = prependZeroToSingleDigitDate(date_today.getMinutes());
                var sec = prependZeroToSingleDigitDate(date_today.getSeconds());
                dateToday = year + "-" + mon + "-" + dat + " " + hr + ":" + min + ":" + sec;
                leadAccount.dropdownList = $("#dropdownListAccept").find(":selected").text();
                parameters = [userName, prospectId, dateToday, leadAccount.dropdownList];
                showAlert("confirm", Messages.confirmApproveSelection, function () {
                    leadAccountInfoObj.acceptLead(configObj.adapter.HttpLeadSquaredAdapter, configObj.procedure.leadsAcceptCase, parameters, configObj.modules.rejectCaseOfLead);
                });
            }
        });
    });
});