var rechargeNotificationObject, rechargeNotificationObj, rechargeNotificationSelf, status = '';
var JSON_DATA = [];
// class declaration
function rechargeNotification() {
	rechargeNotificationObject = this;

};

rechargeNotification.prototype.rechargeNotificationDetails = function(
		adapterName, procedureName, parameters) {
	serviceObj.callAdapter(adapterName, procedureName, parameters,
			configObj.modules.rechargeNotification);
};

rechargeNotification.prototype.TSRechargeNotificationdoRecharge = function(
		adapterName, procedureName, parameters) {
	serviceObj.callAdapter(adapterName, procedureName, parameters,
			configObj.modules.TSRechargeNotificationdoRecharge);
};

rechargeNotification.prototype.getDetails = function(userStatus) {

	var parameters = [ loginSelf.userName, configObj.modeParam.evd, userStatus ];
	rechargeNotificationObj.rechargeNotificationDetails(
			configObj.adapter.dashBoardAdapter, configObj.procedure.getdetails,
			parameters);

};

$(document).on('click', '#TSRechargeNotificationActive', function() {

	rechargeNotificationObj = new rechargeNotification();
	var userStatus = 'ACTIVE';
	status = 'ACTIVE';
	rechargeNotificationObj.getDetails(userStatus);

});

$(document).on('click', '#TSRechargeNotificationDeactive', function() {

	rechargeNotificationObj = new rechargeNotification();
	var userStatus = 'DEACTIVE';
	status = 'DEACTIVE';
	rechargeNotificationObj.getDetails(userStatus);
});

$(document).on('click', '#TSRechargeNotificationMPlusTwo', function() {

	rechargeNotificationObj = new rechargeNotification();
	var userStatus = 'MPLUSTWO';
	status = 'MPLUSTWO';
	rechargeNotificationObj.getDetails(userStatus);
});

$(document).on('click', '#TSRechargeNotificationCancel', function() {
	try {

		CommonFunctions.changePage("#TSLanding");

	} catch (ex) {
		showAlert("error", Messages.catchError);

		return;
	}
});

$(document).on('click', '#TSRechargeNotificationBack', function() {
	try {
		CommonFunctions.changePage("#TSRechargeNotification");
	} catch (ex) {
		showAlert("error", Messages.catchError);

		return;
	}
});

$(document).on('click', '#TSRechargeNotificationCancel1', function() {
	try {
		// $("#rechargeNotification_Div").show();
		CommonFunctions.changePage("#TSRechargeNotification1");
	} catch (ex) {
		showAlert("error", Messages.catchError);

		return;
	}
});

rechargeNotification.prototype.getrechargeNotificationSucess = function(res) {
try{
	$("#rechargeNotification_Div").show();
	if(status == 'ACTIVE'){
		$("#actvImg").show();
		$("#deactvImg").hide();
		$("#mplusto").hide();
	}
	else if(status == 'DEACTIVE'){
		$("#deactvImg").show();
		$("#actvImg").hide();
		$("#mplusto").hide();
	}
	else{
		$("#mplusto").show();
		$("#actvImg").hide();
		$("#deactvImg").hide();
	}
		
	$('#notifList').empty();
	CommonFunctions.changePage("#TSRechargeNotification1");
	JSON_DATA = res.customerList;
	for (var j = 0; j < JSON_DATA.length; j++) {
		// var dateTime = JSON_DATA[j].DEACTIVE_DATE.split(/[TZ-]/);
		var dateTime = JSON_DATA[j].DEACTIVE_DATE.split(/[ -]/); //Fixing Date Format
		var temp = "";
		
		temp = ('<li class="item"><div class="left"><div class="block"><h4>Name</h4><h2>'+JSON_DATA[j].SUBSCRIBERNAME+'</h2></div>'
				+'<div class="block"><h4>RMN</h4><h2>'+JSON_DATA[j].SUBSCRIBERRMN+'</h2></div>'
				+'<div class="block brdrNone"><h4>Amount</h4><h2 class="red"><i class="fa fa-rupee"></i> '+ JSON_DATA[j].PROPOSED_RECHARGE+'</h2></div></div>'
				+'<div class="right"><div class="block"><h4>Subscriber ID</h4><h2>'+JSON_DATA[j].SUBSCRIBERID+'</h2></div>'
				+'<div class="block"><h4>Due Date</h4><h2>'+dateTime[2]+"/"+dateTime[1]+"/"+dateTime[0]+'</h2></div>'
				+'<div class="block brdrNone"><input id="TSRechargeNotificationRecharge" value="RECHARGE" type="submit" subid="'
				+ JSON_DATA[j].SUBSCRIBERID
				+ '" amount="'
				+ JSON_DATA[j].PROPOSED_RECHARGE + '" class="button cancle"></div></div></li>');
		$('#notifList').append(temp);
	}
	} catch (ex) {
		showAlert("error", Messages.catchError);

		return;
	}

};

rechargeNotification.prototype.getrechargeNotificationFailure =  function(res){	
	
	showAlert("error", res.errorMessage);
};

$(document).on('click', '#TSRechargeNotificationRecharge', function() {
	try {

		var subid = $(this).attr('subid');
		var amount = $(this).attr('amount');
		$('#TSRechargeNotificationAmount').empty();
		$('#TSRechargeNotificationSubid').empty();
		CommonFunctions.setModuleLabels("#TSRechargeNotification2");
		CommonFunctions.changePage("#TSRechargeNotification2");
		$('#TSRechargeNotificationSubid').val(subid);
		$("#TSRechargeNotificationAmount").val(amount);
		$("#TSRechargeNotificationAmount").prop("readonly", true);
		$('#TSRechargeNotificationSubid').prop("readonly", true);
		

	} catch (ex) {
		showAlert("error", Messages.catchError);

		return;
	}
});

$(document).on('click', '#TSRechargeNotificationSubmit', function() {

	rechargeNotificationObj.recharge1();

});

rechargeNotification.prototype.recharge1 = function(e) {
	try {

		var rechargeAmount = $('#TSRechargeNotificationAmount').val();
		var subid = $('#TSRechargeNotificationSubid').val();

		if ((subid === "")) {
			showAlert("alert", Messages.eitherValidationMsg);
			return;
		} else if ((subid !== "")) {
			if (subid.length !== 10) {
				showAlert("alert", Messages.subIDValidationMsg);
				return;
			}
		}

		if (rechargeAmount === "") {
			showAlert("alert", Messages.emptyRechargeAmt);
			return;
		}

		$('#subIDRechargeValue').text(subid);
		$('#rechargeAmtValue').text(rechargeAmount);
		CommonFunctions.setModuleLabels("#TSRechargeNotificationConfirmation");
	} catch (ex) {
		showAlert("error", Messages.catchError);
		return;
	}
};

$(document).on(
		'click',
		'#rechargeNotificationConfirm',
		function() {
			subID = $('#TSRechargeNotificationSubid').val();
			rechargeAmount = $('#TSRechargeNotificationAmount').val();
			if ((userOS=="iOS")){
				var parameters = [ loginObj.mobile, subID, '', rechargeAmount, '',
									configObj.modeParam.evd ];
				rechargeNotificationObj.TSRechargeNotificationdoRecharge(
						configObj.adapter.loginAdapter,
						configObj.procedure.recharge, parameters);
				}
			
			if ((userOS=="Android")&&(typeof(cordova) == 'object')){
				var parameters = [ loginObj.mobile, subID, '', rechargeAmount, '',
									configObj.modeParam.evd ];
							rechargeNotificationObj.TSRechargeNotificationdoRecharge(
									configObj.adapter.loginAdapter,
									configObj.procedure.recharge, parameters);
			}
			else{
			var parameters = [ loginObj.mobile, subID, '', rechargeAmount, '',
					configObj.modeParam.dsktp ];
			rechargeNotificationObj.TSRechargeNotificationdoRecharge(
					configObj.adapter.loginAdapter,
					configObj.procedure.recharge, parameters);
			}
		});

$(document).on('click', '#rechargeNotificationConfirmCancel', function() {
	$("#recahrgeNotificationOutputPage").hide();
	$("#rechargeNotificationInputPage,.homeBtnDiv").show();
	$('.headerText').text(selectedLang['rechargeNotification']);
	$('#rechargeSubIDDiv, #rechargeSubMblDiv').removeClass('hideDiv');

});

rechargeNotification.prototype.rechargeSucess = function(res) {

	showAlert("message", res.message, function(e) {
		$("#TSRechargeNotificationPopup").popup();
		$('#TSRechargeNotificationPopup').popup('close');
		setTimeout(function() {
			rechargeNotificationObj.goToInputScreen();
		}, 300);
	});
};

rechargeNotification.prototype.rechargeFailure = function(res) {
	showAlert("error", res.errorMessage, function(e) {
		e.stopImmediatePropagation();
		$("#TSRechargeNotificationPopup").popup();
		$('#TSRechargeNotificationPopup').popup('close');
		setTimeout(function() {
			rechargeNotificationObj.goToInputScreen();
			CommonFunctions.resetFields();
		}, 300);
	});
};

rechargeNotification.prototype.goToInputScreen = function() {
	$(".homeBtnDiv").show();
	CommonFunctions.changePage("#TSRechargeNotification1");
};
$(document).on('click','#TSRechargeNotificationPackCancel', function(){
	CommonFunctions.changePage("#TSRechargeNotification");
});
