//variable declaration
var selftskRefund,tskRefundObj;

//class declaration
function TSKRefund()
{
    selftskRefund=this;	
};
TSKRefund.tskSerialNo = "";


TSKRefund.prototype.validate = function(){
	try
	{
		
		selftskRefund.tskSerialNo=$('#tskSerialNoTSKRefund').val();
		
		
		var regexNumber=/^[0-9]*$/;
		
	    if (regexNumber.test(selftskRefund.tskSerialNo)) {
	    	validNum = true;
				}else {
					showAlert("alert", Messages.invalidCharacters);
			     return false;
					  }
		
	    if(selftskRefund.tskSerialNo === "" )
	    {
	    	
	    	showAlert("alert",Messages.emptyTSKSerialNo);
	    	
	        return;
	    }
	  
	        if(selftskRefund.tskSerialNo.length != 12)
	   {
	            showAlert("alert",Messages.tskSerialNotValid);
	            return;
	    }
	    

	    	
			var parameters = [selftskRefund.tskSerialNo,loginSelf.userName];
//			refreshObj.doRefresh(configObj.adapter.EAIAdapter, configObj.procedure.heavyRefresh, parameters);
            tskRefundObj.doTSKRefund(configObj.adapter.HttpETSKAdapter, configObj.procedure.doTSKRefund, parameters);
	    
	 
	}
	catch(ex){
		showAlert("error", Messages.catchError);
	return;
		}
};
TSKRefund.prototype.doTSKRefund = function(adapterName, procedureName, parameters){
	serviceObj.callAdapter(adapterName, procedureName, parameters, configObj.modules.tskRefund);
};
TSKRefund.prototype.tskRefundSuccess=function(res)
{
	try
	{
	showAlert("message", res.message,function(e){
			e.stopImmediatePropagation();
			$("#TSTSKRefundPopup").popup();
			$('#TSTSKRefundPopup').popup('close');
			setTimeout(function(){
				CommonFunctions.resetFields();	
			},300);
		});
	}
	catch (ex) 
	{
		showAlert("error", Messages.catchError);
		return;
	}
};

TSKRefund.prototype.tskRefundFailure=function(res)
{

	
	showAlert("error", res.errorMessage, function(e){
		e.stopImmediatePropagation();
		$("#TSTSKRefundPopup").popup();
		$('#TSTSKRefundPopup').popup('close');
		setTimeout(function(){
			//CommonFunctions.resetFields();	
		  CommonFunctions.resetFields();
				
		},300);
	});
	
};

$(document).on('click','#tskRefundCancel', function(){
   CommonFunctions.onModuleCancel();
});

//validate data and call soft Refresh web servcie
tskRefundObj = new TSKRefund();
$(document).on('click','#tskRefundSubmit', tskRefundObj.validate);




//validations



$(document).on("keypress","#tskSerialNoTSKRefund", function(e){
	try
	{
		var val = $(this).val();
		if(validationObj.isMaxLenght(e, this.id, configObj.maxLenght.tskserialNoTSKRefundMaxLength))
		{
			validationObj.isNumber(e, val);
		}
	}
	catch (ex) 
	{
		showAlert("error", Messages.catchError);
		return;
	}
});
