// variable declaration
var newDealer, viewDealerObj;

//class declaration
function ViewDealer() {
	newDealer = this;
};

viewDealerObj = new ViewDealer();
var page_id = "";

ViewDealer.prototype.displayNewDealer = function (adapterName, procedureName, parameters) {
	serviceObj.callAdapter(adapterName, procedureName, parameters, configObj.modules.newDealerHistory);
}

ViewDealer.prototype.displayNewDealerSuccess = function (res) {

	console.log(res);
	CommonFunctions.changePage("#TSDistributorList");

	$("#Distributor_List").empty();
	$("#Distributor_List").prepend("<option value='' selected >Select Distributor</option>");

	var distributor = res.viewList;
	for (var i = 0; i < distributor.length; i++) {
		$('#Distributor_List').append($('<option>', {
			value: distributor[i].DIST_CODE + " - " + distributor[i].DIST_NAME,
			text: distributor[i].DIST_CODE + " - " + distributor[i].DIST_NAME
		}));
	}

	$("#Distributor_List").selectmenu();
	$("#Distributor_List").selectmenu("refresh");
};

ViewDealer.prototype.displayNewDealerFailure = function (res) {
	CommonFunctions.changePage("#TSLanding");
	showAlert("error", res.errorMessage);
}



ViewDealer.prototype.newCreatedDealer = function (adapterName, procedureName, parameters) {
	serviceObj.callAdapter(adapterName, procedureName, parameters, configObj.modules.newCreatedDealer);
}

ViewDealer.prototype.newCreatedDealerSuccess = function (res) {
	console.log(res);
	CommonFunctions.changePage("#TSViewDealer");
	var role = loginObj.role;
	var dealerRequestList;
	
	var headerTittle = "<th class='blue' id='inViewTsk999'>Dealer code/Id</th>" + "<th class='blue' id='entered999'>Dealer name</th>" + "<th class='blue' id='entered999'>Outlet type</th>" + "<th class='blue' id='entered999'>Mobile number of Dealer</th>" + "<th class='blue' id='entered999'>Created date</th>" + "<th class='blue' id='entered999'>Pin code</th>" + "<th class='blue' id='entered999'>Distributor code/Id</th>" + "<th class='blue' id='entered999'>Distributor Name</th>" + "<th class='blue' id='entered999'>FOS Mobile Number</th>" + "<th class='blue' id='entered999'>FOS Name</th>" + "<th class='blue' id='entered999'>Created By</th>";
	$('#ListOfNewDealers_div table.ViewDealerTable thead').html(headerTittle);

	if (role == "ASM" || role == "ASI") {
		var list = res.viewFOSList;

		var i, j, temp;
		for (i = 0; i < list.length; i++) {
			for (j = 0; j < list.length - i - 1; j++) {
				if (list[j].CREATED_DATE < list[j + 1].CREATED_DATE) {
					// swap the elements
					temp = list[j];
					list[j] = list[j + 1];
					list[j + 1] = temp;
				}
			}
		}

		for (var i = 0; i < list.length; i++) {
			var DEALER_CODE = list[i].DEALER_CODE;
			var DEALER_NAME = list[i].DEALER_NAME;
			var OUTLET_TYPE = list[i].OUTLET_TYPE;
			var DEALER_MDN = list[i].DEALER_MDN;
			// var STATUS = list[i].STATUS;
			var CREATED_DATE = list[i].CREATED_DATE;
			// var dateTime = REQUEST_DATE.split(/[TZ-]/);
			var PIN_CODE = list[i].PIN_CODE;
			var DISTRIBUTOR_CODE = list[i].DISTRIBUTOR_CODE;
			var DISTRIBUTOR_NAME = list[i].DISTRIBUTOR_NAME;
			var FOS_MDN = list[i].FOS_MDN;
			var FOS_NAME = list[i].FOS_NAME;
			var CREATED_BY = list[i].CREATED_BY;

			var date = CREATED_DATE.split(" ");

			dealerRequestList += "<tr><td>" + DEALER_CODE + "</td><td>" + DEALER_NAME + "</td><td>" + OUTLET_TYPE + "</td><td>" + DEALER_MDN + "</td><<td>" + date[0] + "</td><td>" + PIN_CODE + "</td><td>" + DISTRIBUTOR_CODE + "</td><td>" + DISTRIBUTOR_NAME + "</td><td>" + FOS_MDN + "</td><td>" + FOS_NAME + "</td><td>" + CREATED_BY + "</td></tr>";
			$('#ListOfNewDealers_div table.ViewDealerTable tbody').html(dealerRequestList);
		}
	}
	else if (role == "FOS") {
		var listFOS = res.fosunderDealer;

		var i, j, temp;
		for (i = 0; i < listFOS.length; i++) {
			for (j = 0; j < listFOS.length - i - 1; j++) {
				if (listFOS[j].CREATED_DATE < listFOS[j + 1].CREATED_DATE) {
					// swap the elements
					temp = listFOS[j];
					listFOS[j] = listFOS[j + 1];
					listFOS[j + 1] = temp;
				}
			}
		}

		for (var i = 0; i < listFOS.length; i++) {
			var DEALER_CODE = listFOS[i].DEALER_CODE;
			var DEALER_NAME = listFOS[i].DEALER_NAME;
			var OUTLET_TYPE = listFOS[i].OUTLET_TYPE;
			var DEALER_MDN = listFOS[i].DEALER_MDN;
			// var STATUS = listFOS[i].STATUS;
			var CREATED_DATE = listFOS[i].CREATED_DATE;
			// var dateTime = REQUEST_DATE.split(/[TZ-]/);
			var PIN_CODE = listFOS[i].PIN_CODE;
			var DISTRIBUTOR_CODE = listFOS[i].DISTRIBUTOR_CODE;
			var DISTRIBUTOR_NAME = listFOS[i].DISTRIBUTOR_NAME;
			var FOS_MDN = listFOS[i].FOS_MDN;
			var FOS_NAME = listFOS[i].FOS_NAME;
			var CREATED_BY = listFOS[i].CREATED_BY;

			var date = CREATED_DATE.split(" ");

			dealerRequestList += "<tr><td>" + DEALER_CODE + "</td><td>" + DEALER_NAME + "</td><td>" + OUTLET_TYPE + "</td><td>" + DEALER_MDN + "</td><<td>" + date[0] + "</td><td>" + PIN_CODE + "</td><td>" + DISTRIBUTOR_CODE + "</td><td>" + DISTRIBUTOR_NAME + "</td><td>" + FOS_MDN + "</td><td>" + FOS_NAME + "</td><td>" + CREATED_BY + "</td></tr>";
			$('#ListOfNewDealers_div table.ViewDealerTable tbody').html(dealerRequestList);
		}
	}
}

ViewDealer.prototype.newCreatedDealerFailure = function (res) {
	showAlert("error", res.errorMessage);
}


function functionViewNewDealer() {
	var input, filter, table, tr, td, i;
	input = document.getElementById("DealerSearch");
	filter = input.value.toUpperCase();
	table = document.getElementById("ViewDealerSearch");
	tr = table.getElementsByTagName("tr");
	for (i = 0; i < tr.length; i++) {
		td = tr[i].getElementsByTagName("td")[0];
		var td1 = tr[i].getElementsByTagName("td")[1];
		var td2 = tr[i].getElementsByTagName("td")[2];
		var td3 = tr[i].getElementsByTagName("td")[3];
		var td4 = tr[i].getElementsByTagName("td")[4];
		var td5 = tr[i].getElementsByTagName("td")[5];
		var td6 = tr[i].getElementsByTagName("td")[6];
		var td7 = tr[i].getElementsByTagName("td")[7];
		var td8 = tr[i].getElementsByTagName("td")[8];
		var td9 = tr[i].getElementsByTagName("td")[9];
		var td10 = tr[i].getElementsByTagName("td")[10];
		// var td11 = tr[i].getElementsByTagName("td")[11];

		if (td || td1 || td2 || td3 || td4 || td5 || td6 || td7 || td8 || td9 || td10) {
			if ((td.innerHTML.toUpperCase().indexOf(filter) > -1) || (td1.innerHTML.toUpperCase().indexOf(filter) > -1) || (td2.innerHTML.toUpperCase().indexOf(filter) > -1) || (td3.innerHTML.toUpperCase().indexOf(filter) > -1) || (td4.innerHTML.toUpperCase().indexOf(filter) > -1) || (td5.innerHTML.toUpperCase().indexOf(filter) > -1) || (td6.innerHTML.toUpperCase().indexOf(filter) > -1) || (td7.innerHTML.toUpperCase().indexOf(filter) > -1) || (td8.innerHTML.toUpperCase().indexOf(filter) > -1)) {
				tr[i].style.display = "";
			} else {
				tr[i].style.display = "none";
			}
		}
	}
}


$(document).on('click', '#TSDistributorListFilter_Submit', function () {

	var distriText = $("#Distributor_List").find(":selected").text();
	var userName = loginObj.userName;

	if (distriText == "Select Distributor") {

		showAlert("alert", Messages.selectDistributor);
	} else {

		if (distriText.indexOf('-') !== -1) {
			var distributor = distriText.split(" - ");

			var distriID = distributor[0];
		}
		parameter = [userName, distriID];
		viewDealerObj.newCreatedDealer(configObj.adapter.FosDealerCreation, configObj.procedure.viewFOSListByDist, parameter, configObj.modules.newCreatedDealer);
		// 		CommonFunctions.changePage("#TSViewDealer");
	}
});

$(document).on('click', '#TSDistributorListFilter_Cancel', function () {
	CommonFunctions.changePage("#TSLanding");
});