var loginObj, passwordObj, selfWebService;
/*var setTimeOutVar;*/
// object initialization
configObj = new Configuration();
serviceObj = new webService();
// class declaration
function webService() {
	selfWebService = this;
};

webService.prototype.networkState = "";
webService.prototype.serviceName = "";
webService.prototype.encKeyTest = "";
webService.prototype.ivKeyTest = "";
webService.prototype.checkNetwork = function () {
	try {
		selfWebService.networkState = navigator.connection.type;
		if (selfWebService.networkState === Connection.NONE
			|| selfWebService.networkState === Connection.UNKNOWN
			|| selfWebService.networkState === null) {
			return false;
		} else {
			return true;
		}
	} catch (ex) {
		if (userOS == "Windows" || env === "blackberry") {
			//hideBusy();
		}
		//cordova plugin
		commonObj.hideBusy();
		// if (busyInd.isVisible()) {
		// 	busyInd.hide();
		// }
		;
		showAlert("error", Messages.catchError);
		return;
	}
};

webService.prototype.successHandler = function (res) {
	try {
		if (userOS == "Windows" || env === "blackberry") {
			//hideBusy();
		}
		//cordova plugin
		commonObj.hideBusy();
		// if (busyInd.isVisible()) {
		// 	busyInd.hide();
		// }
		if (res.payload) {
			var encryptResult = res.payload;

			if (configObj.appMode === "GPRS") {
				selfWebService.decryptParams(encryptResult);
			}
		}
	} catch (ex) {
		if (userOS == "Windows" || env === "blackberry") {
			//hideBusy();
		}
		//cordova plugin
		commonObj.hideBusy();
		// if (busyInd.isVisible()) {
		// 	busyInd.hide();
		// }
		showAlert("error", Messages.catchError);
		return;
	}
};

webService.prototype.failHandler = function (res) {
	try {
		if (userOS == "Windows" || env === "blackberry") {
			// hideBusy();
		}
		//cordova plugin
		commonObj.hideBusy();
		// if (busyInd.isVisible()) {
		// 	busyInd.hide();
		// }
		;
		if (res.errorMessage.indexOf("Invalid session") !== -1) {
			showAlert("error", Messages.serverError.sessionError, function (e) {
				GPRSmodeClick = false;
				e.stopImmediatePropagation();
				if (env === "windowsphone8") {
					cordova.exec(
						function (winParam) {
							arrayResults = winParam.data;
							if (arrayResults) {
								dbHelper.deleteUserW(arrayResults[0].ID);
							}
						}, function (error) {
							//	alert("error >>>>>>>>>> "+error);
						},
						"DatabaseOperations", "GetUserListInJson", ["get"]);
				}
				else if (env === "blackberry") {
					var ResultData = sqlite.Sql.executequery("user", "select rowid,* from user", null);
					resultObj = JSON.parse(ResultData);
					if (resultObj.length > 0) {
						dbHelper.deleteUserB(resultObj[0].rowid);
					}
				}
				else if (env === "blackberry10") {
					db = openDatabase('TataSky', '1.0', 'TataSkyDB', 2 * 1024 * 1024);
					db.transaction(function (tx) {
						tx.executeSql('select rowid,* from user', [], function (tx, results) {
							var len = results.rows.length;
							if (len > 0) {
								dbHelper.deleteUserB10();
							}
						});
					});
				}
				else {
					WL.JSONStore.get(dbself.userTable)
						.findAll()
						.then(function (arrayResults) {
							if (arrayResults) {
								dbHelper.deleteUser(arrayResults[0]._id);
							}
						})
						.fail(function (errorObject) {
						});
				}
				//below is to hide supervisor details in footer on session time out for login screen
				$(".supervisor_details").hide();
				CommonFunctions.goToLoginScreen();
			});
		} else {
			switch (selfWebService.serviceName) {
				case "EVDLogin":
					loginObj.authenticateEVDUserFailure(res);
					break;
				case "ADLogin":
					loginObj.authenticateADUserFailure(res);
					break;
				case "ChangePwd":
					passwordObj.doChangePasswordFailure(res);
					break;
				case "ForgotPwd":
					passwordObj.getForgotPasswordFailure(res);
					break;
				case "EVDTransfer":
					evdObj.doEVDTransferFailure(res);
					break;
				case "Recharge":
					rechargeObj.doRechargeFailure(res);
					break;
				case "accountInfo":
					accountInfoObj.getAccountInfoFailure(res);
					break;
				case "activationStatus":
					activationStatusObj.getActivStatusFailure(res);
					break;
				//bcp changes
				case "bcpActivationStatus":
					activationStatusObj.getBCPActivStatusFailure(res);
					break;
				//bcp end
				case "inventory":
					InventoryObj.captureInvDataFailure(res);
					break;
				case "compititor":
					compititorObj.captureCompDataFailure(res);
					break;
				case "accountSetup1":
					accountSetUpObj.validaetTSKFailure(res);
					break;
				case "TSKSec1":
					tskObj.registerSecTSKFailure(res);
					break;
				case "secRegistration":
					tskObj.multiTVRegFailure(res);
					break;
				case "logout":
					commonObj.logoutFailure(res);
					break;
				case "validateSub":
					rechargeObj.validateSubscriberFailure(res);
					break;
				case "accountSetup2":
					accountSetUpObj.accountCreationTSKRegistrationFailure(res);
					break;
				case "accountSetup3":
					accountSetUpObj.pickPackAndWorkOrderCreationPrimaryFailure(res);
					break;
				case "earnMoreModule": //chnage UAT
					rechargeObj.earnMoreServiceFailure(res);
					break;
				//code by shiva
				case "customerBalance": //chnage UAT

					balInfoObj.getBalInfoFailure(res);
					break;
				//end
				//mgm
				case "HeavyRefresh":
					refreshObj.doRefreshFailure(res);
					break;
				case "packageScreen1":
					//shiva
					selfPackageAddScreen1Obj.doPackageScreen1Failure(res);
					break;
				case "packageLandingEligiblePacks":
					//shiva

					packageModifyObj.getEligiblePacksFailure(res);
					break;
				case "packageCompatible":
					//shiva

					packageModifyObj.getpackageCompatibleFailure(res);
					break;
				case "packageConfirm":
					//shiva

					selfPackageAddConfirmScreenObj.doPackageAddConfirmFailure(res);
					break;
				case "addOnPackage":
					accountSetUpObj.doAddOnPackageFailure(res);
					break;
				case "BoxTypeSec":
					tskObj.getBoxTypeFailure(res);
					break;
				case "dashBoard":

					dashBoradObj.getDashBoardDataFailure(res);
					break;
				case "packageDrop":
					selfPackageDropScreen1Obj.doPackageDropEligibleFailure(res);
					break;
				case "packageDropConfirm":
					dropPackageConfirmScreenObj.doPackageDropConfirmFailure(res);
					break;
				case "history":
					//Transaction.prototype.getTransactionDetailsFailure(res);
					//transObject.getTransactionDetailsFailure(res);
					objTrans.getTransactionDetailsFailure(res);
					break;
				case "tataskyURLs":
					linkObj.getTataskyURLsFailure(res);
					break;
				//demo acc atul
				case "demoAcc":
					DemoAccountSetUpObj.getDealerDetailsFailure(res);
					break;
				case "ValidUserDemoAcc":
					DemoAccountSetUpObj.validUserFailure(res);
					break;
				case "demoAccSetup2":
					DemoAccountSetUpObj.demoaccountCreationTSKRegistrationFailure(res);
					break;
				//demo acc atul end
				case "getGeoLocation":
					locationObj.getGeoLocationFailure(res);
					break;
				//failure case AD login
				case "ValidUserGeoLoc":
					//alert("inside ADFail");
					locationObj.validADUserFailure(res);
					break;
				case "geoLocADThenDealer":
					//alert("inside geoLocADthenDealerFail");
					locationObj.getGeoLocDealerDetailsFailure(res);
					break;
				case "ValidUserGeoLoc1":
					//alert("inside ADFail");
					locationObj.validADUserFailure1(res);
					break;
				case "geoLocFOSThenDealer":
					//alert("inside geoLocADthenDealerFail");
					locationObj.getGeoLocDealerDetailsFailure1(res);
					break;
				case "getGeoLocationrecharge":
					rechargeObj.rechargemodulegeolocationFailure(res);
					break;
				case "getGeoLocationaccountinfo":
					accountInfoObj.accountinfomodulegeolocationFailure(res);
					break;
				case "getGeoLocationdashboard":
					dashBoardObj.dashboardmodulegeolocationFailure(res);
					break;
				case "getGeoLocationprimaryaccount":
					accountSetUpObj.PrimaryaccountmodulegeolocationFailure(res);
					break;
				case "getGeoLocationpackageadd":
					selfPackageAddScreen1Obj.packageaddmodulegeolocationFailure(res);
					break;
				case "getGeoLocationpackageaddTrai":
					selfPackageAddScreen1ObjTrai.packageaddmodulegeolocationFailureTrai(res);
					break;
				case "getGeoLocationpackageinformation":
					linkObj.packageinformationmodulegeolocationFailure(res);
					break;
				case "rechargeNotification":

					rechargeNotificationObj.getrechargeNotificationFailure(res);
					break;
				case "TSRechargeNotificationdoRecharge":
					rechargeNotificationObj.rechargeFailure(res);
					break;
				case "dealerstock":

					dealerstockObj.getDealerstockFailure(res);//Tousif
					break;
				//dashboard-mitashree
				case "dashBoardB":
					dashBoradObj.dashBoardBFaliure(res);
					break;
				case "rechargeReversal":
					rechargeReversalObj.rechargeReversalFailure(res);
					break;
				case "rechargeReversalConfirm":

					rechargeReversalObj.rechargeReversalConfirmFailure(res);
					break;
				case "uppOffers":
					tataskyuPPOffersObj.getUPPOffersFailure(res);
					break;
				case "FRworkorderCategory":
					frworkorderObj.getNatureOfReqBoxFailure(res);
					break;
				case "frworkordereModule":
					frworkorderObj.frworkorderValidationFailure(res);
					break;
				case "FRcomplainsend":
					frworkorderObj.frSubmitFailure(res);
					break;

				case "rechargeOffers":
					RechargeOffersObj.getRechOffersFailure(res);
					break;
				case "pendingRegistration":
					accountSetUpObj.retrieveAccountDetailsFailure(res);
					break;
				case "faqlinkURLs":
					linkFAQObj.getFAQURLsFailure(res);
					break;
				case "rechargrConfirmBtn":
					rechargeReversalObj.confirmbtnFailure(res);
					break;
				case "sendOtp":
					packageOfferObj.sendOtpFailure(res);
					break;
				case "sendOtpLDP":
					packageOfferObj.sendOtpLDPFailure(res);
					break;


				case "validateOtpAddPack":
					packageOfferObj.validateOtpAddPackFailure(res);
					break;
				case "validateOtpAddPackLDP":
					packageOfferObj.validateOtpAddPackLDPFailure(res);
					break;

				case "getPackageDetails":
					packageOfferObj.getPackageDetailsFailure(res);
					break;
				/*case "rechargeOffers":
	  	
					rechOffersObject.getRechargeOffersFailure(res);
					break;*/
				case "rchrgOffersRecharge":
					//alert("inside rechargeoffersRecharge Failure");
					packageOfferObj.dorechargeOfferRechargeFailure(res);
					break;
				case "helplineNumbers":
					helplineNumbersObj.fetchHelpLineNumbersFailure(res);
					break;
				case "dealerCodeValidation":
					DemoAccountSetUpObj.dealerCodeValidationFailure(res);
					break;
				case "tskpinValidateDemo":
					DemoAccountSetUpObj.DemoTSKPINValidationFailure(res);
					break;
				case "dealerCodeReValidation":
					DemoAccountSetUpObj.dealerCodeReValidationFailure(res);
					break;
				case "lastFiveRechargeDetails":
					accountInfoObj.fetchLastFiveRechargesOfSubFailure(res);
					break;
				case "TracktheRequest":
					TrackRequestobj.trackingRequestSubmitFailure(res);
					break;
				//deepak
				case "queryWorkOrderMob":
					TrackRequestobj.trackingMobSubmitFailure(res);
					break;
				///deepak
				case "SRcomplainsend":
					//alert("inside rechargeoffersRecharge Success");
					frworkorderObj.frSubmitFailure(res);
					break;
				case "DemoBoxdetails":
					demoBoxDetailsobj.fetchSubIdFailure(res);
					break;
				case "regionalPackCount":

					accountSetUpObj.regionalPackCountFailure(res);
					break;
				case "retrieveDetails":
					transDetailsObj.retriveDetailsFailure(res);
					break;
				//added by karthi POSM

				case "Posmbalancenew":
					purchaseInfoObj.getPosmbalanceFailure(res);
					break;

				case "Posmgetdealerid":
					purchaseInfoObj.getrequestdealeridFailure(res);
					break;

				case "dealerbalancerequestservice":
					purchaseInfoObj.dealerraisearequestFailure(res);
					break;

				case "getdealertrackrequestservice":
					purchaseInfoObj.dealertrackrequestFailure(res);
					break;

				case "fetchdealeridtrackrequestservice":
					purchaseInfoObj.fetchdealeridFailure(res);
					break;

				case "fosgetraiserequestdetailservice":
					purchaseInfoObj.fosgetraiserequestFailure(res);
					break;
				case "getfostrackrequestservice":
					purchaseInfoObj.trackrequestforfosFailure(res);
					break;
				case "getPosmdealeridservice":
					purchaseInfoObj.fosgetdealeridFailure(res);
					break;
				case "fosgetdealeridfortrackrequestservice":
					purchaseInfoObj.fostrackrequestFailure(res);
					break;
				case "distributortrackrequestservice":
					trackObject.distributortrackrequestFailure(res);
					break;
				case "distributortrackrequestdatadetailsservice":
					trackObject.distributortrackrequestdatadetailsFailure(res);
					break;
				case "asmasitrackrequestservice":
					trackObject.asmasitrackrequestFailure(res);
					break;
				case "asmasitrackrequestdetailsservice":
					trackObject.asmasitrackrequestdatadetailsFailure(res);
					break;

				case "fosapproverequestservice":
					purchaseInfoObj.fosapproveFailure(res);
					break;
				case "fosrejectandreasonrequestservice":
					purchaseInfoObj.fosrejectFailure(res);
					break;
				case "getfosrejectionreasonfrompropertyservice":
					purchaseInfoObj.getrejectreasonfrompropertyFailure(res);
					break;
				case "makeMyHdAdapterCall":
					packageOfferObj.makeMyHdAdapterCallFailure(res);
					break;
				case "validateOtpAddPackMakeMyHD":
					packageOfferObj.validateOtpAddPackMakeMyHDFailure(res);
					break;
				case "validateAddPackLDPMultiTv":
					packageOfferObj.validateAddPackLDPMultiTvFailure(res);
					break;

				case "packageScreen1Trai":
					//shiva
					selfPackageAddScreen1ObjTrai.doPackageScreen1FailureTrai(res);
					break;
				case "packageLandingEligiblePacksTrai":
					//shiva

					packageModifyObjTrai.getEligiblePacksFailureTrai(res);
					break;
				case "packageCompatibleTrai":
					//shiva

					packageModifyObjTrai.getpackageCompatibleFailureTrai(res);
					break;
				case "packageConfirmTrai":
					//shiva

					selfPackageAddConfirmScreenObjTrai.doPackageAddConfirmFailureTrai(res);
					break;
				case "addOnPackageTrai":
					accountSetUpObjTrai.doAddOnPackageFailureTrai(res);
					break;
				case "packageDropTrai":
					selfPackageDropScreen1ObjTrai.doPackageDropEligibleFailureTrai(res);
					break;
				case "packageDropConfirmTrai":
					dropPackageConfirmScreenObjTrai.doPackageDropConfirmFailureTrai(res);
					break;
				case "packSelectorGetAccountInfo":
					packSelectorObj.packSelectorgetAccountInfoFailure(res);
					break;

				//added by karthi for trai
				case "accountSetup1trai":
					accountSetUpObj1.validaetTSKFailure(res);
					break;
				case "accountSetup2trai":
					accountSetUpObj1.accountCreationTSKRegistrationFailure(res);
					break;
				//added bykarthi
				case "TSKsSec1":
					accountSetUpObj1.registerSecTSKsFailure(res);
					break;
				case "TSKsSec2":
					accountSetUpObj1.registerSecTSKs2Failure(res);
					break;
				case "TSKsSec3":
					accountSetUpObj1.registerSecTSKs3Failure(res);
					break;
				case "primaryandsecondaryoffercoderetrivelsservice":
					accountSetUpObj1.primarysecondaryoffercoderetrivelFailure(res);
					break;

				//end
				case "accountSetup3trai":
					accountSetUpObj1.pickPackAndWorkOrderCreationPrimaryFailure(res);
					break;
				//added by karthi primarysecondary
				case "accountSetup3primarysecondaryservice":
					accountSetUpObj1.pickPackAndWorkOrderCreationPrimarySecondaryFailure(res);
					break;
				//end
				case "addOnPackagetrai":
					accountSetUpObj1.doAddOnPackageFailure(res);
					break;
				case "getGeoLocationprimaryaccounttrai":
					accountSetUpObj1.PrimaryaccountmodulegeolocationFailure(res);
					break;
				case "pendingRegistrationtrai":
					accountSetUpObj1.retrieveAccountDetailsFailure(res);
					break;
				case "regionalPackCounttrai":
					accountSetUpObj1.regionalPackCountFailure(res);
					break;
				case "doGetRentalPackservice":
					accountSetUpObj1.getRentalPackFailure(res);
					break;
				case "dogetTataskyPackspropertyservice":
					accountSetUpObj1.getTataskyPackspropertyFailure(res);
					break;
				case "dogetBroadCastPackspropertyservice":
					accountSetUpObj1.getBroadCastPackspropertyFailure(res);
					break;
				case "dogetPopularPackspropertyservice":
					accountSetUpObj1.getPopularPackspropertyFailure(res);
					break;
				case "dogetAlacartePackspropertyservice":
					accountSetUpObj1.getAlacartePackspropertyFailure(res);
					break;
				case "dogetTataskyPacksservice":
					accountSetUpObj1.getTataskyPacksFailure(res);
					break;
				case "dogetBroadcastPacksservice":
					accountSetUpObj1.getBroadcastPacksFailure(res);
					break;
				case "dogetPopularPacksservice":
					accountSetUpObj1.getPopularPacksFailure(res);
					break;
				case "dogetAlacartePacksservice":
					accountSetUpObj1.getAlacartePacksFailure(res);
					break;
				//binge
				case "dogetBingePacksservice":
					accountSetUpObj1.getBingePacksFailure(res);
					break;
				case "docheckRentalPackFlagservice":
					accountSetUpObj1.checkRentalPackFlagFailure(res);
					break;
				case "docheckRentalPackFlagPriceservice":
					accountSetUpObj1.checkRentalPackFlagPriceFailure(res);
					break;
				case "getPackagesURLsTraiService":
					accountSetUpObj1.getPackagesURLsTraiFailure(res);
					break;
				case "getPackagesChannelDetailsPopularTrai":
					accountSetUpObj1.getPackagesChannelDetailsPopularTraiFailure(res);
					break;
				case "getPackagesChannelDetailsTataskyTraiService":
					accountSetUpObj1.getPackagesChannelDetailsTataskyTraiFailure(res);
					break;
				case "getPackagesChannelDetailsBroadcastTraiService":
					accountSetUpObj1.getPackagesChannelDetailsBroadcastTraiFailure(res);
					break;
				case "getPackagesChannelDetailsAlacarteTraiService":
					accountSetUpObj1.getPackagesChannelDetailsAlacarteTraiFailure(res);
					break;
				case "getPackagesChannelDetailsSelectedPacksTraiService":
					accountSetUpObj1.getPackagesChannelDetailsSelectedPacksTraiFailure(res);
					break;
				case "validateOtpMigrate":
					packSelectorObj.validateOtpMigrateFailure(res);
					break;
				case "generateOtpMigrate":
					packSelectorObj.generateOtpMigrateFailure(res);
					break;

				//Added by Tousif for CR OCS		
				case "pickPackAndGetslotPrimaryservice":
					accountSetUpObj1.pickpackandgetslotFailure(res);
					break;

				case "confirmslotAndWorkOrderCreationPrimaryservice":
					accountSetUpObj1.confirmslotAndWorkOrderCreationPrimaryFailure(res);
					break;

				case "pickPackAndGetslotSecondaryservice":
					//console.log("failes");
					tskObj.SecPickPackandGetslotFailure(res);
					break;

				//pickPackAndGetslotSecondaryservice
				case "confirmSlotSecondaryandWorkOrderservice":
					//console.log("failes");
					tskObj.secConfirmslotFailure(res);
					break;

				case "frgetslotservice":
					console.log("failedinweb");
					//alert("servicefailure");
					frworkorderObj.frgetslotFailure(res);

					break;

				case "FROcsComplainService":
					console.log("confirmfailure");
					frworkorderObj.frOcsSubmitFailure(res);
					break;

				//Mumbai CR
				case "activationStatusRecharges":
					console.log("activationStatusRecharges failure");
					activationStatusObj.fetchlastFiveRechDetailsActivationStatusFailure(res);
					break;
				case "activationStatusPackageInfo":
					console.log("activationStatusRecharges failure");
					activationStatusObj.fetchPacakgesSelectedFailure(res);
					break;
				case "accountInfoActivationStatus":
					console.log("error calling Account info from activation status");
					activationStatusObj.getAccountInfoFailure(res);
					break;

				case "workOrderOtherDetailsActivationStatus":
					activationStatusObj.workOrderOtherActivationStatusFailure(res);
					break;

				//Mumbai CR ENd
				//end
				case "workOrderDetailsActivationStatus":
					activationStatusObj.workOrderActivationStatusFailure(res);
					break;

				case "activationStatusPackageInfo":
					console.log("activationStatusRecharges failure");
					activationStatusObj.fetchPacakgesSelectedFailure(res);
					break;

				//new create dealer
				case "getFOSInfo":
					dealerInfoObj.getFOSInfoFailure(res);
					break;

				case "createNewDealer":
					console.log("createDealer failure");
					dealerInfoObj.createDealerInfoFailure(res);
					break;

				case "validateNewDealer":
					console.log("validateNewDealer failure");
					dealerInfoObj.validateDealerInfoFailure(res);
					break;
				case "checkTownLocality":
					console.log("checkTownLocality failure");
					dealerInfoObj.localityCheckFailure(res);
					break;
				case "outletType":
					console.log("outletType failure");
					dealerInfoObj.selectOutletTypeFailure(res);
					break;
				case "submitDealerForm":
					dealerInfoObj.submitDealerFormFailure(res);
					break;
				//end create dealer

				//view dealer
				case "newDealerHistory":
					viewDealerObj.displayNewDealerFailure(res);
					break;

				case "newCreatedDealer":
					viewDealerObj.newCreatedDealerFailure(res);
					break;

				case "newCreatedDealerFOS":
					viewDealerObj.newCreatedDealerFOSFailure(res);
					break;
				//end view dealer

				// my lead
				case "LeadInfo":
					leadAccountInfoObj.getLastsevenDaysLeadFailure(res);
					break;

					case "rejectCaseOfLead":
					leadAccountInfoObj.rejectLeadFailure(res);
					break;

					case "acceptCaseOfLead":
					leadAccountInfoObj.acceptLeadFailure(res);
					break;
				// end my lead

				//etsk
				case "validatePinCodeService":

					accountSetupEtskObj.validateETSKPincodeFailure(res);
					break;

				case "doAccountCreationETSKService":
					accountSetupEtskObj.AccountCreationETSKFailure(res);
					break;
				case "dogetPopularPacksetskservice":
					accountSetupEtskObj.getPopularPacksFailure(res);
					break;
				case "dogetTataskyPacksetskservice":
					accountSetupEtskObj.getTataskyPacksFailure(res);
					break;

				case "dogetBroadcastPacksetskservice":
					accountSetupEtskObj.getBroadcastPacksFailure(res);
					break;
				case "dogetAlacartePacksetskservice":
					accountSetupEtskObj.getAlacartePacksFailure(res);
					break;

				case "dogetBingePacksetskservice":
					accountSetupEtskObj.getBingePacksFailure(res);
					break;

				case "docheckRentalPackFlagetskservice":
					accountSetupEtskObj.checkRentalPackFlagFailure(res);
					break;

				case "docheckRentalPackFlagPriceetskservice":
					accountSetupEtskObj.checkRentalPackFlagPriceFailure(res);
					break;

				case "doGetRentlPackETSKservice":
					accountSetupEtskObj.getRentalPackFailure(res);
					break;

				case "doRechargeETSKPickPackConfirmSlotWOrkOrderservice":
					accountSetupEtskObj.RechargeETSKPickPackConfirmSlotWOrkOrderFailure(res);
					break;

				case "etskGetSlot":
					accountSetupEtskObj.doetskGetSlotFailure(res);
					break;

				case "etskGetRepushStatus":
					accountSetupEtskObj.doetskRepushStatusFailure(res);
					break;
				case "etskRepushConfirm":
					accountSetupEtskObj.etskRepushConfirmFailure(res);
					break;
				//tsk refund CR# 26758
				case "tskRefund":
					tskRefundObj.tskRefundFailure(res);
					break;
				case "posmProducts":
					purchaseInfoObj.posmProductFailure(res);
					break;
					
				case "posmTSKRCVRaise":
					purchaseInfoObj.posmTSKRCVRaiseReqFailure(res);
					break;
				case "posmMaterialsProducts":
					purchaseInfoObj.posmMaterialsProductFailure(res);
					break;
				case "posMaterialsRaise":
					purchaseInfoObj.posMaterialsRaiseReqFailure(res);
					break;
				case "posmTSKRCVPOSOrderDetails":
					purchaseInfoObj.getTSKRCVPosmOrderDetailsFailure(res);
					break;
				case "posmTSKRCVPOSAssetDetails":
					purchaseInfoObj.getTSKRCVPosmAssetDetailsFailure(res);
					break;
				case "posmTSKRCVPOSOrderDetailsDistributor":
					purchaseInfoObj.getTSKRCVPosmOrderDetailsDistributorFailure(res);
					break;
				case "posmTSKRCVPOSAssetDetailsDistributor":
					purchaseInfoObj.getTSKRCVPosmAssetDetailsDistributorFailure(res);
					break;
				case "posmTSKRCVPOSOrderDetailsASIASM":
					purchaseInfoObj.getTSKRCVPosmOrderDetailsASIASMFailure(res);
					break;
				case "posmTSKRCVPOSAssetDetailsASIASM":
					purchaseInfoObj.getTSKRCVPosmAssetDetailsASIASMFailure(res);
					break;	
				//posm 2 fos
				case "posmTSKRCVPOSOrderDetailsFOS":
					purchaseInfoObj.getTSKRCVPosmOrderDetailsFOSFailure(res);
					break;
				case "posmTSKRCVPOSAssetDetailsFOS":
					purchaseInfoObj.getTSKRCVPosmAssetDetailsFOSFailure(res);
					break;
					
				//end	
				/**Partner Quote code starts */
				case "priBoxTypePQ":
					accSetupPartnerQuoteObj.priBoxTypePQFailure(res);
					break;
				case "partnerQuoteTSKtype":
					accSetupPartnerQuoteObj.getTskTypeFailure(res);
					break;
				case "partnerQuoteTSKtypeMulti":
					tskObj_PQ.getTskTypeFailure(res);
						break;	
				case "loadBasePackPartnerQuote":
					accSetupPartnerQuoteObj.loadBasePackPartnerQuoteFailure(res);
					break;
						
				case "loadCategoryPacksPartnerQuoteModule":
					accSetupPartnerQuoteObj.loadCategoryPacksPartnerQuoteFailure(res);
					break;

				case "dogetPopularPacksetskservicePQ":
					accSetupPartnerQuoteObj.getPopularPacksFailure(res);
					break;
				case "dogetTataskyPacksetskservicePQ":
					accSetupPartnerQuoteObj.getTataskyPacksFailure(res);
					break;
				case "dogetBroadcastPacksetskservicePQ":
					accSetupPartnerQuoteObj.getBroadcastPacksFailure(res);
					break;
				case "dogetAlacartePacksetskservicePQ":
					accSetupPartnerQuoteObj.getAlacartePacksFailure(res);
					break;
				//otpGenerationPartnerQuoteModule
				case "otpGenerationPartnerQuoteModule":
					accSetupPartnerQuoteObj.otpGenerationPartnerQuoteFailure(res);
					break;
				case "otpValidationPartnerQuoteModule":
					accSetupPartnerQuoteObj.otpValidationPartnerQuoteFailure(res);
					break;
				case "validateRentalPartnerQuoteModule":
					accSetupPartnerQuoteObj.validateRentalPartnerQuoteFailure(res);
					break;
				case "sendSmsPartnerQuoteModule":
					accSetupPartnerQuoteObj.sendSMSPartnerQuoteFailure(res);
					break;
				case "BoxTypeSecPQ":
					tskObj_PQ.getBoxTypeFailure(res);
					break;
				case "TSKSec1PQ":
					tskObj_PQ.registerSecTSKFailure(res);
					break;
					
				//TSKSec1PQFirstCallModule
				case "TSKSec1PQFirstCallModule":
					tskObj_PQ.TSKSec1PQFirstCallFailure(res);
					break;

					//PQ	
				case "secRegistrationPQ":
					tskObj_PQ.multiTVRegFailure(res);
					break;

					//insertRentalPackNewPartnerQuoteModule	
				case "insertRentalPackNewPartnerQuoteModule":
					accSetupPartnerQuoteObj.insertPartnerQuoteFailure(res);
					break;	
					//insertRentalPackNewPartnerQuoteSecInsModule
				case "insertRentalPackNewPartnerQuoteSecInsModule":
					accSetupPartnerQuoteObj.insertPartnerQuoteSecInsFailure(res);
					break;		

				case "insertPartnerQuoteMultiPQMod":
					tskObj_PQ.insertPartnerQuoteMultiPQFailure(res);
					break;

					//PQ	
				case "insertPartnerQuoteSecInsMultiPQMod":
					tskObj_PQ.insertPartnerQuoteSecInsMultiPQFailure(res);
					break;	
				/**Partner Quote code ends */
				default:
					break;
			}
		}
	} catch (ex) {
		if (userOS == "Windows" || env === "blackberry") {
			// hideBusy();
		}
		//cordova plugin
		commonObj.hideBusy();
		// if (busyInd.isVisible()) {
		// 	busyInd.hide();
		// }
		;
		showAlert("error", Messages.catchError);
		return;
	}
};

// adapter success
webService.prototype.success = function (res) {
	try {
		//alert(JSON.stringify(res));
		//alert("Inside success"+res.responseJSON.result.status);
		if (res.responseJSON.result.status) {
			$("#userName").removeClass("ui-disabled");
			$("#password").removeClass("ui-disabled");
			var responseStatus = res.responseJSON.result.status;
			if (responseStatus === "success") {
				selfWebService.successHandler(res.responseJSON.result);
			} else if (responseStatus === "failure") {
				selfWebService.failHandler(res.responseJSON.result);
			}
		}
	} catch (ex) {

		if (userOS == "Windows" || env === "blackberry") {
			//hideBusy();
		}
		//cordova plugin
		commonObj.hideBusy();
		// if (busyInd.isVisible()) {
		// 	busyInd.hide();
		// }
		;
		showAlert("error", Messages.catchError);
		return;
	}
};

// adapter failure - connection failure
webService.prototype.failure = function (res) {
	if (userOS == "Windows" || env === "blackberry") {
		// hideBusy();
	}
	//cordova plugin
	commonObj.hideBusy();
	// if (busyInd.isVisible()) {
	// 	busyInd.hide();
	// }
	;
	$("#userName").removeClass("ui-disabled");
	$("#password").removeClass("ui-disabled");
	showAlert("error", Messages.serverError.internalError);
};

// invoke adapter
webService.prototype.callAdapter = function (adapterName, procedureName, parameters, service) {
		console.log(adapterName, procedureName, parameters, service);
	if (((userOS == "iOS") || (userOS == "Android")) && (typeof (cordova) == 'object')) {
		try {
			/*	clearTimeout(setTimeOutVar);
				setTimeOutVar=setTimeout(function(){
				if(busyInd.isVisible() || $(".loader").is(':visible'))
					{
						hideBusy();
						busyInd.hide();
						showAlert("error", "We are unable to process your request. Please try again.");
					}
				}, 180000);*/
			commonObj = new Common();
			if (commonObj.checkConnection()) {
				if (service === "compititor") {
					if (!configObj.autoSync || submitClick === true) {
						if (userOS == "Windows" || env === "blackberry") {
							//showBusy();
						} else {
							//cordova plugin
							commonObj.showBusy();
							//busyInd.show();
						}
						//					busyInd.show();
					}
				}
				else {
					$('html, body,.ui-content').animate({
						scrollTop: 0
					}, 0);
					//busyInd.show();

					if (userOS == "Windows" || env === "blackberry") {
						//showBusy();
					} else {
						//cordova plugin
						commonObj.showBusy();
						//busyInd.show();
					}
				}
				selfWebService.encryptParams(adapterName, procedureName, parameters, service);
			}
			else {
				if (env === "blackberry") {
					setTimeout(function () {
						showAlert("error", Messages.internetError);
					}, 1000);
				}
				else {
					showAlert("error", Messages.internetError);
				}
				$("#userName").removeClass("ui-disabled");  //   no connection while checking for auto login.
				$("#password").removeClass("ui-disabled");

			}
		}
		catch (ex) {
			if (userOS == "Windows" || env === "blackberry") {
				//hideBusy();
			}
			//cordova plugin
			commonObj.hideBusy();
			// if (busyInd.isVisible()) {
			// 	busyInd.hide();
			// };
			showAlert("error", Messages.catchError);
			$("#userName").removeClass("ui-disabled");  //   no connection while checking for auto login.
			$("#password").removeClass("ui-disabled");
			return;
		}
	}
	else {
		try {
			/*	clearTimeout(setTimeOutVar);
				setTimeOutVar=setTimeout(function(){
				if(busyInd.isVisible() || $(".loader").is(':visible'))
					{
						hideBusy();
						busyInd.hide();
						showAlert("error", "We are unable to process your request. Please try again.");
					}
				}, 180000);*/
			commonObj = new Common();
			//		if(commonObj.checkConnection())mgm
			{
				if (service === "compititor") {
					if (!configObj.autoSync || submitClick === true) {
						if (userOS == "Windows" || env === "blackberry") {
							//showBusy();
						} else {
							//cordova plugin
							commonObj.showBusy();
							//busyInd.show();
						}
						//					busyInd.show();
					}
				} else {
					$('html, body,.ui-content').animate({
						scrollTop: 0
					}, 0);
					//busyInd.show();

					if (userOS == "Windows" || env === "blackberry") {
						//showBusy();
					} else {
						//cordova plugin
						commonObj.showBusy();
						//busyInd.show();
					}
				}
				selfWebService.encryptParams(adapterName, procedureName,
					parameters, service);
			}
			//		else
			//		{
			//			if(env === "blackberry")
			//			{
			//				setTimeout(function(){
			//					showAlert("error", Messages.internetError);
			//				},1000);
			//			}
			//			else
			//			{
			//				showAlert("error", Messages.internetError);
			//			}
			//			$("#userName").removeClass("ui-disabled");  //   no connection while checking for auto login.
			//			$("#password").removeClass("ui-disabled");
			//			
			//		}
		} catch (ex) {
			if (userOS == "Windows" || env === "blackberry") {
				//hideBusy();
			}
			//cordova plugin
			commonObj.hideBusy();
			// if (busyInd.isVisible()) {
			// 	busyInd.hide();
			// }
			;
			showAlert("error", Messages.catchError);
			$("#userName").removeClass("ui-disabled"); //   no connection while checking for auto login.
			$("#password").removeClass("ui-disabled");
			return;
		}
	}
};

webService.prototype.encryptParams = function (adapterName, procedureName, data,
	service) {
	var encParameters = [];
	try {
		selfWebService.serviceName = service;
		if (service === "logout") {
			encParameters = data;
			var invocationData = {
				adapter: adapterName,
				procedure: procedureName,
				parameters: encParameters
			};
			var options = {
				onSuccess: selfWebService.success,
				onFailure: selfWebService.failure
			};
			//WL.Client.addGlobalHeader('Cache-Control', 'no-store, no-cache');
			//WL.Client.invokeProcedure(invocationData, options);
			var resourceRequest = new WLResourceRequest(
				"/adapters/" + adapterName + "/" + procedureName,
				WLResourceRequest.GET, 300000
			);
			resourceRequest.setQueryParameter("params", encParameters);
			resourceRequest.send().then(
				function (response) {
					// success methos of adapter call
					selfWebService.success(response);
					console.log("Adapter call Success: " + response.responseText);
				},
				function (response) {
					//failure of adapter call
					selfWebService.failure(response);
					console.log("Adapter call Failure: " + JSON.stringify(response));
				}
			);
		} else {

			if (userOS == "iOS") {

				data = [JSON.stringify(data)];
			} else {
				data = JSON.stringify(data);

			}
			var key = CryptoJS.enc.Utf8.parse(selfWebService.encKeyTest);
			var iv = CryptoJS.enc.Utf8.parse(selfWebService.ivKeyTest);




			var encrypted = CryptoJS.AES.encrypt(
				CryptoJS.enc.Utf8.parse(data), key,
				{
					keySize: 256 / 8,
					iv: iv,
					mode: CryptoJS.mode.CBC,
					padding: CryptoJS.pad.Pkcs7
				});

			selfWebService.encryptParamsSuccess(encrypted, adapterName, procedureName);

		}
	}
	catch (ex) {
		if (userOS == "Windows" || env === "blackberry") {
			//hideBusy();
		}
		//cordova plugin
		commonObj.hideBusy();
		//if (busyInd.isVisible()) {
		//	busyInd.hide();
		//}
		;

		showAlert("error", Messages.catchError);
		return;
	}
};
/*webService.prototype.encryptParams = function(adapterName, procedureName, data,
		service) {
	var encParameters = [];
	try {
		selfWebService.serviceName = service;
		if (service === "logout") {
			encParameters = data;
			var invocationData = {
				adapter : adapterName,
				procedure : procedureName,
				parameters : encParameters
			};
			var options = {
				onSuccess : selfWebService.success,
				onFailure : selfWebService.failure
			};
			WL.Client.addGlobalHeader('Cache-Control', 'no-store, no-cache');
			WL.Client.invokeProcedure(invocationData, options);
		} else {

			if (userOS == "iOS") {
                
				data =[JSON.stringify(data)];
			} else {
                data = JSON.stringify(data);

			}
            var key = CryptoJS.enc.Utf8.parse('tataskysaleandpa');
            var iv = CryptoJS.enc.Utf8.parse('1234567890abcdef');
            
            var encrypted = CryptoJS.AES.encrypt(
                            CryptoJS.enc.Utf8.parse(data), key,
                            {
                                    keySize : 128 / 8,
                                    iv : iv,
                                    mode : CryptoJS.mode.CBC,
                                    padding : CryptoJS.pad.Pkcs7
                            });
            
            selfWebService.encryptParamsSuccess(encrypted, adapterName,procedureName);
            
		}
	} catch (ex) {
		if (userOS == "Windows" || env === "blackberry") {
			hideBusy();
		}
		if (busyInd.isVisible()) {
			busyInd.hide();
		}
		;
		
		showAlert("error", Messages.catchError);
		return;
	}
};*/
webService.prototype.encryptParamsFailure = function (error) {
};

webService.prototype.encryptParamsSuccess = function (winParam, adapterName,
	procedureName) {

	var encParameters = [];

	winParam = winParam.toString();

	var timeoutVal = 600000;
//	alert("bfr selfWebservice switch case");
	switch (selfWebService.serviceName) {



		case "EVDLogin": {
		//	alert("inside EVDLogin switch case");
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			//encParameters.push(winParam);
			/*	encParameters[0] = temp"2vybV6xBMcHisg6la3N4RBRfHh9ELobk7GYIwbJY0LFR9KNeqhVAnTaag9xqVQD5";*/
			/*encParameters[1] = "null";*/
			/*encParameters[1] = "new";*/
			encParameters[1] = "phase3";
			encParameters[2] = "null";
			break;
		}
		case "ADLogin": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "phase3";
			encParameters[2] = "null";
			break;
		}
		case "ChangePwd": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			encParameters[3] = "null";
			encParameters[4] = "null";
			break;
		}
		case "ForgotPwd": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			break;
		}
		case "EVDTransfer": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			encParameters[3] = "null";
			break;
		}
		case "Recharge": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			encParameters[3] = "null";
			encParameters[4] = "null";
			encParameters[5] = "null";
			break;
		}
		case "accountInfo": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			/*encParameters[1] = "null";*/
			encParameters[1] = "new";
			//encParameters[2] = "null";
			//digicard
			encParameters[2] = selfAccount.subDigiCardNo;
			break;
		}
		case "activationStatus": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}
		//bcp changes
		case "bcpActivationStatus": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}
		//bcp end
		case "inventory": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			encParameters[3] = "null";
			encParameters[4] = "null";
			encParameters[5] = "null";
			break;
		}
		case "compititor": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			encParameters[3] = "null";
			encParameters[4] = "null";
			encParameters[5] = "null";
			encParameters[6] = "null";
			encParameters[7] = "null";
			encParameters[8] = "null";
			break;
		}
		case "accountSetup1": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			/*encParameters[2] = "null";*/
			encParameters[2] = "new";
			break;
		}
		case "TSKSec1": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			encParameters[3] = "null";
			//code edited by shiva for source
			encParameters[4] = "MOBDESKTOP";
			//end
			break;
		}
		case "secRegistration": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			encParameters[3] = "null";
			encParameters[4] = "null";
			encParameters[5] = "null";
			encParameters[6] = "null";
			break;
		}
		case "validateSub": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}
		case "accountSetup3": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			/*	encParameters[1] = "null";*/
			encParameters[1] = "new";
			encParameters[2] = "null";
			encParameters[3] = "null";
			encParameters[4] = "null";
			encParameters[5] = "null";
			encParameters[6] = "null";
			encParameters[7] = "null";
			encParameters[8] = "null";
			encParameters[9] = "null";
			encParameters[10] = "null";
			break;
		}
		case "accountSetup2": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			/*encParameters[1] = "null";*/
			encParameters[1] = "new";
			encParameters[2] = "null";
			encParameters[3] = "null";
			encParameters[4] = "null";
			encParameters[5] = "null";
			encParameters[6] = "null";
			encParameters[7] = "null";
			encParameters[8] = "null";
			encParameters[9] = "null";
			encParameters[10] = "null";
			encParameters[11] = "null";
			encParameters[12] = "null";
			encParameters[13] = "null";
			encParameters[14] = "null";
			encParameters[15] = "null";
			//encParameters[14] = "null";
			//code edited by shiva for source and email
			encParameters[16] = screenTwoSelf.emailAddress;
			encParameters[17] = "MOBDESKTOP";
			//end
			break;
		}
		case "earnMoreModule": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			/*	encParameters[1] = "null";*/
			encParameters[1] = "new";
			encParameters[2] = "null";
			break;
		}
		//code by shiva
		case "customerBalance": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			encParameters[3] = "null";
			encParameters[4] = "null";
			break;
		}
		//end
		//mgm
		case "HeavyRefresh": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;

		}
		//by shiva
		case "packageScreen1": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			/*encParameters[1] = "null";
			encParameters[2] = "null";*/
			break;

		}
		//package landing
		case "packageLandingEligiblePacks": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			//encParameters[1] = "null";
			//encParameters[2] = "null";
			break;

		}
		case "packageCompatible": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			//encParameters[1] = "null";
			//encParameters[2] = "null";
			break;

		}

		case "packageConfirm": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			//encParameters[1] = "null";
			//encParameters[2] = "null";
			break;

		}
		case "addOnPackage": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			break;

		}
		case "BoxTypeSec": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			break;

		}
		case "dashBoard": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			break;

		}
		case "packageDrop": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			/*encParameters[1] ="null";
			encParameters[2] ="null";*/
			break;
		}
		case "packageDropConfirm": {

			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			/*encParameters[1] ="null";
			encParameters[2] ="null";*/
			break;
		}
		case "history": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			/*encParameters[1] = null;
			encParameters[2] = null;*/
			break;
		}
		case "tataskyURLs": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "true";
			break;

		}
		//Demo Acc Atul
		case "demoAcc": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			break;

		}

		case "ValidUserDemoAcc": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			break;

		}

		case "demoAccSetup2": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			encParameters[3] = "null";
			encParameters[4] = "null";
			encParameters[5] = "null";
			encParameters[6] = "null";
			encParameters[7] = "null";
			encParameters[8] = "null";
			encParameters[9] = "null";
			encParameters[10] = "null";
			encParameters[11] = "null";
			encParameters[12] = "null";
			encParameters[13] = "null";
			encParameters[14] = "null";
			encParameters[15] = "null";
			encParameters[16] = "null";
			encParameters[17] = "null";
			encParameters[18] = "null";
			encParameters[19] = "null";
			encParameters[20] = "null";
			encParameters[21] = "null";
			encParameters[22] = "null";
			encParameters[23] = "null";
			break;
		}
		//Demo Acc Atul end
		case "getGeoLocation": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			encParameters[3] = "null";
			encParameters[4] = "null";
			encParameters[5] = "null";
			break;
		}

		case "ValidUserGeoLoc": {
			//alert("inside ValidUserGeoLoc params");
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			encParameters[3] = "null";
			encParameters[4] = "null";
			break;
		}

		case "geoLocADThenDealer": {
			//alert("inside geoLocADThenDealer");
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			break;

		}
		case "ValidUserGeoLoc1": {
			//alert("inside ValidUserGeoLoc params");
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			encParameters[3] = "null";
			encParameters[4] = "null";
			break;
		}
		case "geoLocFOSThenDealer": {
			//alert("inside geoLocADThenDealer");
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			break;

		}
		case "getGeoLocationrecharge": {

			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			//encParameters[1] ="null";
			break;

		}
		case "getGeoLocationaccountinfo": {

			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			//encParameters[1] ="null";
			break;

		}
		case "getGeoLocationdashboard": {

			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			//encParameters[1] ="null";
			break;
		}
		case "getGeoLocationprimaryaccount": {

			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			//encParameters[1] ="null";
			break;

		}
		case "getGeoLocationpackageadd": {

			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			//encParameters[1] ="null";
			break;

		}
		case "getGeoLocationpackageaddTrai": {

			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			//encParameters[1] ="null";
			break;

		}
		case "getGeoLocationpackageinformation": {

			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			//encParameters[1] ="null";
			break;

		}
		case "rechargeNotification": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			break;
		}
		case "TSRechargeNotificationdoRecharge": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			encParameters[3] = "null";
			encParameters[4] = "null";
			encParameters[5] = "null";
			break;
		}
		case "dealerstock":
			{
				encParameters = [];
				encParameters[0] = winParam;
				encParameters[0] = encParameters[0] + ":" + selfWebService.id;
				break;

			}

		//dashboard- mitashree
		case "dashBoardB": {

			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			break;

		}

		case "rechargeReversal": {

			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			break;
		}
		case "rechargeReversalConfirm": {

			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			encParameters[3] = "null";

			break;
		}
		case "uppOffers": {

			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;

			break;
		}
		case "FRworkorderCategory": {

			encParameters = [];
			encParameters[0] = winParam;
			/*encParameters[0] = encParameters[0] + ":" + selfWebService.id;*/

			encParameters[0] = selfWebService.id;

			break;
		}

		case "frworkordereModule": {

			/*	encParameters =[];
				encParameters[0] = winParam;
				encParameters[1] = "null";*/
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			/*encParameters[1] = "null";*/
			//encParameters[2] = "null";
			encParameters[1] = "new";
			encParameters[2] = "";
			break;

			break;
		}
		case "FRcomplainsend": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			encParameters[3] = "null";
			encParameters[4] = "null";
			encParameters[5] = "null";
			encParameters[6] = "null";
			encParameters[7] = "null";

			break;
		}
		case "rechargeOffers": {

			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			encParameters[3] = "null";

			break;
		}

		case "pendingRegistration": {

			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";

			break;
		}
		case "faqlinkURLs": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			break;
		}
		case "rechargrConfirmBtn": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			/*encParameters[1] = "null";*/
			encParameters[1] = "new";
			encParameters[2] = "";
			break;
		}

		case "rchrgOffersRecharge":
			{
				encParameters = [];
				encParameters[0] = winParam;
				encParameters[0] = encParameters[0] + ":" + selfWebService.id;
				encParameters[1] = "null";
				encParameters[2] = "null";
				encParameters[3] = "null";
				encParameters[4] = "null";
				encParameters[5] = "null";
				break;
			}
		case "sendOtp": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			break;

		}
		case "sendOtpLDP": {

			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;

			break;

		}
		case "validateOtpAddPack": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = dropList;
			break;

		}

		case "validateOtpAddPackLDP": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = dropList;
			break;

		}

		case "getPackageDetails": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			break;

		}



		//mitashree - target offers
		case "targetOffers": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}
		//Dealerstock by Tousif 

		//below is helpline nos
		case "helplineNumbers": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			break;
		}
		case "dealerCodeValidation": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}
		case "tskpinValidateDemo": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			encParameters[3] = "null";
			encParameters[4] = "null";
			break;
		}
		case "dealerCodeReValidation": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";

			break;
		}
		case "lastFiveRechargeDetails": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			break;

		}
		case "TracktheRequest": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			break;
		}
		//deepak
		case "queryWorkOrderMob": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			break;
		}
		///deepak
		case "SRcomplainsend": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			encParameters[3] = "null";
			encParameters[4] = "null";
			encParameters[5] = "null";
			encParameters[6] = "null";
			break;
		}

		case "DemoBoxdetails": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			encParameters[3] = "null";
			break;
		}
		case "regionalPackCount": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}
		case "retrieveDetails": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			/*encParameters[1] ="null";
			encParameters[2] ="null";*/
			break;
		}
		//added by karthi POSM
		case "Posmbalancenew":
			{
				encParameters = [];
				encParameters[0] = winParam;
				encParameters[0] = encParameters[0] + ":" + selfWebService.id;
				encParameters[1] = "null";
				encParameters[2] = "null";
				encParameters[3] = "null";
				encParameters[4] = "null";
				encParameters[5] = "null";
				encParameters[6] = "null";
				encParameters[7] = "null";
				encParameters[8] = "null";
				break;
			}

		case "Posmgetdealerid":
			{
				encParameters = [];
				encParameters[0] = winParam;
				encParameters[0] = encParameters[0] + ":" + selfWebService.id;
				encParameters[1] = "null";
				encParameters[2] = "null";
				encParameters[3] = "null";

				break;
			}

		case "dealerbalancerequestservice":
			{
				encParameters = [];
				encParameters[0] = winParam;
				encParameters[0] = encParameters[0] + ":" + selfWebService.id;
				encParameters[1] = "null";
				encParameters[2] = "null";
				encParameters[3] = "null";

				break;
			}

		case "getdealertrackrequestservice":
			{
				encParameters = [];
				encParameters[0] = winParam;
				encParameters[0] = encParameters[0] + ":" + selfWebService.id;
				encParameters[1] = "null";
				encParameters[2] = "null";
				encParameters[3] = "null";
				break;
			}

		case "fetchdealeridtrackrequestservice":
			{
				encParameters = [];
				encParameters[0] = winParam;
				encParameters[0] = encParameters[0] + ":" + selfWebService.id;
				encParameters[1] = "null";
				encParameters[2] = "null";
				encParameters[3] = "null";
				break;
			}

		case "fosgetraiserequestdetailservice":
			{
				encParameters = [];
				encParameters[0] = winParam;
				encParameters[0] = encParameters[0] + ":" + selfWebService.id;
				encParameters[1] = "null";
				encParameters[2] = "null";
				encParameters[3] = "null";
				break;
			}

		case "getfostrackrequestservice":
			{
				encParameters = [];
				encParameters[0] = winParam;
				encParameters[0] = encParameters[0] + ":" + selfWebService.id;
				encParameters[1] = "null";
				encParameters[2] = "null";
				encParameters[3] = "null";
				break;
			}
		case "getPosmdealeridservice":
			{
				encParameters = [];
				encParameters[0] = winParam;
				encParameters[0] = encParameters[0] + ":" + selfWebService.id;
				encParameters[1] = "null";
				encParameters[2] = "null";
				encParameters[3] = "null";
				break;
			}
		case "fosgetdealeridfortrackrequestservice":
			{
				encParameters = [];
				encParameters[0] = winParam;
				encParameters[0] = encParameters[0] + ":" + selfWebService.id;
				encParameters[1] = "null";
				encParameters[2] = "null";
				encParameters[3] = "null";
				break;
			}
		case "distributortrackrequestservice":
			{
				encParameters = [];
				encParameters[0] = winParam;
				encParameters[0] = encParameters[0] + ":" + selfWebService.id;
				encParameters[1] = "null";
				encParameters[2] = "null";
				encParameters[3] = "null";
				break;
			}
		case "distributortrackrequestdatadetailsservice":
			{
				encParameters = [];
				encParameters[0] = winParam;
				encParameters[0] = encParameters[0] + ":" + selfWebService.id;
				encParameters[1] = "null";
				encParameters[2] = "null";
				encParameters[3] = "null";
				break;
			}
		case "asmasitrackrequestservice":
			{
				encParameters = [];
				encParameters[0] = winParam;
				encParameters[0] = encParameters[0] + ":" + selfWebService.id;
				encParameters[1] = "null";
				encParameters[2] = "null";
				encParameters[3] = "null";
				break;
			}
		case "asmasitrackrequestdetailsservice":
			{
				encParameters = [];
				encParameters[0] = winParam;
				encParameters[0] = encParameters[0] + ":" + selfWebService.id;
				encParameters[1] = "null";
				encParameters[2] = "null";
				encParameters[3] = "null";
				break;
			}

		case "fosapproverequestservice":
			{
				encParameters = [];
				encParameters[0] = winParam;
				encParameters[0] = encParameters[0] + ":" + selfWebService.id;
				encParameters[1] = "null";
				encParameters[2] = "null";
				encParameters[3] = "null";
				break;
			}
		case "fosrejectandreasonrequestservice":
			{
				encParameters = [];
				encParameters[0] = winParam;
				encParameters[0] = encParameters[0] + ":" + selfWebService.id;
				encParameters[1] = "null";
				encParameters[2] = "null";
				encParameters[3] = "null";
				break;
			}
		case "getfosrejectionreasonfrompropertyservice":
			{
				encParameters = [];
				encParameters[0] = winParam;
				encParameters[0] = encParameters[0] + ":" + selfWebService.id;
				encParameters[1] = "null";
				encParameters[2] = "null";
				encParameters[3] = "null";
				break;
			}
		case "makeMyHdAdapterCall":
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			break;

		case "validateOtpAddPackMakeMyHD":
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			break;

		case "validateAddPackLDPMultiTv":
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			break;

		//by shiva
		case "packageScreen1Trai": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			/*encParameters[1] = "null";
			encParameters[2] = "null";*/
			break;

		}
		//package landing
		case "packageLandingEligiblePacksTrai": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			//encParameters[1] = "null";
			//encParameters[2] = "null";
			break;

		}
		case "packageCompatibleTrai": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			//encParameters[1] = "null";
			//encParameters[2] = "null";
			break;

		}

		case "packageConfirmTrai": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			//encParameters[1] = "null";
			//encParameters[2] = "null";
			break;

		}
		case "addOnPackageTrai": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			break;

		}

		case "packageDropTrai": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			/*encParameters[1] ="null";
			encParameters[2] ="null";*/
			break;
		}
		case "packageDropConfirmTrai": {

			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			/*encParameters[1] ="null";
			encParameters[2] ="null";*/
			break;
		}
		case "packSelectorGetAccountInfo": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			break;
		}
		//added by karthi for trai
		case "accountSetup1trai": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			/*encParameters[2] = "null";*/
			encParameters[2] = "new";
			break;
		}
		case "accountSetup2trai": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			/*encParameters[1] = "null";*/
			encParameters[1] = "new";
			encParameters[2] = "null";
			encParameters[3] = "null";
			encParameters[4] = "null";
			encParameters[5] = "null";
			encParameters[6] = "null";
			encParameters[7] = "null";
			encParameters[8] = "null";
			encParameters[9] = "null";
			encParameters[10] = "null";
			encParameters[11] = "null";
			encParameters[12] = "null";
			encParameters[13] = "null";
			encParameters[14] = "null";
			encParameters[15] = "null";
			//encParameters[14] = "null";
			//code edited by shiva for source and email
			encParameters[16] = screenTwoSelf1.emailAddress;
			encParameters[17] = "MOBDESKTOP";
			//end
			break;
		}
		//added by karthi
		case "TSKsSec1": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			/*encParameters[1] = "null";*/
			encParameters[1] = "new";
			encParameters[2] = "null";
			encParameters[3] = "null";
			encParameters[4] = "null";
			encParameters[5] = "null";
			encParameters[6] = "null";
			encParameters[7] = "null";
			encParameters[8] = "null";
			encParameters[9] = "null";
			encParameters[10] = "null";
			encParameters[11] = "null";
			encParameters[12] = "null";
			encParameters[13] = "null";
			encParameters[14] = "null";
			encParameters[15] = "null";
			//encParameters[14] = "null";
			//code edited by shiva for source and email
			encParameters[16] = screenTwoSelf1.emailAddress;
			encParameters[17] = "MOBDESKTOP";
			//end
			break;
		}

		case "TSKsSec2": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			/*encParameters[1] = "null";*/
			encParameters[1] = "new";
			encParameters[2] = "null";
			encParameters[3] = "null";
			encParameters[4] = "null";
			encParameters[5] = "null";
			encParameters[6] = "null";
			encParameters[7] = "null";
			encParameters[8] = "null";
			encParameters[9] = "null";
			encParameters[10] = "null";
			encParameters[11] = "null";
			encParameters[12] = "null";
			encParameters[13] = "null";
			encParameters[14] = "null";
			encParameters[15] = "null";
			//encParameters[14] = "null";
			//code edited by shiva for source and email
			encParameters[16] = screenTwoSelf1.emailAddress;
			encParameters[17] = "MOBDESKTOP";
			//end
			break;
		}

		case "TSKsSec3": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			/*encParameters[1] = "null";*/
			encParameters[1] = "new";
			encParameters[2] = "null";
			encParameters[3] = "null";
			encParameters[4] = "null";
			encParameters[5] = "null";
			encParameters[6] = "null";
			encParameters[7] = "null";
			encParameters[8] = "null";
			encParameters[9] = "null";
			encParameters[10] = "null";
			encParameters[11] = "null";
			encParameters[12] = "null";
			encParameters[13] = "null";
			encParameters[14] = "null";
			encParameters[15] = "null";
			//encParameters[14] = "null";
			//code edited by shiva for source and email
			encParameters[16] = screenTwoSelf1.emailAddress;
			encParameters[17] = "MOBDESKTOP";
			//end
			break;
		}

		case "primaryandsecondaryoffercoderetrivelsservice": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			/*encParameters[1] = "null";*/
			encParameters[1] = "new";
			encParameters[2] = "null";
			encParameters[3] = "null";
			encParameters[4] = "null";
			encParameters[5] = "null";
			encParameters[6] = "null";
			encParameters[7] = "null";
			encParameters[8] = "null";
			encParameters[9] = "null";
			encParameters[10] = "null";
			encParameters[11] = "null";
			encParameters[12] = "null";
			encParameters[13] = "null";
			encParameters[14] = "null";
			encParameters[15] = "null";
			//encParameters[14] = "null";
			//code edited by shiva for source and email
			encParameters[16] = screenTwoSelf1.emailAddress;
			encParameters[17] = "MOBDESKTOP";
			//end
			break;
		}
		//end
		//added by karthi
		case "accountSetup3primarysecondaryservice": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			/*	encParameters[1] = "null";*/
			encParameters[1] = "null";
			encParameters[2] = "null";
			encParameters[3] = "null";
			encParameters[4] = "null";
			encParameters[5] = "null";
			encParameters[6] = "null";
			encParameters[7] = "null";
			encParameters[8] = "null";
			encParameters[9] = "null";
			encParameters[10] = "null";
			encParameters[11] = "null";
			encParameters[12] = "null";
			encParameters[13] = "null";
			break;
		}

		//end
		case "accountSetup3trai": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			/*	encParameters[1] = "null";*/
			encParameters[1] = "new";
			encParameters[2] = "null";
			encParameters[3] = "null";
			encParameters[4] = "null";
			encParameters[5] = "null";
			encParameters[6] = "null";
			encParameters[7] = "null";
			encParameters[8] = "null";
			encParameters[9] = "null";
			encParameters[10] = "null";
			break;
		}
		case "addOnPackagetrai": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			break;

		}
		case "getGeoLocationprimaryaccounttrai": {

			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			//encParameters[1] ="null";
			break;

		}
		case "pendingRegistrationtrai": {

			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";

			break;
		}
		case "regionalPackCounttrai": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}
		case "doGetRentalPackservice": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			encParameters[3] = "null";
			encParameters[4] = "null";
			encParameters[5] = "null";
			encParameters[6] = "null";
			break;
		}

		case "dogetTataskyPackspropertyservice": {

			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}
		case "dogetBroadCastPackspropertyservice": {

			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}
		case "dogetPopularPackspropertyservice": {

			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}
		case "dogetAlacartePackspropertyservice": {

			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}
		case "dogetTataskyPacksservice": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}
		case "dogetBroadcastPacksservice": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}
		case "dogetPopularPacksservice": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}
		case "dogetAlacartePacksservice": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}
		//binge
		case "dogetBingePacksservice": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}
		case "docheckRentalPackFlagservice": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}
		case "docheckRentalPackFlagPriceservice": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}
		case "getPackagesURLsTraiService": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}
		case "getPackagesChannelDetailsPopularTraiService": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}

		case "getPackagesChannelDetailsTataskyTraiService": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}
		case "getPackagesChannelDetailsBroadcastTraiService": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}
		case "getPackagesChannelDetailsAlacarteTraiService": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}
		case "getPackagesChannelDetailsSelectedPacksTraiService": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}
		case "validateOtpMigrate": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}
		case "generateOtpMigrate": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}
		//Added by Tousif for CR OCS	

		case "pickPackAndGetslotPrimaryservice": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;

			/*encParameters[1] = null;
			encParameters[2] = null;*/
			break;
		}
		case "confirmslotAndWorkOrderCreationPrimaryservice": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			break;
		}
		case "pickPackAndGetslotSecondaryservice": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			break;
		}
		case "confirmSlotSecondaryandWorkOrderservice": {
			//alert("enc");
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			break;
		}
		case "frgetslotservice":
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			break;

		case "FROcsComplainService":
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			break;

		//Mumbai CR
		case "activationStatusRecharges": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			break;

		}
		case "activationStatusPackageInfo": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;

		}
		case "accountInfoActivationStatus": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			/*encParameters[1] = "null";*/
			encParameters[1] = "new";
			//encParameters[2] = "null";
			//digicard
			encParameters[2] = "abc";
			break;
		}


		case "workOrderOtherDetailsActivationStatus": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}

		case "workOrderDetailsActivationStatus": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}
		//new create dealer
		case "getFOSInfo": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}
		case "createNewDealer": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}
		case "validateNewDealer": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}
		case "checkTownLocality": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}
		case "outletType": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}
		case "submitDealerForm": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}

		case "newDealerHistory": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}

		case "newCreatedDealer": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}

		case "newCreatedDealerFOS": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}

		case "LeadInfo": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}

		case "rejectCaseOfLead": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}

		case "acceptCaseOfLead": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}
		//end create dealer mumbai cr

		//Mumbai CR End

		//end
		case "validatePinCodeService":
			{
				encParameters = [];
				encParameters[0] = winParam;
				encParameters[0] = encParameters[0] + ":" + selfWebService.id;
				encParameters[1] = "null";
				/*encParameters[2] = "null";	*/
				encParameters[2] = "new";
				break;
			}


		case "doAccountCreationETSKService": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;

			/*encParameters[1] = "null";*/
			encParameters[1] = "new";
			encParameters[2] = "null";
			encParameters[3] = "null";
			encParameters[4] = "null";
			encParameters[5] = "null";
			encParameters[6] = "null";
			encParameters[7] = "null";
			encParameters[8] = "null";
			encParameters[9] = "null";
			encParameters[10] = "null";
			encParameters[11] = "null";
			encParameters[12] = "null";
			encParameters[13] = "null";
			encParameters[14] = "null";
			encParameters[15] = "null";
			//encParameters[14] = "null";
			//code edited by shiva for source and email
			encParameters[16] = "null";
			encParameters[17] = "null";
			encParameters[18] = "null";
			encParameters[19] = "null";
			//end
			break;
		}

		case "dogetPopularPacksetskservice": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}

		case "dogetTataskyPacksetskservice": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}

		case "dogetBroadcastPacksetskservice": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}

		case "dogetAlacartePacksetskservice": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}

		case "dogetBingePacksetskservice": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}

		case "docheckRentalPackFlagetskservice": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}
		case "docheckRentalPackFlagPriceetskservice": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}
		case "doGetRentlPackETSKservice": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}

		case "doRechargeETSKPickPackConfirmSlotWOrkOrderservice": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			encParameters[3] = "null";
			encParameters[4] = "null";
			encParameters[5] = "null";
			encParameters[6] = "null";
			break;
		}
		case "etskGetSlot": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";

			break;
		}

		case "etskGetRepushStatus": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";

			break;
		}
		case "etskRepushConfirm": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";

			break;
		}
		//end
		//tsk refund CR# 26758
		case "tskRefund": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";

			break;
		}
		case "posmProducts": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";

			break;
		}
		case "posmTSKRCVRaise": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";

			break;
		}
		case "posmMaterialsProducts": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";

			break;
		}
		case "posMaterialsRaise": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";

			break;
		}
		case "posmTSKRCVPOSOrderDetails": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";

			break;
		}

		case "posmTSKRCVPOSAssetDetails": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";

			break;
		}
		case "posmTSKRCVPOSOrderDetailsDistributor": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";

			break;
		}
		case "posmTSKRCVPOSAssetDetailsDistributor": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";

			break;
		}
		case "posmTSKRCVPOSOrderDetailsASIASM": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";

			break;
		}
		case "posmTSKRCVPOSAssetDetailsASIASM": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";

			break;
		}
//posm 2 fos
		case "posmTSKRCVPOSOrderDetailsFOS":
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			break;
		case "posmTSKRCVPOSAssetDetailsFOS":
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			break;
			//posm 2 fos
		case "posmTSKRCVPOSOrderDetailsFOS":
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			break;
		case "posmTSKRCVPOSAssetDetailsFOS":
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			break;


		/**Partner Quote code starts */
		case "partnerQuoteTSKtype": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";

			break;
		}
		case "priBoxTypePQ": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";

			break;
		}			
		//partnerQuoteTSKtypeMulti
		case "partnerQuoteTSKtypeMulti": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";

			break;
		}
		case "loadBasePackPartnerQuote": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";

			break;
		}
		case "loadCategoryPacksPartnerQuoteModule": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";

			break;
		}
		case "dogetPopularPacksetskservicePQ": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}

		case "dogetTataskyPacksetskservicePQ": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}

		case "dogetBroadcastPacksetskservicePQ": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}

		case "dogetAlacartePacksetskservicePQ": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}
		//otpGenerationPartnerQuoteModule otpValidationPartnerQuoteModule validateRentalPartnerQuoteModule

		case "otpGenerationPartnerQuoteModule": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}

		case "otpValidationPartnerQuoteModule": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}
		
		case "sendSmsPartnerQuoteModule": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}
		//TSKSec1PQFirstCallModule
		case "TSKSec1PQFirstCallModule": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}
		case "validateRentalPartnerQuoteModule": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			break;
		}

		//PQ
		case "secRegistrationPQ": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";
			encParameters[2] = "null";
			encParameters[3] = "null";
			encParameters[4] = "null";
			encParameters[5] = "null";
			encParameters[6] = "null";
			break;
		}
		//end

		case "BoxTypeSecPQ": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			break;

		}
		//insertRentalPackNewPartnerQuoteModule
		case "insertRentalPackNewPartnerQuoteModule": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";

			break;
		}
		//insertRentalPackNewPartnerQuoteSecInsModule
		case "insertRentalPackNewPartnerQuoteSecInsModule": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";

			break;
		}
		case "insertPartnerQuoteMultiPQMod": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";

			break;
		}
		case "insertPartnerQuoteSecInsMultiPQMod": {
			encParameters = [];
			encParameters[0] = winParam;
			encParameters[0] = encParameters[0] + ":" + selfWebService.id;
			encParameters[1] = "null";

			break;
		}
		/**Partner Quote code ends */
		default:
			break;
	}

	try {
		var invocationData = {
			adapter: adapterName,
			procedure: procedureName,
			compressResponse: true,
			parameters: encParameters
		};
		var options = {
			onSuccess: selfWebService.success,
			onFailure: selfWebService.failure,
			timeout: timeoutVal
		};

		//WL.Client.addGlobalHeader('Cache-Control', 'no-store, no-cache');
		//alert(JSON.stringify(invocationData));
		//WL.Client.invokeProcedure(invocationData, options);
		//	alert("After service call");
		var resourceRequest = new WLResourceRequest(
			"/adapters/" + adapterName + "/" + procedureName,
			WLResourceRequest.GET, 300000
		);
		resourceRequest.setQueryParameter("params", encParameters);
		resourceRequest.send().then(
			function (response) {
				// success methos of adapter call
				selfWebService.success(response);
				console.log("Adapter call Success: " + response.responseText);
			},
			function (response) {
				//failure of adapter call
				selfWebService.failure(response);
				console.log("Adapter call Failure: " + JSON.stringify(response));
			}
		);
	} catch (e) {
		// TODO: handle exception
		showAlert("error", Messages.catchError);
		return;
	}
};

webService.prototype.decryptParams = function (data) {
	try {



		if (selfWebService.serviceName === "logout") {
			commonObj.logoutSuccess(data);
		} else {
			if (env === "blackberry") {

				var DecodeParams = sample.encrypt.decode(data);
				var results = JSON.parse(DecodeParams.trim());
				selfWebService.decryptParamsSuccess(results);
			} else if (env === "blackberry10") {
				var iv = "31323334353637383930616263646566";
				var aesKey = "74617461736b7973616c65616e647061";
				var params = {
					alg: "aes",
					mode: "cbc",
					key: {
						hex: aesKey
					},
					input: {
						b64: data
					},
					iv: {
						hex: iv
					}
				};
				var result = community.gseCrypto.decrypt(params);
				var results = JSON.parse(pkcs5Verify(result.output.b64).trim());
				selfWebService.decryptParamsSuccess(results);
			} else if (userOS == "Windows" || env === "blackberry") {

				cordova.exec(function (winParam) {
					selfWebService.decryptParamsSuccess(winParam);
				}, function (error) {
					//alert("decryption error >>>>>>>>> "+error);
				}, "CryptographyUtility", "decryption" + "~" + selfWebService.encKeyTest + "~" + selfWebService.ivKeyTest, [data]);
			} else {

				/*cordova.exec(
						function(winParam){
							var result = JSON.parse(winParam);
							selfWebService.decryptParamsSuccess(result);
						},
						function(error)
						{
						},
						"CryptographyUtility", "decryption", [data]);*/

				//mgm decrypt

				//end
				var key = CryptoJS.enc.Utf8.parse(selfWebService.encKeyTest);
				var iv = CryptoJS.enc.Utf8.parse(selfWebService.ivKeyTest);

				var decrypted = CryptoJS.AES.decrypt(data, key, {
					keySize: 128 / 8,
					iv: iv,
					mode: CryptoJS.mode.CBC,
					padding: CryptoJS.pad.Pkcs7
				});
				decrypted = decrypted.toString(CryptoJS.enc.Utf8);

				selfWebService.decryptParamsSuccess(JSON.parse(decrypted));
			}
		}
	} catch (ex) {
		if (userOS == "Windows" || env === "blackberry") {
			//hideBusy();
		}
		//cordova plugin
		commonObj.hideBusy();
		// if (busyInd.isVisible()) {
		// 	busyInd.hide();
		// }
		showAlert("error", Messages.catchError);
		return;
	}
};
webService.prototype.decryptParamsSuccess = function (winParam) {
	var result = winParam;



	switch (selfWebService.serviceName) {
		case "EVDLogin":
			loginObj.authenticateEVDUserSuccess(result);
			break;
		case "ADLogin":
			loginObj.authenticateADUserSuccess(result);
			break;
		case "ChangePwd":
			passwordObj.doChangePasswordSuccess(result);
			break;
		case "ForgotPwd":
			passwordObj.getForgotPasswordSuccess(result);
			break;
		case "EVDTransfer":
			evdObj.doEVDTransferSuccess(result);
			break;
		case "Recharge":
			rechargeObj.doRechargeSuccess(result);
			break;
		case "accountInfo":
			accountInfoObj.getAccountInfoSuccess(result);
			break;
		case "activationStatus":
			activationStatusObj.getActivStatusSuccess(result);
			break;
		//bcp changes
		case "bcpActivationStatus":
			activationStatusObj.getBCPActivStatusSuccess(result);
			break;
		//bcp end
		case "inventory":
			InventoryObj.captureInvDataSuccess(result);
			break;
		case "compititor":
			compititorObj.captureCompDataSuccess(result);
			break;
		case "accountSetup1":
			accountSetUpObj.validaetTSKSuccess(result);
			break;
		case "TSKSec1":
			tskObj.registerSecTSKSuccess(result);
			break;
		case "validateSub":
			rechargeObj.validateSubscriberSuccess(result);
			break;
		case "accountSetup2":
			accountSetUpObj.accountCreationTSKRegistrationSuccess(result);
			break;

		case "accountSetup3":
			accountSetUpObj.pickPackAndWorkOrderCreationPrimarySuccess(result);
			break;

		case "secRegistration":
			tskObj.multiTVRegSuccess(result);
			break;
		case "earnMoreModule": //chnage UAT
			rechargeObj.earnMoreServiceSuccess(result);
			break;
		//code by shiva
		case "customerBalance": //chnage UAT
			balInfoObj.getBalanceSuccess(result);
			break;
		//end
		//mgm
		case "HeavyRefresh":
			refreshObj.doRefreshSuccess(result);
			break;
		//by shiva
		case "packageScreen1":
			selfPackageAddScreen1Obj.doPackageScreen1Success(result);
			break;
		case "packageLandingEligiblePacks":
			packageModifyObj.getEligiblePacksSuccess(result);
			break;
		case "packageCompatible":
			packageModifyObj.getpackageCompatibleSuccess(result);
			break;
		case "packageConfirm":
			selfPackageAddConfirmScreenObj.doPackageAddConfirmSuccess(result);
			break;
		case "addOnPackage":
			accountSetUpObj.doAddOnPackageSuccess(result);
			break;
		case "BoxTypeSec":
			tskObj.getBoxTypeSuccess(result);
			break;
		case "dashBoard":

			dashBoradObj.dashBoardDataSuccess(result);
			break;
		case "packageDrop":
			selfPackageDropScreen1Obj.doPackageDropEligibleSuccess(result);
			break;
		case "packageDropConfirm":

			dropPackageConfirmScreenObj.doPackageDropSuccess(result);
			break;
		case "history":
			if (result.type == "Bonus") {
				Transaction.prototype.getbonusSuccess(result);
			}
			else if (result.type == "Recharge") {
				Transaction.prototype.getTransactionDetailsSuccess(result);
			}

			break;
		case "tataskyURLs":

			linkObj.getTataskyURLsSuccess(result);
			break;

		case "demoAcc":
			DemoAccountSetUpObj.getDealerDetailsSuccess(result);
			break;

		case "ValidUserDemoAcc":
			DemoAccountSetUpObj.validUserSuccess(result);
			break;

		case "demoAccSetup2":
			DemoAccountSetUpObj.demoaccountCreationTSKRegistrationSuccess(result);
			break;
		case "getGeoLocation":
			locationObj.getGeoLocationSuccess(result);
			break;
		// success case for AD
		case "ValidUserGeoLoc":
			//alert("inside ADsuccess");
			locationObj.validADUserSuccess(result);
			break;

		case "geoLocADThenDealer":
			locationObj.getGeoLocDealerDetailsSuccess(result);
			break;

		//added by karthi
		case "ValidUserGeoLoc1":
			//alert("inside ADsuccess");
			locationObj.validADUserSuccess1(result);
			break;

		case "geoLocFOSThenDealer":
			locationObj.getGeoLocDealerDetailsSuccess1(result);
			break;


		case "getGeoLocationrecharge":
			rechargeObj.rechargemodulegeolocationSuccess(result);
			break;

		case "getGeoLocationaccountinfo":
			accountInfoObj.accountinfomodulegeolocationSuccess(result);
			break;

		case "getGeoLocationdashboard":
			dashBoardObj.dashboardmodulegeolocationSuccess(result);
			break;

		case "getGeoLocationprimaryaccount":
			accountSetUpObj.PrimaryaccountmodulegeolocationSuccess(result);
			break;

		case "getGeoLocationpackageadd":
			selfPackageAddScreen1Obj.packageaddmodulegeolocationSuccess(result);
			break;
		case "getGeoLocationpackageaddTrai":
			selfPackageAddScreen1ObjTrai.packageaddmodulegeolocationSuccessTrai(result);
			break;

		case "getGeoLocationpackageinformation":
			linkObj.packageinformationmodulegeolocationSuccess(result);
			break;

		case "rechargeNotification":

			rechargeNotificationObj.getrechargeNotificationSucess(result);
			break;
		case "TSRechargeNotificationdoRecharge":

			rechargeNotificationObj.rechargeSucess(result);
			break;
		case "dealerstock":

			dealerstockObj.dealerstockSuccess(result);  //By Tousif

			break;

		//mitashree- dashboard
		case "dashBoardB":
			dashBoradObj.dashBoardBSuccess(result);
			break;
		case "rechargeReversal":
			rechargeReversalObj.rechargeReversalSuccess(result);
			break;
		case "rechargeReversalConfirm":
			rechargeReversalObj.rechargeReversalConfirmSuccess(result);
			break;
		case "uppOffers":
			tataskyuPPOffersObj.getUPPOffersSuccess(result);
			break;
		case "FRworkorderCategory":
			frworkorderObj.getNatureOfReqBoxSuccess(result);
			break;
		case "frworkordereModule":
			frworkorderObj.frworkorderValidationSuccess(result);
			break;
		case "FRcomplainsend":
			frworkorderObj.frSubmitSuccess(result);
			break;
		case "rechargeOffers":
			RechargeOffersObj.getRechOffersSuccess(result);
			break;
		case "pendingRegistration":
			accountSetUpObj.retrieveAccountDetailsSuccess(result);
			break;
		case "faqlinkURLs":
			linkFAQObj.getFAQURLsSuccess(result);
			break;
		case "rechargrConfirmBtn":
			rechargeReversalObj.confirmbtnSuccess(result);
			break;
		case "sendOtp":
			packageOfferObj.sendOtpSuccess(result);
			break;
		case "sendOtpLDP":
			packageOfferObj.sendOtpLDPSuccess(result);
			break;
		case "validateOtpAddPack":
			packageOfferObj.validateOtpAddPackSuccess(result);
			break;
		case "validateOtpAddPackLDP":
			packageOfferObj.validateAddPackLDPSuccess(result);
			break;
		case "getPackageDetails":
			packageOfferObj.getPackageDetailSuccess(result);
			break;


		/*case "rechargeOffers":
			//alert("inside success web");
			packageOfferObj.getRechargeOffersSuccess(result);
			break;*/
		case "rchrgOffersRecharge":
			//alert("inside rechargeoffersRecharge Success");
			packageOfferObj.dorechargeOfferRechargeSuccess(result);
			break;
		case "helplineNumbers":
			helplineNumbersObj.fetchHelpLineNumbersSuccess(result);
			break;
		case "dealerCodeValidation":
			DemoAccountSetUpObj.dealerCodeValidationSuccess(result);
			break;
		case "tskpinValidateDemo":
			DemoAccountSetUpObj.DemoTSKPINValidationSuccess(result);
			break;
		case "dealerCodeReValidation":
			DemoAccountSetUpObj.dealerCodeReValidationSuccess(result);
			break;
		case "lastFiveRechargeDetails":
			accountInfoObj.fetchLastFiveRechargesOfSubSuccess(result);
			break;
		case "TracktheRequest":
			TrackRequestobj.trackingRequestSubmitSuccess(result);
			break;
		//deepak
		case "queryWorkOrderMob":
			TrackRequestobj.trackingMobSubmitSuccess(result);
			break;
		///deepak
		case "SRcomplainsend":
			//alert("inside rechargeoffersRecharge Success");
			frworkorderObj.frSubmitSuccess(result);
			break;
		case "DemoBoxdetails":
			demoBoxDetailsobj.fetchSubIdSuccess(result);
			break;
		case "regionalPackCount":

			accountSetUpObj.regionalPackCountSuccess(result);
			break;
		case "retrieveDetails":
			transDetailsObj.retriveDetailsSuccess(result);
			break;
		//added by karthi
		case "Posmbalancenew":
			purchaseInfoObj.getPosmbalanceSuccess(result);
			break;

		case "Posmgetdealerid":
			//alert("in success");				
			purchaseInfoObj.getrequestdealeridSuccess(result);
			break;

		case "dealerbalancerequestservice":
			purchaseInfoObj.dealerraisearequestSuccess(result);
			break;

		case "getdealertrackrequestservice":
			trackObject.dealertrackrequestSuccess(result);
			break;

		case "fetchdealeridtrackrequestservice":
			purchaseInfoObj.fetchdealeridSuccess(result);
			break;

		case "fosgetraiserequestdetailservice":
			purchaseInfoObj.fosgetraiserequestSuccess(result);
			break;

		case "getfostrackrequestservice":
			purchaseInfoObj.trackrequestforfosSuccess(result);
			break;
		case "getPosmdealeridservice":
			purchaseInfoObj.fosgetdealeridSuccess(result);
			break;
		case "fosgetdealeridfortrackrequestservice":
			purchaseInfoObj.fostrackrequestSuccess(result);
			break;
		case "distributortrackrequestservice":
			trackObject.distributortrackrequestSuccess(result);
			break;
		case "distributortrackrequestdatadetailsservice":
			trackObject.distributortrackrequestdatadetailsSuccess(result);
			break;
		//end
		case "asmasitrackrequestservice":
			trackObject.asmasitrackrequestSuccess(result);
			break;
		case "asmasitrackrequestdetailsservice":
			trackObject.asmasitrackrequestdatadetailsSuccess(result);
			break;
		case "fosapproverequestservice":
			//alert("fosapproverequestservice");
			purchaseInfoObj.fosapproveSuccess(result);
			break;
		case "fosrejectandreasonrequestservice":
			purchaseInfoObj.fosrejectSuccess(result);
			break;
		case "getfosrejectionreasonfrompropertyservice":
			purchaseInfoObj.getrejectreasonfrompropertySuccess(result);
			break;
		case "makeMyHdAdapterCall":
			packageOfferObj.makeMyHdAdapterCallSuccess(result);
			break;
		case "validateOtpAddPackMakeMyHD":
			packageOfferObj.validateOtpAddPackMakeMyHDSuccess(result);
			break;
		case "validateAddPackLDPMultiTv":
			packageOfferObj.validateAddPackLDPMultiTvSuccess(result);
			break;

		//by shiva
		case "packageScreen1Trai":
			selfPackageAddScreen1ObjTrai.doPackageScreen1SuccessTrai(result);
			break;
		case "packageLandingEligiblePacksTrai":
			packageModifyObjTrai.getEligiblePacksSuccessTrai(result);
			break;
		case "packageCompatibleTrai":
			packageModifyObjTrai.getpackageCompatibleSuccessTrai(result);
			break;
		case "packageConfirmTrai":
			selfPackageAddConfirmScreenObjTrai.doPackageAddConfirmSuccessTrai(result);
			break;
		case "addOnPackageTrai":
			accountSetUpObjTrai.doAddOnPackageSuccessTrai(result);
			break;
		case "packageDropTrai":
			//alert("in success");
			selfPackageDropScreen1ObjTrai.doPackageDropEligibleSuccessTrai(result);
			//dropPackageConfirmScreenObjTrai.doPackageDropEligibleSuccessTrai(result);
			break;
		case "packageDropConfirmTrai":

			dropPackageConfirmScreenObjTrai.doPackageDropSuccessTrai(result);
			break;
		case "packSelectorGetAccountInfo":
			packSelectorObj.packSelectorgetAccountInfoSuccess(result);
			break;
		//added by karthi for trai
		case "accountSetup1trai":
			accountSetUpObj1.validaetTSKSuccess(result);
			break;
		case "accountSetup2trai":
			accountSetUpObj1.accountCreationTSKRegistrationSuccess(result);
			break;
		//added by karthi
		case "TSKsSec1":
			accountSetUpObj1.registerSecTSKsSuccess(result);
			break;
		case "TSKsSec2":
			accountSetUpObj1.registerSecTSKs2Success(result);
			break;
		case "TSKsSec3":
			accountSetUpObj1.registerSecTSKs3Success(result);
			break;
		case "primaryandsecondaryoffercoderetrivelsservice":
			accountSetUpObj1.primarysecondaryoffercoderetrivelSuccess(result);
			break;
		//end
		case "accountSetup3trai":
			accountSetUpObj1.pickPackAndWorkOrderCreationPrimarySuccess(result);
			break;
		//added by karthi
		case "accountSetup3primarysecondaryservice":
			accountSetUpObj1.pickPackAndWorkOrderCreationPrimarySecondarySuccess(result);
			break;
		//end
		case "addOnPackagetrai":
			accountSetUpObj1.doAddOnPackageSuccess(result);
			break;
		case "getGeoLocationprimaryaccounttrai":
			accountSetUpObj1.PrimaryaccountmodulegeolocationSuccess(result);
			break;
		case "pendingRegistrationtrai":
			accountSetUpObj1.retrieveAccountDetailsSuccess(result);
			break;
		case "regionalPackCounttrai":
			accountSetUpObj1.regionalPackCountSuccess(result);
			break;
		case "doGetRentalPackservice":
			accountSetUpObj1.getRentalPackSuccess(result);
			break;
		case "dogetTataskyPackspropertyservice":
			accountSetUpObj1.getTataskyPackspropertySuccess(result);
			break;
		case "dogetBroadCastPackspropertyservice":
			accountSetUpObj1.getBroadCastPackspropertySuccess(result);
			break;
		case "dogetPopularPackspropertyservice":
			accountSetUpObj1.getPopularPackspropertySuccess(result);
			break;
		case "dogetAlacartePackspropertyservice":
			accountSetUpObj1.getAlacartePackspropertySuccess(result);
			break;
		case "dogetTataskyPacksservice":
			accountSetUpObj1.getTataskyPacksSuccess(result);
			break;
		case "dogetBroadcastPacksservice":
			accountSetUpObj1.getBroadcastPacksSuccess(result);
			break;
		case "dogetPopularPacksservice":
			accountSetUpObj1.getPopularPacksSuccess(result);
			break;
		case "dogetAlacartePacksservice":
			accountSetUpObj1.getAlacartePacksSuccess(result);
			break;
		//binge
		case "dogetBingePacksservice":
			accountSetUpObj1.getBingePacksSuccess(result);
			break
		case "docheckRentalPackFlagservice":
			accountSetUpObj1.checkRentalPackFlagSuccess(result);
			break;
		case "docheckRentalPackFlagPriceservice":
			accountSetUpObj1.checkRentalPackFlagPriceSuccess(result);
			break;
		case "getPackagesURLsTraiService":
			accountSetUpObj1.getPackagesURLsTraiSuccess(result);
			break;
		case "getPackagesChannelDetailsPopularTraiService":
			accountSetUpObj1.getPackagesChannelDetailsPopularTraiSuccess(result);
			break;
		case "getPackagesChannelDetailsTataskyTraiService":
			accountSetUpObj1.getPackagesChannelDetailsTataskyTraiSuccess(result);
			break;
		case "getPackagesChannelDetailsBroadcastTraiService":
			accountSetUpObj1.getPackagesChannelDetailsBroadcastTraiSuccess(result);
			break;
		case "getPackagesChannelDetailsAlacarteTraiService":
			accountSetUpObj1.getPackagesChannelDetailsAlacarteTraiSuccess(result);
			break;
		case "getPackagesChannelDetailsSelectedPacksTraiService":
			accountSetUpObj1.getPackagesChannelDetailsSelcetedPacksTraiSuccess(result);
			break;
		case "validateOtpMigrate":

			packSelectorObj.validateOtpMigrateSuccess(result);
			break;
		case "generateOtpMigrate":

			packSelectorObj.generateOtpMigrateSuccess(result);
			break;

		//Added by Tousif for CR OCS
		case "pickPackAndGetslotPrimaryservice":
			accountSetUpObj1.pickpackandgetslotSuccess(result);
			break;

		case "confirmslotAndWorkOrderCreationPrimaryservice":

			accountSetUpObj1.confirmslotAndWorkOrderCreationPrimarySuccess(result);
			break;

		case "pickPackAndGetslotSecondaryservice":
			tskObj.secPickPackandGetslotSuccess(result);

			break;
		case "confirmSlotSecondaryandWorkOrderservice":
			//alert("servicesuc");
			tskObj.confirmSlotandWorkOrderCreationSecondarySuccess(result);
			break;
		case "frgetslotservice":
			//alert("slotsconfirm");
			frworkorderObj.frgetslotSuccess(result);
			break;
		case "FROcsComplainService":
			//alert("serviceconfirm");
			frworkorderObj.frOcsSubmitSuccess(result);
			break;
		//end
		//Mumbai CR
		case "activationStatusRecharges":
			activationStatusObj.fetchlastFiveRechDetailsActivationStatusSuccess(result);
			break;
		case "activationStatusPackageInfo":
			activationStatusObj.fetchPacakgesSelectedSuccess(result);
			break;
		case "accountInfoActivationStatus":
			activationStatusObj.getAccountInfoSuccess(result);
			break;
		case "workOrderOtherDetailsActivationStatus":
			activationStatusObj.workOrderOtherActivationStatusSuccess(result);
			break;
		case "workOrderDetailsActivationStatus":
			activationStatusObj.workOrderActivationStatusSuccess(result);
			break;		
		//Mumbai CR End
		//new create dealer
		case "getFOSInfo":
			dealerInfoObj.getFOSInfoSuccess(result);
			break;
		case "createNewDealer":
			dealerInfoObj.createDealerInfoSuccess(result);
			break;
		case "validateNewDealer":
			dealerInfoObj.validateDealerInfoSuccess(result);
			break;
		case "checkTownLocality":
			dealerInfoObj.localityCheckSuccess(result);
			break;
		case "outletType":
			dealerInfoObj.selectOutletTypeSuccess(result);
			break;
		case "submitDealerForm":
			dealerInfoObj.submitDealerFormSuccess(result);
			break;

		case "newDealerHistory":
			viewDealerObj.displayNewDealerSuccess(result);
			break;

		case "newCreatedDealer":
			viewDealerObj.newCreatedDealerSuccess(result);
			break;

		case "newCreatedDealerFOS":
			viewDealerObj.newCreatedDealerSuccess(result);
			break;
			//new create dealer end

			//lead
		case "LeadInfo":
			leadAccountInfoObj.getLastsevenDaysLeadSuccess(result);
			break;

			case "rejectCaseOfLead":
			leadAccountInfoObj.rejectLeadSuccess(result);
			break;

			case "acceptCaseOfLead":
			leadAccountInfoObj.acceptLeadSuccess(result);
			break;
		//lead end

		case "validatePinCodeService":

			accountSetupEtskObj.validateETSKPincodeSuccess(result);
			break;

		case "doAccountCreationETSKService":

			accountSetupEtskObj.AccountCreationETSKSuccess(result);
			break;

		case "dogetPopularPacksetskservice":

			accountSetupEtskObj.getPopularPacksSuccess(result);
			break;
		case "dogetTataskyPacksetskservice":

			accountSetupEtskObj.getTataskyPacksSuccess(result);
			break;
		case "dogetBroadcastPacksetskservice":

			accountSetupEtskObj.getBroadcastPacksSuccess(result);
			break;

		case "dogetAlacartePacksetskservice":

			accountSetupEtskObj.getAlacartePacksSuccess(result);
			break;
		case "dogetBingePacksetskservice":

			accountSetupEtskObj.getBingePacksSuccess(result);
			break;

		case "docheckRentalPackFlagetskservice":
			accountSetupEtskObj.checkRentalPackFlagSuccess(result);
			break;
		case "docheckRentalPackFlagPriceetskservice":
			accountSetupEtskObj.checkRentalPackFlagPriceSuccess(result);
			break;

		case "doGetRentlPackETSKservice":
			accountSetupEtskObj.getRentalPackSuccess(result);
			break;

		case "doRechargeETSKPickPackConfirmSlotWOrkOrderservice":
			accountSetupEtskObj.RechargeETSKPickPackConfirmSlotWOrkOrderSuccess(result);
			break;


		case "etskGetSlot":
			accountSetupEtskObj.doetskGetSlotSuccess(result);
			break;
		case "etskGetRepushStatus":
			accountSetupEtskObj.doetskRepushStatusSuccess(result);
			break;
		//end

		case "etskRepushConfirm":
			accountSetupEtskObj.doetskConfirmSuccess(result);
			break;
		//tsk refund CR# 26758
		case "tskRefund":
			tskRefundObj.tskRefundSuccess(result);
			break;
		case "posmProducts":
			purchaseInfoObj.posmProductSuccess(result);
				break;
		case "posmTSKRCVRaise":
			purchaseInfoObj.posmTSKRCVRaiseReqSuccess(result);
				break;
		case "posmMaterialsProducts":
			purchaseInfoObj.posmMaterialsProductSuccess(result);
				break;
		case "posMaterialsRaise":
			purchaseInfoObj.posMaterialsRaiseReqSuccess(result);
				break;
		case "posmTSKRCVPOSOrderDetails":
			purchaseInfoObj.getTSKRCVPosmOrderDetailsSuccess(result);
				break;
		case "posmTSKRCVPOSAssetDetails":
			purchaseInfoObj.getTSKRCVPosmAssetDetailsSuccess(result);
			break;	
		case "posmTSKRCVPOSOrderDetailsDistributor":
			purchaseInfoObj.getTSKRCVPosmOrderDetailsDistributorSuccess(result);
			break;
		case "posmTSKRCVPOSAssetDetailsDistributor":
			purchaseInfoObj.getTSKRCVPosmAssetDetailsDistributorSuccess(result);
			break;
		case "posmTSKRCVPOSOrderDetailsASIASM":
			purchaseInfoObj.getTSKRCVPosmOrderDetailsASIASMSuccess(result);
			break;
		case "posmTSKRCVPOSAssetDetailsASIASM":
			purchaseInfoObj.getTSKRCVPosmAssetDetailsASIASMSuccess(result);
			break;						
		case "posmTSKRCVPOSOrderDetailsFOS":
			purchaseInfoObj.getTSKRCVPosmOrderDetailsFOSSuccess(result);
			break;
		case "posmTSKRCVPOSAssetDetailsFOS":
			purchaseInfoObj.getTSKRCVPosmAssetDetailsFOSSuccess(result);
			break;							
		/**Partner Quote code starts */
		//PQ	
		case "partnerQuoteTSKtype":
			accSetupPartnerQuoteObj.getTskTypeSuccess(result);
			break;
		case "priBoxTypePQ":
			accSetupPartnerQuoteObj.priBoxTypePQSuccess(result);
			break;	
		case "partnerQuoteTSKtypeMulti":
			tskObj_PQ.getBoxTypeSuccessMulti(result);
			break;	
		case "loadBasePackPartnerQuote":
			accSetupPartnerQuoteObj.loadBasePackPartnerQuoteSuccess(result);
			break;
		case "loadCategoryPacksPartnerQuoteModule":
			accSetupPartnerQuoteObj.loadCategoryPacksPartnerQuoteSuccess(result);
			break;
		case "dogetPopularPacksetskservicePQ":
			accSetupPartnerQuoteObj.getPopularPacksSuccess(result);
			break;
		case "dogetTataskyPacksetskservicePQ":
			accSetupPartnerQuoteObj.getTataskyPacksSuccess(result);
			break;
		case "dogetBroadcastPacksetskservicePQ":
			accSetupPartnerQuoteObj.getBroadcastPacksSuccess(result);
			break;
		case "dogetAlacartePacksetskservicePQ":
			accSetupPartnerQuoteObj.getAlacartePacksSuccess(result);
			break;
		//otpGenerationPartnerQuoteModule
		case "otpGenerationPartnerQuoteModule":
			accSetupPartnerQuoteObj.otpGenerationPartnerQuoteSuccess(result);
			break;
		//otpValidationPartnerQuoteModule otpValidationPartnerQuoteModule validateRentalPartnerQuoteModule
		case "otpValidationPartnerQuoteModule":
			accSetupPartnerQuoteObj.otpValidationPartnerQuoteSuccess(result);
			break;
		case "validateRentalPartnerQuoteModule":
			accSetupPartnerQuoteObj.validateRentalPartnerQuoteSuccess(result);
			break;
		case "sendSmsPartnerQuoteModule":
			accSetupPartnerQuoteObj.sendSMSPartnerQuoteSuccess(result);
			break;
		case "BoxTypeSecPQ":
			tskObj_PQ.getBoxTypeSuccess(result);
			break;
		case "TSKSec1PQ":
			tskObj_PQ.registerSecTSKSuccess(result);
			break;	
		//TSKSec1PQFirstCallModule
		case "TSKSec1PQFirstCallModule":
			tskObj_PQ.TSKSec1PQFirstCallSuccess(result);
			break;	
		//PQ	
		case "secRegistrationPQ":
			tskObj_PQ.multiTVRegSuccess(result);
			break;
		case "insertRentalPackNewPartnerQuoteModule":
			accSetupPartnerQuoteObj.insertPartnerQuoteSuccess(result);
			break;
		//insertRentalPackNewPartnerQuoteSecInsModule
		case "insertRentalPackNewPartnerQuoteSecInsModule":
			accSetupPartnerQuoteObj.insertPartnerQuoteSecInsSuccess(result);
			break;
		case "insertPartnerQuoteMultiPQMod":
			tskObj_PQ.insertPartnerQuoteMultiPQSuccess(result);
			break;	
		//PQ	
		case "insertPartnerQuoteSecInsMultiPQMod":
			tskObj_PQ.insertPartnerQuoteSecInsMultiPQSuccess(result);
			break;	
		/**Partner Quote code ends */
		default:
			break;
	}
};



//code by ahiva for encryption
webService.prototype.getEncryptionKeys = function (winParam, adapterName, procedureName) {

	//cordova plugin
	//encBusyInd=new WL.BusyIndicator('busyIndicator', {text : 'Loading...', fullScreen : true, opacity : 0.85});
	//encBusyInd.show();
	commonObj.showBusy();

	var encParameters = [];
	var timeoutVal = 600000;
	encParameters[0] = winParam;
	var invocationData = {
		adapter: adapterName,
		procedure: procedureName,
		compressResponse: true,
		parameters: encParameters
	};
	var options = {
		onSuccess: selfWebService.getEncryptionKeySuccess,
		onFailure: selfWebService.getEncryptionKeyFailure,
		timeout: timeoutVal
	};

	//WL.Client.addGlobalHeader('Cache-Control', 'no-store, no-cache'); 
	//WL.Client.invokeProcedure(invocationData, options); 
	var resourceRequest = new WLResourceRequest(
		"/adapters/" + adapterName + "/" + procedureName,
		WLResourceRequest.GET, 300000
	);
	resourceRequest.setQueryParameter("params", encParameters);
	resourceRequest.send().then(
		function (response) {
			// success methos of adapter call
			selfWebService.getEncryptionKeySuccess(response);
			console.log("getEncryptionKeys Adapter call Success: " + response.responseText);
		},
		function (response) {
			//failure of adapter call
			selfWebService.getEncryptionKeyFailure(response);
			console.log("getEncryptionKeys Adapter call Failure: " + JSON.stringify(response));
		}
	);
};

webService.prototype.getEncryptionKeySuccess = function (res) {
	try {
		//cordova plugin
		//encBusyInd.hide();
		commonObj.hideBusy();


		if (res.responseJSON.result.status) {

			var responseStatus = res.responseJSON.result.status;
			if (responseStatus === "success") {



				//alert(JSON.stringify(res));
				selfWebService.encKeyTest = res.responseJSON.result.payload.enckey;
				selfWebService.ivKeyTest = res.responseJSON.result.payload.ivKey;
				selfWebService.id = res.responseJSON.result.payload.id;

				if (env == 'Android') {
					var tempData = "";

					cordova.exec(function (winParam) {

					}, function (error) {
						alert("failed to insert");
						//alert("decryption error >>>>>>>>> "+error);
					}, "CryptographyUtility", "storeKey" + "~" + " " + "~" + selfWebService.ivKeyTest + "~" + " ", [tempData]);
				}
				if (loginObj.keymode !== 'Login') {

					/* var parameters = [forgotPwdMobileNo, configObj.modeParam.evd];*/
					var parameters = [forgotPwdMobileNoVuln, configObj.modeParam.evd];

					serviceObj.callAdapter(configObj.adapter.loginAdapter, configObj.procedure.forgotPwd, parameters, configObj.modules.forgotPassword);

				}

				else {
					loginSelf.versionNum="2.3.1";
					if (userNameAuth === "alpha") {

				 //CR# 24367
				 
 						var parameters = [loginSelf.userName, loginSelf.password, configObj.modeParam.evd,loginSelf.userOS,loginSelf.versionNum];
 				//CR# 24367 end

						//var parameters = [loginSelf.userName, loginSelf.password, configObj.modeParam.evd];

						serviceObj.callAdapter(configObj.adapter.loginAdapter, configObj.procedure.ADLogin, parameters, configObj.modules.adLogin);
					}
					else {

						 //CR# 24367
						 var parameters = [loginSelf.userName, loginSelf.password, configObj.modeParam.evd,loginSelf.userOS,loginSelf.versionNum];
						 //CR# 24367 end

						//var parameters = [loginSelf.userName, loginSelf.password, configObj.modeParam.evd];
						//loginObj.authenticateEVDUser(configObj.adapter.loginAdapter, configObj.procedure.EVDLogin, parameters);
						serviceObj.callAdapter(configObj.adapter.loginAdapter, configObj.procedure.EVDLogin, parameters, configObj.modules.evdLogin);
						//serviceObj.callAdapter("HttpEncGetKey", configObj.procedure.EVDLogin, parameters, configObj.modules.evdLogin);
					}
				}

			}
			else if (responseStatus === "failure") {
				selfWebService.encKeyTest = "";
				selfWebService.ivKeyTest = "";
				selfWebService.id = "";
				showAlert("error", "We are unable to process your request");
			}
		}
		return;
	}
	catch (ex) {
		if (userOS == "Windows" || env === "blackberry") {
			//hideBusy();
		}
		//cordova plugin
		commonObj.hideBusy();
		//if (encBusyInd.isVisible()) {
		//	encBusyInd.hide();
		//};
		showAlert("error", Messages.catchError);
		return;
	}
};

webService.prototype.getEncryptionKeyFailure = function (res) {
	//console.log(Object.getOwnPropertNames(res));
	//console.log(JSON.stringify(res));
	//cordova plugin
	//encBusyInd.hide();
	commonObj.hideBusy();

	if (userOS == "Windows" || env === "blackberry") {
		///hideBusy();
	}
	//cordova plugin
	commonObj.hideBusy();
	//if (encBusyInd.isVisible()) {
	//	encBusyInd.hide();
	//};
	selfWebService.encKeyTest = "";
	selfWebService.ivKeyTest = "";
	selfWebService.id = "";
	showAlert("error", Messages.serverError.internalError);
};
