var busyInd, serviceObj,configObj, alertObj, env, geoBusyInd;
function wlCommonInit(){

	/*
	 * Application is started in offline mode as defined by a connectOnStartup property in initOptions.js file.
	 * In order to begin communicating with Worklight Server you need to either:
	 * 
	 * 1. Change connectOnStartup property in initOptions.js to true. 
	 *    This will make Worklight framework automatically attempt to connect to Worklight Server as a part of application start-up.
	 *    Keep in mind - this may increase application start-up time.
	 *    
	 * 2. Use WL.Client.connect() API once connectivity to a Worklight Server is required. 
	 *    This API needs to be called only once, before any other WL.Client methods that communicate with the Worklight Server.
	 *    Don't forget to specify and implement onSuccess and onFailure callback functions for WL.Client.connect(), e.g:
	 *    
	 *    WL.Client.connect({
	 *    		onSuccess: onConnectSuccess,
	 *    		onFailure: onConnectFailure
	 *    });
	 *     
	 */

	var obj = new Common();
	configObj = new Configuration();
	serviceObj = new webService();
	busyInd = new WL.BusyIndicator('busyIndicator', {text : 'Loading...', fullScreen : true, opacity : 0.85});
	geoBusyInd= new WL.BusyIndicator('busyIndicator', {text : 'Please wait...', fullScreen : true, opacity : 0.85});
	// Common initialization code goes here
	if(isJSONStoreSupported() === true){
		
	
		 
		
		  env = device.platform;
		 // env="ios";
         if(env==='Android')
	{
      	   
			var data="";
			cordova.exec(function(winParam) {
				
				
				var androidLoginData=winParam.split("~");
				var username=androidLoginData[0];
				var password=androidLoginData[1];
				var key=androidLoginData[2];
			
				
				var iv="";
				cordova.exec(function(winParam) {
					iv=winParam;
				}, function(error) {
					//alert("failed to insert");
					//alert("decryption error >>>>>>>>> "+error);
				}, "CryptographyUtility", "getKey"+"~"+""+"~"+""+"~"+"", [ data ]);
				
			//	var iv="1234567890abcdef";
				//var key = CryptoJS.enc.Utf8.parse(androidLoginData[2]);
				
				//var iv = CryptoJS.enc.Utf8.parse(ivvalue);

				var decrypted = CryptoJS.AES.decrypt(username, key, {
					keySize : 128 / 8,
					iv : iv,
					mode : CryptoJS.mode.CBC,
					padding : CryptoJS.pad.Pkcs7
				});
				decrypted = decrypted.toString(CryptoJS.enc.Utf8);
				var decryptedpass = CryptoJS.AES.decrypt(password, key, {
					keySize : 128 / 8,
					iv : iv,
					mode : CryptoJS.mode.CBC,
					padding : CryptoJS.pad.Pkcs7
				});
				
				decryptedpass = decryptedpass.toString(CryptoJS.enc.Utf8);
			dbHelper = new DatabaseHelper();
//			dbHelper.androidCheckLogin(decrypted,decryptedpass);
			dbHelper.androidCheckLogin(decrypted,decryptedpass);
				
			},function(error) {
				//alert("failed to insert");
				//alert("decryption error >>>>>>>>> "+error);
			}, "CryptographyUtility", "getDetails"+"~"+" "+"~"+" "+"~"+" ", [ data ]);
			//end
						  
	}
		  
		
			else{
		            $("#userName").addClass("ui-disabled");
		              $("#password").addClass("ui-disabled");
		             dbHelper = new DatabaseHelper();
		              dbHelper.initJSONStore();
			}
			 
	}
	else if(isJSONStoreSupported() === false)
	{
	    env = device.platform;
		if(env === 'windowsphone8')
		{
			dbHelper = new DatabaseHelper();
			dbHelper.initializeWindowsDB();
		}
	    else if(env === 'blackberry')
		{
			dbHelper = new DatabaseHelper();
			dbHelper.initializeBlackberryDB();
		}
	    else if(env === 'blackberry10')
	    {
	    	dbHelper = new DatabaseHelper();
			dbHelper.initializeBlackberry10DB();
	    }
	}
	//document.addEventListener("online", obj.onApplicationOnline, false);
	document.addEventListener('hidekeyboard', onKeyboardHide, false);
/*	$(document).on('pagebeforeshow','#TsRefresh', function() {
		 
		  if(loginObj.role=== "" ||loginObj.role=== null)
			  {
			  console.log("Inside pagebeforeshow");
			  $.mobile.changePage("#loginPage"); 
			//  alert(this.id);
			 // e.preventDefault();
			  }
		 
		  if(obj.toPage==="#TSLanding")
			  {
			   console.log("Inside TS");
			   console.log("Login object role....."+ loginObj.role);
			  }
		 // console.log(this.id);
	     //   e.preventDefault();
	    
	});*/
	
}
/* JavaScript content from js/main.js in folder iphone */
//This method is invoked after loading the main HTML and successful initialization of the Worklight runtime.
function wlEnvInit(){
 wlCommonInit();
 // Environment initialization code goes here
}
