Messages = {
	emptyUsername: "Please enter a User Name.",
	validUsername: "Please enter a valid User Name.",
	emptyPassword: "Please enter the password.",
	invalidUsernamePassword: 'Please enter a valid User Name and Password.',
	emptyOldPassword: "Please enter the Old Password.",
	emptyNewPassword: "Please enter the New Password.",
	emptyConfirmPassword: "Please enter the Confirm Password.",
	emptyMobileNumber: "Please enter a Mobile Number.",
	emptyZone: "Please select a Zone.",
	eitherValidationMsg: "Please enter either Subscriber ID or Subscriber's Mobile Number.",
	subIDValidationMsg: 'Please enter 10 digit Subscriber ID.',
	mobileValidationMsg: "Please enter 10 digits Subscriber's Mobile Number.",
	firstZeroMsg: 'Please enter a valid Mobile Number.',
	tryCatchErr: 'Error Occurred. Please try again.',
	evdMblNo: 'Please enter a Mobile Number.',
	evdAmount: 'Please enter an Amount.',
	validMobileNo: 'Please enter a valid Mobile Number.',
	validEvdAmount: 'Please enter a valid amount.',
	emptyEvdPin: 'Please enter an EVD Pin.',
	validEvdPin: 'Please enter a valid EVD Pin.',
	emptyRechargeAmt: 'Please enter a Recharge Amount.',
	validRechargeAmt: 'Please enter a valid Recharge amount.',
	validTskpin: 'Please enter a valid TSK Serial No.',
	emptyInventoryMblNo: 'Please enter a EVD Mobile Number.',
	validInventoryMblNo: 'Please enter a valid EVD Mobile Number.',
	eitherValidInvCapture: "Please enter either EVD Mobile number OR Dealer ID",
	emptyTSKPin: 'Please enter a TSK PIN.',
	validTSKPIN: 'Please enter a valid TSK PIN.',
	emptyPincode: 'Please enter a Pincode.',
	validPincode: 'Please enter a valid Pincode.',
	emptyName: "Please enter a Name.",
	nameLength: "Minimum length of name should be 3.",
	emptyFName: "Please enter a First Name.",
	emptyLName: "Please enter a Last Name.",
	emptyAddLine1: "Please enter Address Line 1.",
	emptyAddLine2: "Please enter Address Line 2.",
	emptyTown: "Please select Town/Locality.",
	emptyboxType: "Please select a Box Type.",
	emptyLangType: "Please select a Language.",
	validMobile: "Please enter valid Mobile Number.",
	secondaryvalidMobile: "Please enter valid secondary Mobile Number.",
	emptySubId: "Please enter a Subscriber ID.",
	emptyOffername: "Please select Offer Category.",
	emptyPackageName: "Please select a Package Name.",
	emptyDealerID: "Please enter the Dealer ID.",
	exitConfirmMsg: 'Are you sure you want to exit the application?',
	leaveConfirmMsg: 'Are you sure you want to leave this page?',
	logoutConfirmMsg: 'Are you sure you want to Logout?',
	changeAppSMSMode: 'Do you want to proceed with SMS mode, you will be logged out of the Application. Please confirm.',
	changeAppGPRSMode: 'Do you want to proceed with GPRS mode, you will be logged out of the Application. Please confirm.',
	forgotPassword: "Password has been sent to your registered email Id.",
	oldPasswordMinLength: "Please enter a minimum of 8 characters in old password.",
	newPasswordMinLength: "Please enter a minimum of 8 characters in new password.",
	confirmPasswordMinLength: "Please enter a minimum of 8 characters in confirm password.",
	compititorSuccess: "Data saved successfully in the offline mode.",
	notSame: "New password and Confirm password must be same.",
	serverError: {
		internalError: "We are unable to process your request. Please try again.",
		sessionError: "Your Session has been expired. Please Re-Login."
	},
	catchError: "Error occured. Please try again.",
	internetError: "Please check your Internet connection and try again.",
	invalidCharacters: "Please do not enter special characters e.g. !,.#$ etc.",
	CompDataNotFound: "No competitor data present to sync.",
	CompSyncComplete: "Data Synced Successfully.",
	SpecialCharacter: "Password should not contain ' and '\\'.",
	spCharFnameLname: "Special character not allowed in First name and Last name field. ",
	validChildNumber: "Please enter a valid FOS / Dealer number",
	noPacksTodrop: "Eligible Pack is not present to drop",
	packDropConfirmMsg: "Are you sure you want to drop selected packages?",
	//email
	validEmailAddress: "Please enter a valid Email Address",
	validTownCode: "Please enter a valid Unique Town Code",
	emptyTownCode: "Please enter a Unique Town Code",
	validName: "Name can be only alpha or alphanumeric",
	//end
	digicardValidationMsg: 'Please enter 12 digits Digicard Number',
	eitherValidationMsgDigi: "Please enter either Subscriber ID or Subscriber's Mobile Number or Subscriber DigiCard Number.",
	emptyDealID: 'Please enter a Dealer ID',
	validDealID: 'Please enter a valid Dealer ID',
	eitherValidationMsgStock: 'Please enter either Dealer ID or Dealer Mobile Number.',
	eitherValidationMsgdealerorfos: 'Please enter either Dealer  or Fos Mobile Number.',
	eitherapproveorreject: 'Do you want to approve or reject the request?',
	mobileValidationMsgStock: 'Please enter 10 digits Dealer Mobile Number',
	userType: 'Not applicable. Please check monthwise dashboard',
	validTrancationId: 'Please enter valid Trancation ID for Recharge',
	rechargeReversalTranctionId: 'Please enter Trancation ID',
	/*rechargeReversalSuccessful: 'Your Amount reverse in your account shortly',*/
	rechargeReversalSuccessful: 'Recharge Reversal is successfully submitted, amount will be credited within 24 Hrs, Reference ID : ',
	rechargeReversalfailure: 'Transaction Date is older than 3 Days so you can not reverse your amount',
	SMSmessageFrworkorder: 'Perform Heavy Refresh (HR) while keeping the STB Power On. Send SMS  HR To 9949956633 from your registered mobile number or SMS HR space Subscriber ID  to 9949956633 from your your registered mobile number. Post HR If Issue persists please click ok.',
	amountNotInRange: 'Please enter the  amount as per selected offer.',
	selectRechargeOffer: "Please select Recharge Offer.",
	rechargeReversalAmountGreater: "Amount is greater than Balance.",
	dealerIdNotEligibleDemo: "The entered Dealer Id is not eligible for Demo.",
	evdFosMobNoValidationmsg: "Please enter valid FOS/DEALER EVD Number",
	reversaldayFailureFirst: "Transaction Date is older than ",
	reversaldayFailureSecond: " Days, so you can not reverse your amount",
	capturegeolocation: "Please capture Geo location data.",//added by karthi
	dealerraisearequestSuccess: "Balance transfer request has been successfully raised. The amount will be transferred to your account once your FOS approves the request.",
	description: "Please fill description",
	//isNotElgibile:"is already part of other pack you selected. Pls remove from selection and validate.",
	isElgibileButNotisCompatible: "is already part of other pack you selected. Pls remove from selection and validate.",
	mobileValidation: "Mobile number should start with 9, 8,7 or 6.",
	mobileNoValidationErrorPrimary: "The Primary Mobile number you have entered should start with 9, 8,7 or 6",
	mobileNoValidationErrorSecondary: "The Secondary Mobile number you have entered should start with 9, 8,7 or 6",
	emptyprefereddate: "Please select date for Installation",
	emptyslot: "Please select the time slot",
	Dateerror: "Please Select the current date or future date.",
	Dateerror2: "Please Select the date  within current month",
	//added for ocs with primary and secondary
	registertskcountcheck: "Please register the entered all the tsk pin's.",
	tskpinscheck: "Please enter secondary tsk's one by one",
	validTSKPIN1: 'Please enter a valid TSK PIN for secondary tsk slot one.',
	validTSKPIN2: 'Please enter a valid TSK PIN for secondary tsk slot two.',
	validTSKPIN3: 'Please enter a valid TSK PIN for secondary tsk slot third.',
	TSKPinMsg: 'Same TSK Pin is entered.Please enter different TSKPIN.',
	bulidingName: 'Please enter the building name.',
	emptyPackageName1: "Please select the Multi Tv package 1.",
	emptyPackageName2: "Please select the Multi Tv package 2.",
	emptyPackageName3: "Please select the Multi Tv package 3.",
	SubidValidation: 'Please Select Subscriber ID.',
	//bcp
	eitherValidationBCPMsg: "Please enter either BCP Transaction ID or TSK Pin Number.",
	bcpTransValidationMsg: 'Please enter 10 digit BCP Transaction ID.',
	bcpTSKValidationMsg: "Please enter 16 digits TSK Pin Number.",
	//Mumbai Cr Create Dealer start
	validationNotDone: "Please validate the above details before submitting",
	pincodeLength: "Please enter 6 digits Pincode",
	emptyUniqueCode: "Please enter the Unique Code",
	validUniqueCode: "Please enter the Valid Unique code",
	invalidLocality: "Please select the Town Locality",
	invalidOutletType: "Please select an Outlet Type",
	invalidOccu: "Please select an Occupation",
	invalidFamilyBG: "Please select a Family Background",
	invalidEdu: "Please Select an Education",
	invalidPriLang: "Please select a Primary Language",
	invalidSecLang: "Please select a Secondary Language",
	emptyAge: "Please enter the Age",
	validAge: "Please enter a valid Age",
	gpsNotCaptured: "Please Capture the Location before submitting",
	geolocationError: "GeoLocation Not Available. Please ensure that your GPS is enabled",
	locationCaptureError: "Error in Capturing Geo Location. Please ensure that your GPS is enabled",
	selectDistributor: "Please select the Distributor",
	//Mumbai Cr Create Dealer end
	FR_Restriction: "Entered Subscriber ID is in De-active Status, kindly recharge to raise this request.",
	validEtskBookingNumber: "Please Enter the valid ETSK Booking Form Number",
	noPackForFilter: "No package found for the selected duration, Please select other option available",
	noPackForFilterETSK: "This pack is not applicable for the selected offer type",
	invalidReason: "Please select a valid reason",
	confirmApproveSelection: "Are you sure you want to update the lead status ?",
	confirmRejectSelection: "Are you sure you want to update the reason ?",
	leadApproveResponseCaptureSuccess: "Lead status captured successfully",
	leadRejectResponseCaptureSuccess: "Rejection reason captured successfully",
	//added by akhil
	eTSKminRecharge : "Required Recharge Amount should be minimum of Rs. ",
	emptyETSKOfferType:"Please select a Offer Type",
	//tsk refund
	emptyTSKSerialNo:"Please enter a TSK Serial Number.",
	tskSerialNotValid:"Please enter 12 digit TSK serial number.",

	//Partner Quote
	multiDataNotAvail:"Multi TV registration data not available",
	mobileValidationPQ: 'Please enter 10 digits Mobile Number',
	selectNofPartQuote:'Please select the Number of Connections',
	priBoxEnter:"Please enter Primary Box Type",
	priTskEnter:"Please enter Primary TSK Type",
	sec1BoxEnter:"Please enter Secondary1 Box Type",
	sec1TskEnter:"Please enter Secondary1 TSK Type",
	sec2BoxEnter:"Please enter Secondary2 Box Type",
	sec2TskEnter:"Please enter Secondary2 TSK Type",
	sec3BoxEnter:"Please enter Secondary3 Box Type",
	sec3TskEnter:"Please enter Secondary3 TSK Type",
	secCommTskEnter:"Please enter TSK Type",
};
